2009-01-09 22:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3-20090110

2009-01-09 22:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2009-01-09 22:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Year changed

2008-12-30 17:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Apply FRAME_SHADED_TOGGLE hack in WFrame.maximize_vert
  for correct unshaded size hints to rqgeom handlers.

2008-11-16 10:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * A few strings were missing translation wrapper

2008-11-15 16:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Shouldn't open queries in frame if message box is open.

2008-11-15 16:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex focus code fixes/improvements.
  (Once again, maybe... this being focus code we're talking about.)

2008-11-10 16:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops

2008-11-06 22:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * PHOLDER_ATTACH_RETURN_CREATEROOT flag to pholder_do_attach.
  It's a non-API breaking hack that allows the unsqueeze code
  to find out the root of the created hierarchy, instead of
  just the attached client window being returned. This way
  windows are unsqueezed in their newly created frames.

2008-11-03 22:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Unsqueeze fixes

2008-10-16 14:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops

2008-10-16 13:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WInfoWin.set_text didn't check for null string
  (that user scripts can pass to it).

2008-10-09 17:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ioncore_warn_nolog uses usual warn if not in OPMODE_INIT.

2008-10-02 15:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3-20081002

2008-10-02 15:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2008-09-22 18:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * SIZEPOLICY_VISIBILITY_CONSTRAINED

2008-09-21 18:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex focus hack for the case of only an empty group to display.

2008-09-15 21:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More select hack improvements

2008-09-15 21:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Timer signal flag wasn't reset if there was no queue.

2008-09-15 17:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Timer code had some strangeness
  (that I didn't write).

2008-09-15 17:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes to select hack when there's no pselect.
  It was causing X synchronisation repetition that could cause 
  e.g. completions to become unresponsive.

2008-09-09 12:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, missing free in ioncore.set

2008-07-23 16:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More BadMatch ignore

2008-07-23 17:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not log complaints about keysym to keycode conversion failure.

2008-08-25 15:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3-20080825

2008-08-25 15:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2008-07-30 12:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, szplcy could be unset on group attach.

2008-07-13 21:36 UTC  Aron Griffis <agriffis@n01se.net>
  * Fix assert to check name rather than layout

2008-07-07 16:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * pwm3 man page --sessionname fix

2008-07-07 15:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3-20080707

2008-07-07 15:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2008-05-18 12:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some distros *braindead* beyond repair, do not compile lua with LUA_COMPAT_VARARG
  that would provide the 5.0-style 'arg' table. The special ... syntax of Lua 5.1 
  is useless, as you have to convert it to a table (arg={...}) in almost any
  reasonable use of varargs anyway (that will involve iteration over them). 
  The ... syntax of 5.1 is only of any use when passing the varargs directly 
  to another function without modifications.

2008-07-02 18:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Dirty select timeout hack.
  If pselect() isn't available, and there are timers, add a timeout
  to select() to ensure return. Race conditions with other signals
  we'll just have to ignore.

2008-07-02 18:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * tab-info gets updated on title change

2008-06-23 19:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use pselect if available

2008-06-27 14:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Stacking level adjustment.
  Scratchpad should go between transients and queries/menus.

2008-06-18 10:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * We don't really need it_interval

2008-06-05 21:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Apply KNOWN_MODIFIERS_MASK some more

2008-05-02 19:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Floating frame initial geometry size hint usage tuning

2008-05-02 19:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroup needed "whatever" attach geometry option 
  for proper WGroupCW/WClientWin initial size setup.

2008-05-02 09:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Binding refresh fixes on keymap change

2008-04-11 15:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3-20080411

2008-04-11 15:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2008-04-03 14:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Focus behaviour improvement
  (in relation to scratchpad close w/ sticky windows).

2008-04-02 09:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Workspace switch focus policy fix.
  (Keep focus in a "sticky" window, if one has it.)

2008-03-31 20:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed frame load handler to support string-based mode
  (as WFrame.set/get_mode do support).

2008-03-31 20:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * "unconstrained" size policy wasn't available to lua code

2008-03-18 15:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * string.gfind -> string.gmatch

2008-02-24 19:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Attach wrapper fixes.
  The changes related to session management code improvements had bypassed
  the method for passing an existing object to load.

2008-02-22 19:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Man page generation script fix

2008-02-17 17:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * unlinked placeholder unlink attempt segfault fix

2008-02-17 15:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed groupws dispose chain

2008-02-05 17:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3-20080207

2008-02-04 22:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2008-02-06 06:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * doc. fix

2008-02-04 22:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More cfg_ion.lua embedded documentation

2008-02-03 08:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added same rootwin check for 'target' winprop

2008-02-03 08:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * 'jumpto' wasn't working well with pointer_focus_hack

2008-02-02 08:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * README improvement

2008-01-21 19:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Enabled default statusbar template in cfg_statusbar.lua
  (Some seem to have trouble understanding commented-out settings.)

2008-01-21 15:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ioncore.set{mousefocus='disabled'} setting support had been lost at
  some point, and documentation was wrong too.

2008-01-18 16:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some cfg_ion.lua documentation

2008-01-07 18:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some build system improvements for nicer .exe handling

2008-01-07 18:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added CF_NO_GET_LOADAVG

2008-01-06 20:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Dockapp WM_CLASS hack had been broken. Fixed.

2008-01-04 15:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed defer-pending on destroy warning

2008-01-03 21:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some header comments weren't up-to-date

2008-01-03 18:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Bah, statusd build was still broken

2008-01-03 18:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20080103

2008-01-03 18:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops

2008-01-03 18:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2008-01-03 18:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Hack for better modality handling on detach

2008-01-03 16:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * system.mk doc. refinement

2008-01-02 15:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in version.h defs. to accomodate flags

2007-12-30 18:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * system.mk documentation improvements

2007-12-30 17:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Makefile tuning

2007-12-30 17:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Replaced order of LIBS and EXTRA_LIBS in system.mk defaults

2008-01-01 16:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * New year

2007-12-30 00:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed FS mode return regression after recent pholder code changes.

2007-12-28 18:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added -s(trip) flags to binary install

2007-12-28 17:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improvements to relocatable builds

2007-12-22 09:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * README updates

2007-12-22 00:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved system.mk documentation

2007-12-20 19:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, copy-paste mistake in commented-out cfg_query example

2007-12-20 18:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20071220

2007-12-20 18:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Split relocation code into libtu

2007-11-09 19:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Build hacks for relocatable binary

2007-11-09 19:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed textdomain setup in reloc. binary

2007-11-09 15:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Support for relocatable package/binary

2007-12-20 17:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2007-12-20 17:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Simplifications in definition of significant change

2007-12-19 18:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added missing checks for attempts of between-root reparenting.
  (Stupid artificially restricted XReparentWindow.)

2007-12-19 00:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed stacking level setting on detach

2007-12-19 00:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved detach binding to WMPlex.toplevel from WMPlex.
  (Transient are detached with their full original frames now, instead
  of being recreated on.)

2007-12-15 14:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use LuaFileSystem instead of LuaPosix (if available) for directory existence checks.
  It seems to be the better supported approach.

2007-12-15 14:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed quasiactivity (broken by recent placeholder changes).
  Also implemented it on the Lua side in the same go, maintaining
  the activation link structure being so much less pain than in C.

2007-12-15 11:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Mention gettext in dependencies in README, etc.

2007-12-14 20:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added missing substrcompl option to mod_query.

2007-12-14 20:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Simplify & comment

2007-12-14 19:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed and improved layout restore under session manager.

2007-12-13 20:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More placeholder fixes/improvs/simplifications

2007-12-12 21:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc. details

2007-12-12 18:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Handle placeholders in the mplex rescue code

2007-12-12 18:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused stdisp_watch_handler

2007-12-12 18:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed deprecated pholder_root stuff

2007-12-11 20:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed generic placeholder redirects

2007-12-07 10:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed shape update on style change

2007-12-07 10:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Size hints weren't appropriately set when shading non-shaped frames.

2007-12-02 20:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Better language

2007-12-01 17:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More sophisticated pointer event hack.
  Apparently the old one was needed, after all, for actions on transients.
  So now we do like this: if the subwindow from the event listens to the
  button/modifier combination in question at all, then we let it handle it,
  blocking the parent. Otherwise the parent handles it.
  

2007-11-29 19:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  UNDO: Removed pointer event subwindow forwarding hack.
  Only useful use cases seem to be handled by not grabbing modifierless
  bindings. This was stopping global (WScreen) grabs of buttons from 
  being handled if there was a frame in the way. (Note that modifierless
  pointing device bindings are never grabbed, on purpose, so they still
  don't work through frames or client windows.)

2007-11-30 19:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, tilings were resetting frame modes incorrectly.
  (Copy-paste...)

2007-11-30 17:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20071130

2007-11-30 17:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some release notes

2007-11-29 19:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed pointer event subwindow forwarding hack.
  Only useful use cases seem to be handled by not grabbing modifierless
  bindings. This was stopping global (WScreen) grabs of buttons from 
  being handled if there was a frame in the way. (Note that modifierless
  pointing device bindings are never grabbed, on purpose, so they still
  don't work through frames or client windows.)

2007-11-29 17:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, ion-completeman preferred system over user cache.

2007-11-28 00:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * edge_resistance wasn't dynamically configurable.

2007-11-27 23:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * 'exec' ion-runinxterm
  (Simple case that doesn't clutter the configs etc.; the rest can be
  configured by those with crappy shells.)

2007-11-27 23:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Snap to base size

2007-11-27 23:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Size hint usage tuning

2007-11-25 15:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed redundant settings from lookcommon_*

2007-11-25 15:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added the -alt bit to all frame modes for completeness.

2007-11-25 12:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * typo fixes

2007-11-25 12:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Frame mode change shape setting fix

2007-11-25 11:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added missing header

2007-11-25 01:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * reorg

2007-11-25 00:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * License intro clarifications

2007-11-24 23:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Further license simplification

2007-11-23 17:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor clarification

2007-11-23 17:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Try to prevent EnterWindow event triggered focus change when switchto=false.

2007-11-22 16:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some missing variable initialisations.

2007-11-21 23:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes/improvements to dockapp detection kludges on startup.

2007-11-21 15:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Clarifications

2007-11-20 18:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Clarified the full ancestry of de/fontset.c.
  (That can also be seen by examining 'changeset 956'.)

2007-11-18 09:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't try to store working dir of dead/nameless objects

2007-11-16 22:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not complain when attempting to nil non-existent binding.

2007-11-09 18:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Winprop matching hack fix (?)

2007-11-09 18:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Lua-posix dir. checking support fixes.

2007-11-09 17:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improvements to mod_query 'cd' and 'pwd' override hacks

2007-11-09 14:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20071109

2007-11-09 14:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2007-11-09 14:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added "forget" parameter to ioncore.detach and improved doc.

2007-11-08 18:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed redundant is_fullscreen.

2007-11-06 07:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some cleanup to better separate ion-statusd from mod_statusbar 
  and allow for better statusd as an add-on.

2007-11-05 17:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved stdisp placement in non-tiled groups.

2007-11-05 17:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Stretch size policies support gravity (for alignment after size hints).

2007-11-05 17:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved split resize behaviour

2007-11-04 17:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Initial focus fixes for modal stacking levels.

2007-11-04 12:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * attach_framed wasn't supporting typical group attach parameters.

2007-11-03 23:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * I knew it! Recent focus code changes broke something.
  (Modal stacking levels within groups.)

2007-11-03 23:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, copy-paste.

2007-11-01 17:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed disposeroot policy for WGroupCW.
  Last managed region disposed always disposes the group (if possible).

2007-11-01 17:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, some of the rescue code hacks broke other things..
  (Shouldn't try to rescue whole WGroupCWs without further info.)

2007-11-01 14:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * query_exec completor uses mplex working directory.

2007-11-01 14:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added 'wd' parameter to popen_bgread.
  (As the last one. It's a bit ugly that the order of parameters isn't similar
  to exec_on, but I'm not going to start breaking the Lua-side API at RC stage.)

2007-10-27 12:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Further rescue code hacks.

2007-10-27 12:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Suppressed dead object warnings from tab number script.

2007-10-26 14:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in WMPlex placeholder ordering.
   - Attaching now moves the attach-pholder after the new mx-region.
   - Rescue pholder is placed at the end of the list.

2007-10-26 14:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Support for rescue code pholder attach flags and masks.

2007-10-19 16:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed doc. comment

2007-10-15 15:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Cleaned up non-existent function from headers.

2007-10-15 15:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not optimise away region_managed_prepare_focus call.
  Tiling internal focus tracking can become confused if this is done.

2007-10-15 05:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed redundant restack in tiling code

2007-09-27 16:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20070927

2007-09-27 16:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2007-09-26 20:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not goto frame on p_switch_tab, only switch.

2007-09-26 20:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex focus code tuning.
  (Goodbye to any plans of the next release being tagged "stable".)

2007-09-24 21:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Small clarification

2007-09-17 20:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use default name for workspace in query if none given.

2007-09-11 20:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed out-dated and redundant files under mod_dock/.

2007-09-07 05:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed -g from compiler flags

2007-09-02 21:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Completed/fixed dock size policy calculation

2007-09-02 13:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20070902

2007-09-02 13:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2007-08-30 05:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Set 'target' to requested instead of None on refused SelectionNotify too.
  This seems to fix Xterm's paste slowness.

2007-08-27 17:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Binding guards weren't being used

2007-07-20 13:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20070720

2007-07-20 13:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * 'Release notes

2007-07-16 12:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The dock uses WMPlex size policies now

2007-07-14 20:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added 'orientation' winprop

2007-07-14 20:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some REGION_SKIP_FOCUS flag management

2007-07-12 18:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, wrong return value test for XTextPropertyToStringList

2007-07-08 09:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20070708

2007-07-08 09:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2007-07-08 09:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroupCW no signals name change on bottom change

2007-07-08 09:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Group bottom setting code improvements

2007-07-07 20:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * tagged_attach improvements

2007-07-03 09:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes to Finnish translation

2007-07-03 09:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The->This

2007-07-02 18:30 UTC  Miroslav Kure <kurem@debian.cz>
  * Updated Czech translation

2007-07-01 17:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated Finnish translation

2007-07-01 10:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed 'done' entries from TODO.riot

2007-07-01 10:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * _SOURCE option tuning

2007-07-01 10:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed frame_managed_disposeroot empty check

2007-06-21 21:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Bindings clearing all tags weren't up-to-date

2007-06-20 21:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More tuning for moronic systems

2007-06-20 20:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * CF_NO_GETTEXT

2007-06-20 11:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Check for clock_gettime(CLOCK_MONOTONIC) failure.
  Apparently _POSIX_MONOTONIC_CLOCK can't be trusted.

2007-06-18 07:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor man page fix

2007-06-16 20:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed cutbuffer support

2007-06-16 20:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some property setting code fixes/improvements

2007-06-13 15:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mod_sp.set_shown_on return value

2007-06-08 18:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated license notice in --about

2007-06-08 16:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20070608

2007-06-08 16:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2007-06-08 16:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Bah, too many indirect deps from Xmu; reimplement the wh^Wmacros.

2007-06-08 15:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * X selection code tuning

2007-06-06 18:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use getloadavg(3) instead of /proc/loadavg or `uptime` in statusd.

2007-06-05 19:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated configuration document name in man pages

2007-06-05 15:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed release from Ion ION_API_VERSION
  (It should be "stable", so modules don't have to be checked to
  be compiled against the exact release.)

2007-06-04 06:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed uninitialised variables

2007-05-30 18:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed stdisp split tree node dodging

2007-05-29 21:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, hidden and pseudomodal flags used the same bit

2007-05-28 19:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Document 'bottom' parameter to WGroup.attach_new

2007-05-28 17:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't redraw full listing on completion cycle

2007-05-28 08:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Bah, removed redundant statement

2007-05-26 14:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * fix

2007-05-26 14:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More name policy refinements
  (Removed "ion soup" and replaced with explicit patch requests 
  by the user.)

2007-05-24 20:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use clock_gettime(CLOCK_MONOTONIC) when available.
  
  *nix provides only one interval timer (or 'select' timeout), so programs
  with multiple timers need to do their own timeout management. This means
  converting the times from delays to absolute times. When gettimeofday is
  used, the time thus provided is not guaranteed to be monotonic, and may
  be adjusted backwards, which is a serious problem. The CLOCK_MONOTONIC
  time advanced monotonically from an unspecified starting point, thus 
  providing exactly what is needed for decent timeout management.
  
  This partially fixes issues with e.g. statusbar updates when time is
  adjusted backwards. If CLOCK_MONOTONIC is not available, the issue 
  remains, as I can't be arsed to write ugly countermeasures against 
  the lack of an absolutely _essential_ feature that every system that
  is not totally moronic, should have had to begin with. (I should also
  be just using the rather nice libevent that I just learned about 
  instead of my own mainloop library... but since there's a feature 
  freeze and the conversion would be quite a bit of work that could 
  induce new bugs, it isn't happening for Ion3.)

2007-05-21 18:27 UTC  Pierre-Henri RAMBOZ DidouPh@gmail.com
  * Added French translation

2007-05-21 13:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * set_stdisp doc update

2007-05-20 19:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some "clean" style tuning

2007-05-20 19:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added $(C99_SOURCE) to ion-completefile CFLAGS

2007-05-20 17:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't start statusd in quiet mode
  (non-statusd meters are also auto-loaded these days, so it might just
  as well complain of meters not found.)

2007-05-20 17:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Made statusd startup timeout non-fatal

2007-05-20 14:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * popen_bgread doc improvement

2007-05-18 07:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some improvements to name policy explanations

2007-05-17 16:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't check for pointer in tab-bar when disabled.
  While the bar has no geometry when disabled, the Fitt's Law
  hack for top of the screen borders was still functional.

2007-05-17 16:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ioncore.popen_bgread doc fix

2007-05-14 16:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ungrabbed submaps had stopped working. Fixed.

2007-05-12 19:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Missing stdio.h header in ion-completefile

2007-05-12 14:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WTF is strcasecmp doing in strings.h and not string.h on some systems?

2007-05-10 13:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed references to no longer existent layers

2007-05-08 22:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * A bit more better wording

2007-05-08 16:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed unsplit

2007-05-08 15:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed tiling emergency restore code

2007-05-08 15:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * "Improved" stacking traversal code wasn't considering fallback.

2007-05-08 15:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Binding fn. doc. fixes

2007-05-07 20:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not use `which lua5.1` in system.mk examples.
  Makes for confusing error messages if not found.

2007-05-07 15:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not try to automatically launch statusd if config file launch fails

2007-05-07 15:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed statusd-not-found message

2007-05-07 08:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc. notation fix

2007-05-07 08:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some documentation and commented-out settings to cfg_ion.lua

2007-05-06 20:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Better wording of name policy
  (Author instead of copyright/trademark holder.)

2007-05-06 14:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3rc-20070506

2007-05-06 14:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops

2007-05-06 14:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc comment fix

2007-05-06 14:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * predist.sh support for specifying additional repository base path

2007-05-06 14:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes date

2007-05-06 14:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed mod_mgmtmode.
  As it is not quite finished, it does not belong in the "stable" Ion3.
  It will be distributed separately.

2007-05-06 14:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some more name policy clarifications

2007-05-06 13:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Made the scrachpad (scratchws) pseudomodal.
  (This will only take effect when a new scratchpad is created.)

2007-05-06 13:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added back pseudomodal option for regions managed by WMPlexes.

2007-05-06 13:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Stacking list traversal improvements

2007-05-06 11:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed redundant code

2007-05-05 19:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc fix

2007-05-05 17:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Update notify window when name of window with activity changes.

2007-05-05 16:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * *sigh*

2007-05-04 21:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Display tab numbers on modifier release.
  Seems to work better than delayed display.

2007-05-04 21:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Simplified ioncore.tabnum interface.

2007-05-04 21:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added submat_wait called on modifier release.

2007-05-04 16:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Increased default tab numbers display delay to 250ms

2007-05-04 15:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Draw tab numbers on right, unless tab text alignment is right.

2007-05-04 15:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added automatically displayed tab numbers.
  The functions in `ioncore.tabnum` can be used to display
  tab numbers on a frame after a specified delay, and clear
  them when the submap grab is released.

2007-05-04 15:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added submap enter events and ungrab hook

2007-05-04 15:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed defer to allow NULL parameters

2007-05-04 06:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Name policy refinements

2007-05-03 23:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed useless property setting special case.

2007-05-03 16:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops.

2007-05-02 22:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some watches weren't being initialised

2007-05-02 21:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes updates

2007-05-02 21:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed obsoleted and redundant WFrame.set_numbers.
  (Didn't I do this already?)

2007-05-02 18:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Store the region pointer in a Watch in binding handler.
  It might get destroyed.

2007-05-01 14:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Drawing engine extras table storage improvements.
  Copy only unknown values, thus freeing memory. Append
  to replaced style's table.

2007-05-01 12:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added "userattr1" for frames to stock styles.
  This could be used by e.g. a "place new windows here" script,
  via `WFrame.set_grattr`. (Of course, arbitrary attributes may 
  be defined and used, but this is one that all stock styles at 
  least are bound to define.)

2007-05-01 11:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Documentation fixes and style clean up

2007-05-01 11:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Quasiactivate frames for detachs from groups within them too.

2007-04-30 18:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More based_on fixes.
  (Still missing copying/appending of data_table.)

2007-04-30 17:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Detach stacking level fix

2007-04-30 17:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, size hints fixing had broken unsqueeze

2007-04-29 10:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Style file border tuning

2007-04-29 10:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Drawing engine border calculation tuning

2007-04-29 10:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Style file tuning

2007-04-29 10:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added special "inherit" colour value.
  This is needed in common style templates to not override padding_colour
  with background_colour, as if padding_colour isn't set, it is set to
  background_colour.

2007-04-28 19:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Support based_on too after all

2007-04-28 18:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use based_on's based_on

2007-04-27 23:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed based_on fields from style files

2007-04-27 23:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in de.defstyle
  The based_on field is no longer used. Instead, the style is
  based on the existing best-matching style. Thus the function
  also amends to existing exactly matching style, instead of
  redefining it.

2007-04-27 21:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added name policy notice

2007-04-27 21:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged pre-namepolicy-notice

2007-04-27 16:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed note of removed autoconf script from README

2007-04-27 15:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed license header in source files

2007-04-25 13:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes draft

2007-04-24 23:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed dockapp hack with those few that actually have WM_CLASS.

2007-04-24 14:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added green tabnumber substyle to tab-frame styles.
  (Tab numbering can be toggled/set/unset with 
  `frame:set_grattr('numbers', 'toggle')` etc.)

2007-04-24 14:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes and improvements to previously blind-written code.

2007-04-24 11:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WFrame.set_grattr/WFrame.is_grattr

2007-04-24 11:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added numbering hack to drawing engine

2007-04-24 11:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Drawing engine attribute matching improvements

2007-04-24 11:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, const

2007-04-24 11:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added gr_stylespec_isset

2007-04-24 10:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Store current frame base style in WFrame.baseattr 
  instead of reconstructing it all the time.

2007-04-24 09:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused setting from config.h

2007-04-23 23:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed size hints ICCCM compliance degradation + code clean-up

2007-04-23 23:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved dockapp winprop support hack.
  Copy WM_CLASS from the (undisplayed) main window as _ION_DOCKAPP_HACK
  property on the (displayed) icon window. Have WClientWin.get_ident
  then report this information as `class` and `instance` for the dockapp
  window, so that winprop matching code can use it.

2007-04-22 18:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Place dockapps in the statusbar's systray.
  (Added winprop in default `cfg_kludges.lua`.)

2007-04-22 18:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed possibly obsolete Galeon winprop.
  (Isn't the browser also dead already? Downwards slide started at Gnome 2.0.)

2007-04-22 18:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ugly hack for dockapp winprop support.
  We save the dockapp state ourselves over restarts to get the right
  winprop after that, because the way windows are loaded after restart,
  the dockapp state would not be easily available otherwise. In addition,
  dockapps usually don't have any class/role/instance identification
  information in the dockapp (icon) window, so this method can not
  be used -- easily. Some dockapps would function fine with us simply
  using the main window instead of the icon window as specified by
  the dockapp protocol, and this would provide better winprop support,
  but then other dockapps don't display anything meaningful in the
  main window, that the expect not to be shown. Hence this ugly hack
  for at least basic all-dockapps winprop matching. For better matching
  dockapps should preferrably be able to start normally, as `asclock` 
  can do (an does by default), instead of the "withdrawn" mode.

2007-04-22 15:11 UTC  Miroslav Kure <kurem@debian.cz>
  * Updated Czech translation

2007-04-22 10:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated Finnish translation

2007-04-22 10:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Man page tuning

2007-04-22 09:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Man page binding documentation extraction script improvements.
  (To generate better PWM man pages.)

2007-04-22 09:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed duplicate Mod1+T binding

2007-04-22 09:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updates to PWM config file

2007-04-22 00:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed ru translation, as it has not been updated as requested.

2007-04-22 00:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Remove de translation, as it has not been updated as requested.

2007-04-22 00:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed de and ru from translations to build
  (to allow separately rolling back other removals to be recorded).

2007-04-22 00:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed autoconf shit.
  Since I will have nothing to do with that shit, and nobody else
  seems to maintain or support it either, it has no place here.

2007-04-21 17:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in prepare_manage to cope with nested workspaces.
  A priority parameter is passed instead of just a redirection
  hint, which was poorly utilised anyway.

2007-04-20 16:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added is_transient field to WClientWin.get_ident and for winprop matching.

2007-04-20 16:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused transient_for field from WClientWin

2007-04-20 16:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added look_greenlight

2007-04-20 16:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Hmm...

2007-04-09 09:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added commented-out bindings for plain-old-menus in cfg_ion.lua

2007-04-08 12:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ref. to size policy section etc.

2007-04-08 12:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use strings instead of numeric size policies

2007-04-06 11:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Docs from $(LUA_SOURCES) too..

2007-04-06 11:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added exports.tex make rule

2007-04-06 11:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added padding to default look's transient style

2007-04-05 16:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed documentation mixup

2007-04-05 16:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Statusbar documetnation improvements

2007-04-03 15:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated Finnish translation

2007-04-03 15:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Tiling navigation code changes and semi-fixes

2007-03-31 21:04 UTC  Miroslav Kure <kurem@debian.cz>
  * Updated Czech translation

2007-03-31 14:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Redirect frame placeholders in frame_rescue_clientwins. 
  Dispose code changes had disabled the creation of a frame
  recreation placeholder.

2007-03-29 21:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Unsqueeze includes base size hint

2007-03-29 21:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Put the scratchpad in the group *scratchws*

2007-03-29 21:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroup attach only switches to floating mode frames in tiled mode
  (and not those in unknown or transient mode).

2007-03-29 21:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Detach stacks one level above source now

2007-03-29 17:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't override "level" by "bottom" in WGroup.attach

2007-03-29 16:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Move tiled transient handling from tiling code to frame code
  (check by frame mode). This is the place to get correct behaviour
  on a more complex scratchpad configuration.

2007-03-28 18:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Context menu generation changes.
  The `ctxmenu` menu generator automatically uses WGroup.bottom, so that
  it suffices to pass _sub instead of _chld to the menu functions. This
  should fix tab drop-down menus.

2007-03-25 11:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * region_may_control_focus policy change.
  The focus may be controlled, if a manager is about to be given 
  the focus (which makes sense, since we have not requested focus
  within a particular region within it). This fixes unsqueeze focus
  issues.

2007-03-20 11:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Export name fix

2007-03-19 19:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed redundant MPLEX_ATTACH_MODAL parameter

2007-03-19 18:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Menus and queries use STACKING_LEVEL_MODAL1+1.
  This is to not let transients steal the focus.

2007-03-19 18:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, return in wrong place in fs rq check was breaking other cfgrqs

2007-03-19 18:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Unsqueeze infinite loop fix

2007-03-18 20:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20070318

2007-03-18 20:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Drawing fixes

2007-03-18 20:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2007-03-18 17:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Style improvements

2007-03-18 17:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Split out lookcommon stuff into multiple files

2007-03-18 12:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * query_menu duplicate name mangling fixes

2007-03-17 19:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * removed unnecessary parameter

2007-03-17 15:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mplex_do_remanage_stdisp fixes

2007-03-17 14:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Screen notification windows' positions are based on stdisp position now.

2007-03-17 13:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved default style

2007-03-17 14:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops

2007-03-17 14:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex focus restoring improvements
  (Closing the scratchpad returns where the focus used to be, etc.)

2007-03-17 13:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Hmm...

2007-03-17 11:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added border_sides drawing engine option.
  It controls, which sides get drawn borders. Possible values are "all",
  "tb" (top and bottom), and "lr" (left and right). To further control
  the drawing, use the shadow_pixels and highlight_pixels options.

2007-03-16 20:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in configuration file setup.
  cfg_ion.lua simply loads cfg_defaults.lua that loads the default set of
  modules and other files. This completes the obsoletion of cfg_user.lua
  (still loaded by cfg_defaults.lua) as cfg_ion.lua now only needs to contain
  dopath("cfg_defaults.lua") for a working setup.

2007-03-16 20:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_tiling.lua stub loader defines "default" layout

2007-03-16 07:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * README fixes etc.

2007-03-15 19:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Case-insensitive manual page completion of `caseicompl` is set.

2007-03-15 19:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ion-completeman improvements

2007-03-15 19:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WMoveresMode.rqgeom and .geom

2007-03-15 16:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Context menu sorting hack

2007-03-13 22:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Always defer update of screen notify and info windows

2007-03-13 18:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added reparent/attach failure recovery code.
  (Should only be needed in very exceptional situations.)

2007-03-13 17:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Cleaned up trivial #warning

2007-03-13 17:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * oops, ion-statusd needed some updating as well

2007-03-11 14:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't defer already deferred (C-side) actions

2007-03-10 23:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_sm uses `libtu_progbasename` with SM_SAVE_DIR.
  Previously this was hard-coded to "ion3", and didn't work correctly as "pwm3".

2007-03-10 23:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Libtu-related updates

2007-03-10 22:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, ion.c too

2007-03-10 22:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * frame_load wasn't using DEST_EMPTY setting of the mode

2007-03-10 18:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Autoraise changes:
  - Moved autoraise from navi code to mplex and group `managed_prepare_focus`
  - Added boolean `autoraise` option to `ioncore.set`.

2007-03-10 18:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * region_prepare_focus behaviour changes:
  stop recursion at active instead of mapped region.

2007-03-10 18:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex focus code passes WStacking instead of WRegion around

2007-03-10 18:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, some settings were missing from ioncore.get.

2007-03-10 16:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed remains of special-case region_get_rescue_pholder_for for WScreen.

2007-03-10 16:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, PWM needed a numeric version of ioncore_setup_display

2007-03-10 16:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Cleanup of some marked TODO items

2007-03-10 16:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc. comment improvements

2007-03-10 14:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ignore_cfgrq winprop for Xpdf open dialog

2007-03-10 13:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mkbottom geometry

2007-03-08 18:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, wrong flag...

2007-03-08 17:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Year update

2007-03-04 17:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added mod_tiling.untile.

2007-03-03 15:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Hmm... it compiled a few moments ago

2007-03-03 15:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc. fix

2007-03-03 15:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WGroup.set_bottom

2007-03-03 14:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed bottom_last_close option.
  If a group has a bottom, and the bottom is closed last, the group
  is always to be destroyed.

2007-03-03 14:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Cleanup (declared function no longer exists)

2007-03-03 13:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in tagging functions:
  Some name were changed (to have common prefix of ioncore.tagged_),
  and WMPlex.attach_tagged was removed and replaced with more generic
  ioncore.tagged_attach, that also is now bound on the WGroupWS context
  menu for them.

2007-03-03 12:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Hmm... maybe that fixes irreproducible exit crashes.

2007-03-03 12:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved Mod1+A attach query to WFrame.toplevel from WMPlex.toplevel.
  (It doesn't make much sense on screens.)

2007-03-02 21:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added map and unmap to list of notified changes to regions

2007-03-02 21:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't refresh on all notifies in frame_managed_notify.

2007-02-26 20:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Simpler mod_query.query_attachclient handler.
  (Uses WRegion.groupleader_of.)

2007-03-02 16:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Size hints base size usage fixes.

2007-03-01 21:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't set focus for windows that are already active when no other changes are pending.

2007-03-01 20:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Further pointer focus hack optimisation.
  Do not bother with the pointer position at all: simply block 
  EnterWindow event focus changes if the unmapped/destroyed 
  window does not or should not soon have the focus.
  (The general focus policy has recently gravitated towards
  always ignoring EnterWindow events if there could be any
  confusion.)

2007-03-01 15:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed region_goto active window optimisation to ensure warp in any case.

2007-02-28 23:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * focusbogushatehatehate#2

2007-02-28 22:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * groupcw_managed_notify wasn't calling group_managed_notify.
  This broke tracking of current region within the group.

2007-02-28 21:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Focusbogushatehatehate

2007-02-28 20:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Tiling frame removal focus fixes

2007-02-28 17:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor pointer focus hack optimisation.
  (Don't do anything if ioncore_g.focus_next is set.)

2007-02-27 20:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * group_bottom was missing EXTL_SAFE

2007-02-26 19:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WFrame.floating bindmap is applied to transients too

2007-02-26 16:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Activity notification display improvements (?).

2007-02-24 18:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added maximum width parameter to infowin_set_text.

2007-02-25 22:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved float placement code.
  All of the stacking structure for all groups is scanned, on the target
  stacking level, instead of just the target group's portion on all levels.

2007-02-25 19:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added "userpos" winprop for overriding the USPosition size hint flag.

2007-02-25 18:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Split out screen notification window code into scree-notify.c

2007-02-24 17:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed unsplit

2007-02-24 17:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed mplex attach "layer" parameter backwards compatibility support

2007-02-24 17:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed layout loading backwards compatibility hack

2007-02-24 17:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * And the default too..

2007-02-24 17:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Layout configuration file updates, clean-up and new layouts

2007-02-24 17:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * bottom_last_close is the default now

2007-02-24 17:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed many specific implementations of region_may_dispose.

2007-02-24 17:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Generic implementation of region_may_dispose.
  Based on a test run of the improved rescue code.

2007-02-24 15:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Further changes in context menu definitions.
  - Less definitions for _sub, instead preferring directly defining things
    in the context menu for the corresponding class.
  - However, the menu entries for 'pmenus' are now not so nicely ordered.
    Perhaps there should be some way to hint at the sorting...

2007-02-24 15:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Menu API and context menu generation changes

2007-02-23 21:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Make context menus work for empty workspaces (etc.) too

2007-02-23 20:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Tiling initial frame creation/attach unification.

2007-02-23 18:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added ioncore_exec_environ_hook.
  This can be used to set up the environment variables and such for
  programs executed by Ion. It receives an WExecP structure as parameter,
  and this includes the intended target region, so that a FDO startup 
  sequence specification support module could use it to set things up
  for proper targeting of windows.

2007-02-23 18:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed frame_style backwards compatibility support

2007-02-23 18:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Put all windows on the focuslist menu

2007-02-23 18:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * No need for region_dispose_ (with the underscore).

2007-02-23 16:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Working (?) detach/attach again with the help of region_disposeroot.

2007-02-23 16:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Replaced region_managed_rqdispose with region_managed_disposeroot.
  This version only returns the root region to be disposed, or NULL
  if the operation can not be done.

2007-02-23 16:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Clean-up

2007-02-22 20:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * TODO update: tiny frame problem solved by unsqueeze

2007-02-22 20:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ioncore.set{unsqueeze=true/false} option for auto-unsqueeze.

2007-02-22 20:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Unsqueeze transients.
  (Yes, I know, there's a problem with stray frames with move in 
  general after other recent changes.)

2007-02-22 20:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Unsqueeze menus/queries/messages.

2007-02-22 20:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added ioncore.unsqueeze

2007-02-22 20:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added minimum size hint for queries/messages/menus.

2007-02-21 18:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Dispose/rqclose changes
  - Dispose no longer defers actual destroy automatically, but stuff 
    calling it should take care of that, when needed.
  - WRegion.rqclose defer dispose always, and _does not_ indicate, 
    whether the operation is likely to succeed. To see if this happens,
    use the "deinit" notification.

2007-02-20 20:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Move rotation setting from WScreen to mod_xrandr

2007-02-20 02:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved size hint winprops

2007-02-20 02:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added option to disable mouse/sloppy focus.

2007-02-20 02:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Menu update

2007-02-20 02:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WRegion.get_configuration export.
  Note that it filters out client windows by default.

2007-02-19 22:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Frames weren't yet using rqdispose chains

2007-02-19 19:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ugly hack for dispose
  (TODO: use continuations instead)

2007-02-19 19:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, xwindow_pointer_pos was returning root coordinates

2007-02-19 19:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More ugly hacks to pointer focus hack

2007-02-18 19:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added missing header

2007-02-18 19:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Renamed region_may_destroy region_may_dispose for consistency.

2007-02-18 18:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * bottom_last_close wasn't being saved

2007-02-18 18:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Rescue mechanism optimisations

2007-02-18 18:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * No more reactive destroyal in region_managed_remove.
  It must be done in the region_managed_rqdispose chain.

2007-02-18 18:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops.

2007-02-18 17:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added region_rqdispose/region_managed_rqdispose mechanism.
  This should fix the issue of it having bee possible to destroy the
  last workspace (and tiling on it) on a screen recently.

2007-02-18 17:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Dispose changes

2007-02-17 20:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Bah, forgot the export statements, and WRegion.group_of is rather useless
  actually, in its previous form (gone now).

2007-02-17 19:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not ignore active region's base size in (tiled) frames' size hints.

2007-02-17 14:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Full screen mode fixes and improvements

2007-02-17 14:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WRegion.group_of and WRegion.groupleader_of exports.

2007-02-11 18:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some menu/query cycling improvements
  (partially incomplete)

2007-02-08 16:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Mplex attach size kludges

2007-02-08 15:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * I hate focus code

2007-02-06 19:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added commented-out caseicompl setting to cfg_query.lua

2007-02-06 19:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in NotifyPointerRoot handling.
  (Check for pending focus changes too. Moved after generic focus event handling.)

2007-02-06 19:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't confine pointer by default on grab.

2007-02-06 19:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * region_maybewarp_now was ignoring ioncore_g.warp_enabled.

2007-02-06 18:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Pointer focus hack on return from grab had been lost..

2007-02-05 18:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed stub appmenu. 
  F3/query_exec is the Ion way. (The appmenu remains for pwm, though.)

2007-02-05 17:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Close grabmenus when grab is killed (Esc).

2007-02-04 10:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some system.mk doc updates

2007-02-03 20:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed ext_statusbar backwards compat. hack.

2007-02-03 16:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added missing backquote

2007-02-03 14:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20070203

2007-02-03 14:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * RELNOTES update

2007-02-03 11:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updates to some styles

2007-02-03 11:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Include spacing in border width for the "ridge" and "inlaid" border styles.

2007-02-03 06:05 UTC  Etan Reisner <deryni@gmail.com>
  * Make the docs match the #defines.

2007-02-01 20:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Different selected/unselected-activity substyles for tab-frame too.

2007-02-01 20:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * `WMPlex.attach_new` can now be passed parameters by `ioncore.deflayout` 
  definitions (unless a particular parameter is masked in certain use cases,
  such as `switchto`). 

2007-02-01 18:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor GrStyleSpec init/copy optimisation

2007-01-31 19:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes in lookcommon_clean  usage

2007-01-31 17:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Defined activity attribute for menu entries in the "clean" styles.
  (The usual red for unselected, a bit lighter for selected entries.)

2007-01-31 17:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Set the "activity" attribute on relevant entries in the "focuslist" menu.

2007-01-31 17:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added support for arbitrary (drawing engine) attributes for menu entries.

2007-01-30 20:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor improvements to groupws_prepare_manage

2007-01-30 20:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, layout loading changes dislocated transient mgmt. code.

2007-01-30 18:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Renamed the `subs` element of WMPlex configuration to `managed`
  for consistency. The old name is still supported on load.

2007-01-30 18:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added `new_group` winprop.
  It should be the name of the layout of a new group/workspace to create,
  if the the `target` winprop fails. The latter is tried again after
  creating the new group.

2007-01-30 08:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More and fixed release notes

2007-01-30 00:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor optimisation

2007-01-29 16:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved layout and winprop communication between C/Lua.
  ioncore.deflayout and ioncore.getlayout replace mod_query.layouts
  and ioncore.set{default_ws_params = ...}

2007-01-28 10:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes to new drawing engine attribute scoring:
    - Since each item occurs on the attribute list only once, with a score,
      the a star ("*") on the source list should be used scored by its score
      there, instead of one. (Possibly also other items' scores should be
      multiplied by the source list score?)
    - The "activity" substyle needs some stars in it to give it a higher 
      score over other rather specific possibilities without "no_activity"
      to block their use.

2007-01-27 17:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, wrong address..

2007-01-27 17:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * attach_tagged behaviour restoration.

2007-01-27 16:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updates to man page references to binding contexts.
  NOTE: Some of the translations apparently are totally
  out-dated. Please update.

2007-01-27 13:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added option for case-insensitive completion.
  mod_query.set{caseicompl=true} will cause some completions (such as
  window and workspace names) to be case-insensitive.

2007-01-27 13:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, mod_query.get wasn't marked EXTL_SAFE

2007-01-27 12:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_query(.lua) clean-up and completion improvements

2007-01-26 19:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Statusbar meter name is now passed as attribute to the drawing engine.
  It is therefore possible to give different meters different colours,
  with de.substyle("metername", { ... }) in the appropriate style
  definition ("stdisp", "stdisp-statusbar").

2007-01-26 19:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Completion code fixes

2007-01-26 18:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added quasiactivity hint to the "clean" styles (+improved activity colour).
  Frame padding is drawn in red when frame frame is quasiactive. Stylistically
  it's far from ideal, but that seems to be the best place for the hint
  without major improvements to the drawing engine. The "emboss" styles still
  need to get this added, but they also demand other work, being largely
  bitrotted.

2007-01-26 17:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Drawing engine API and attribute handling changes.
  An attribute string is no longer passed to every drawing function,
  but instead the attributes must be allocated from libtu's "stringstore",
  and then set on the brush. The attributes are also no longer matched
  linearly, but by simple containment, with the linear specification strings
  in the style files (and gr_get_brush also still), however still modifying
  the score a match gives. These changes should make it easier to add 
  additional attributes.

2007-01-26 17:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed leak in mod_query_history_push_

2007-01-21 13:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * RELNOTES conflict resolution

2007-01-21 13:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes

2007-01-21 13:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Frame quasiactivation tracking

2007-01-20 20:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed 'detail' from notify_change parameters
  (And reordered call in unset_manager.)

2007-01-14 15:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed fake activication messages for non-windows.

2007-01-13 20:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not use Watches in return storage.
  Instead clean up things in region_deinit. The pointer to the region in the
  watch is reset before calling the watch handler, so node in the search tree
  is never found, the watch/pointer being the key.

2007-01-13 20:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in padding/spacing usage in frames.
  (See RELNOTES.)

2007-01-13 20:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not draw spacing after last textbox

2007-01-26 11:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * README  update

2007-01-25 22:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Check for NULL in get_hook

2007-01-25 04:24 UTC  Etan Reisner <deryni@gmail.com>
  * The name given to the workspace query should be used. I'm assuming this was a typo/braino of some sort.

2007-01-24 19:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Menu updates

2007-01-24 19:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improvements to query_renameworkspace

2007-01-24 18:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added cfg_layouts.lua with layout definitions

2007-01-24 18:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added layout query for new workspace to mod_query.query_workspace.
  The table returned by the function mod_query.layouts can be used to 
  configure additional layouts.

2007-01-24 09:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The "<empty frame>" text apparently wasn't i18nised, residing in config.h.

2007-01-23 17:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added region_dispose for chain-destruction of regions.
  It also handles goto to return placeholder target if the to-be destroyed
  region could control the focus. This also fixes recent regression wrt. 
  return from full screen mode.

2007-01-23 07:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Marked WFrame.mode "safe"

2007-01-22 20:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ugly pointer focus hack for messy floats:
  If a window that does not have the focus, or if the focus is being 
  changed elsewhere, is unmapped (or destroyed), contains the pointer,
  then try to set the focus again to prevent focus from changing to
  a window under this unampped window. (However, if the unampped window 
  has the focus, and no change elsewhere is known, current focus policy 
  dictates that the focus should fall to the underlying window.)

2007-01-21 12:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Pseudoactivity state maintenance hack

2007-01-18 20:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Navi-code updates

2007-01-18 08:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Year changed...
  (The one nice thing about CVS was that you could automate this
  numbering. Perhaps a record check script could make you update 
  the dates manually as you change the files...)

2007-01-17 20:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Comment updates

2007-01-17 18:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Further simplifications/dead code removal.
  (Made possible by removal of Xinerama #ifdef hacks.)

2007-01-17 18:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed the bitrotted Xinerama code altogether.
  I am unlikely to waste time fixing it. However, the abstract support still
  remains (enhanced), and someone who cares about it, will just have to write
  a separate module to set up a special layout for the root window (now a
  WScreen and WMPlex) with new WScreens for each Xinerama screen, and set
  the screen ID of the root window to less than zero for the layout loading
  code.

2007-01-17 18:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Loading hack

2007-01-17 17:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Made WRootWin inherit WScreen.
  This removes some ugly hacks, and simplifies things a lot for the usual
  case of a single screen, or that of normal X multihead. This completes
  the bitrot of Xinerama-specific code, although abstract support for
  various (nested) screen configurations remains (and infact there's
  now the abstract possibility of both single-screen and multi-screen
  workspaces/windows).

2007-01-17 16:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Group focus policy changes

2007-01-16 15:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Statusbar size hint tuning

2007-01-14 00:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes wrt. FRAME_MODE_UNKNOWN (e.g. scratchpad).

2007-01-13 23:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Toplevel bindmap usage tuning

2007-01-13 18:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, forgot this...

2007-01-13 18:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use libtu stringstore for the notification mechanism
  (Testing against allocated StringIds is more efficient than strcmp.)

2007-01-13 16:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed region_managed_(in)activated hooks and functions.
   - region_notify_change and the corresponding region_notify_hook do the job.

2007-01-12 14:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * README fixes/improvements

2007-01-10 18:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * doc

2007-01-10 18:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed WMPlex.attach_tagged to switch to the first attached region

2007-01-10 18:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved mod_tiling.detach as ioncore.detach.
  (It has nothing to do with tilings, after all.)

2007-01-10 18:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use previous placeholder on entering FS mode, if there's one

2007-01-10 18:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Detach tuning

2007-01-10 17:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use original stacking level and sizepolicy for unframed detachs

2007-01-10 17:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused modal flag
  (The information is in the stacking level.)

2007-01-10 07:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated configuration file doc. comments

2007-01-10 01:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed traces of WPaneWS.
  It won't be found in Ion3: there aren't separate workspace classes 
  anymore, after all. Instead, so-called "trays" may be added. Or maybe
  not. Who knows.

2007-01-10 00:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Query history tuning

2007-01-09 22:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added placeholder staleness checks

2007-01-09 21:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Placeholder and detach improvements:
  - No need for special handling of transients in configs anymore: 
    framing of non-WWindow regions on detach is automatic now, and
    an auto-destroyed frame creates a recreation WFramedPHolder for
    its remaining WMPlexPHolders, so that the container frame can
    be recreated on attach.
  - Consequently, multiple fullscreened windows from a floating frame
    are now returned back to the same frame, even if the original
    frame was emptied (and thus destroyed) in the meanwhile.

2007-01-06 18:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added mode to WFramedParam

2007-01-08 20:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Typo fix (+ minor related policy changes)

2007-01-04 22:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved set/is_fullscreen from WClientWin to WGroup
   - Simplifies the binding (and the config needs to be updated!)

2007-01-03 17:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some renames for consistency

2007-01-03 17:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Support obtaining current key in submaps as well

2007-01-03 17:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Mod1+K K opens a grabmenu with the "focustlist" menu
   - Cyclable with Mod1+K

2007-01-03 17:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added focuslist menu 
   - First lists ioncore.activity_i results and then ioncore.focushistory_i

2007-01-03 16:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed *_list exports into *_i iterators

2007-01-03 16:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops (and been there for a while, stupid GCC)

2007-01-03 15:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Remove managers from focus list when child is pushed on it

2006-12-28 20:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Detach binding/menu tuning

2006-12-28 20:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added / to characters substituted in query menus

2006-12-28 20:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed menu append

2006-12-28 20:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Detach is toggleable now (using return placeholder list)

2006-12-28 19:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Full screen code rearrangements

2006-12-27 14:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor tuning

2006-12-27 14:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use return storage for return from full screen mode

2006-12-26 17:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More functions for return storage

2006-12-26 17:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use watches in return storage

2006-12-26 17:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added basic "return" placeholder storage

2006-12-26 16:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused variable/string

2006-12-26 20:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't snow info window for activity on active screen

2006-12-23 14:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20061223

2006-12-23 14:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Release notes

2006-12-23 11:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Bound 'toggle tag' (Mod1+T) in WMPlex.toplevel instead of WFrame.toplevel
  - Works for FS stuff too now

2006-12-23 11:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added info window for tagging state of FS stuff

2006-12-22 14:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More mysterious focus tuning
  (Seems like the focus shit working varies by the sunspots.)

2006-12-21 19:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Returned to old totally-out-of-order Focus/EnterWindow event processing.
  - It seems the sucky Xlib doesn't let you do it otherwise.

2006-12-20 15:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Yet more focus tracking hacks.
  (Will one ever work?)

2006-12-14 16:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The "float" winprop works on transients too now

2006-12-14 16:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * If sizehint winprops have been set, correct requested geometry to match these.

2006-12-09 21:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Place new regions after the current and those with activity after it
  - Controlled with frame_default_index parameter of ioncore.set.
    To get the old default behaviour, set this to 'next'.
  - This option obsoletes the frame_add_last option

2006-12-09 11:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added next/prev-always alternatives to cycle parameter to mod_query.complete.
  - If these are used instead of next/prev, cycling occurs despite
    history/normal completion mode switch.

2006-12-02 18:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed query history duplicate elimination code

2006-11-23 22:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Increased query history size from 256 to 1024

2006-11-19 23:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't unmanage stdisp when switching to region that can't manage it

2006-11-12 15:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed region_rqgeom parametrisation
  - Gravity can now be passed down to the root relative ("absolute")
    version, allowing removal of WClientWin specific checks/hacks.

2006-11-12 12:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Detach tries to keep root-relative geometry unchanged
  (For framed detach, the geometry of the frame is tried
  to be kept unchanged from the origianl geomery of the 
  detached object.)

2006-11-12 12:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Detach works on transients now

2006-11-12 12:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Readjust cursor position for infobox

2006-11-12 10:38 UTC  Miroslav Kure <kurem@debian.cz>
  * Updated Czech translation

2006-11-11 18:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * statusd startup timeout tunning
  (incl. typo fix)

2006-11-11 15:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated Finnish translation

2006-11-11 15:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Menu name translation hack
  (These are hidden in strings in the configuration files.)

2006-11-11 13:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added info box for history completion mode into queries

2006-11-11 12:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Warp in WMPlex.set_hidden

2006-11-09 18:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not duplicate entries already in history when pushing.
  Instead move the first already existing first.

2006-11-09 18:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * strcoll instead of strcmp for completion sorting

2006-11-09 17:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Complete history in history order instead of character set

2006-11-04 14:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Clear a few more flags of frame size hints

2006-11-03 21:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mod_query.query_attachclient to attach the containing WGroupCW.
  Also, if one does not exist (e.g. when attaching transients), one is 
  created.

2006-11-03 21:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Made pholder_do_attach return region instead of boolean.

2006-11-03 07:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed switchto/hidden WMPlex attach parameter interaction.

2006-11-01 20:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Remanage stdisp when bottom attached to group

2006-10-31 16:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed coding style
  (Remember the coding style, folks!)

2006-10-31 12:03 UTC  David Smith <davidsmith@acm.org>
  * Handle mods in submapgrab_handler

2006-10-31 16:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc. fixes

2006-10-30 21:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * tiling_placement_alt fixes

2006-10-30 21:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Comments about moronic kernels and improved workaround

2006-10-29 13:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Respect REGION_SKIP_FOCUS more often

2006-10-29 13:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops

2006-10-28 23:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20061029

2006-10-28 23:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some release notes

2006-10-28 23:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_menu.grabmenu uses current key event.
  - It is no longer necessary to specify the cycling key separately.

2006-10-28 23:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Query activation key now cycles completions

2006-10-28 22:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed defmenu for callbacks

2006-10-28 22:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added routine to get current key event, if not in a submap.

2006-10-28 19:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed sizepolicies used for fullsize-stdisp

2006-10-28 19:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Context menu code now knows to use 'Foo.bar' for Foo in mode 'bar-baz'.

2006-10-28 19:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused/broken WFrame-as-scratchpad bindmap

2006-10-27 18:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Set SIZEPOLICY_FULL_EXACT for group bottom if unspecified.

2006-10-27 18:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, incomplete backward cycle...

2006-10-27 18:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed parametrisation of WEdln.complete

2006-10-27 18:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added support for history completion
  - Mod1+R in the default bindings completes in history.

2006-10-22 18:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * create_frame parametrisation in mod_scratchpad was wrong.
  (Weak typing, bah.)

2006-10-21 22:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed rotation support.
  (Application of size policies did not pass through the information.)

2006-10-21 20:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed layout backwards compatibility hack.
  - It wasn't setting SIZEPOLICY_FULL_EXACT for WTiling.

2006-10-21 17:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed shading code after the mode stuff had broken it

2006-10-21 17:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Resizing code fixes and other changes

2006-10-20 23:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Allow frames attached to WTiling to have tiled-alt mode

2006-10-20 17:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Workspace switch warp had become disabled.

2006-10-20 15:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20061020

2006-10-20 15:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated RELNOTES

2006-10-20 15:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added README for po/

2006-10-20 15:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Restored client window unmap fs_pholder return goto
  (Which could do in theory do the wrong thing now under some
  strange settings and scripts. TODO: better and more general
  "return lists".)

2006-10-20 15:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes to previous focus fixes

2006-10-19 21:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Separate update_$LANG targets in Makefile instead of update_translations

2006-10-19 18:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unnecessary test file

2006-10-19 16:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated Finnish translation

2006-10-19 16:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use lua-xgettext

2006-10-18 18:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mplex_current_node falls back to mx_current.
  (Kludge to get around problems with deferred destroy and groups.)

2006-10-18 17:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex focus code changes

2006-10-17 21:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added boolean 'float' winprop.
  - If it is set, groups don't pass prepare_manage to 'bottom'.

2006-10-17 21:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't set REGION_PLEASE_WARP on groups

2006-10-16 22:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * predist.sh fix/redundancy removal

2006-10-16 22:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't install cfg_panews.lua, as the module is disabled.

2006-10-16 19:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Makefile preload hack fixes

2006-10-16 19:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * -typo

2006-10-16 12:17 UTC  Miroslav Kure <kurem@debian.cz>
  * Updated Czech manpage

2006-10-16 12:16 UTC  Miroslav Kure <kurem@debian.cz>
  * Updated Czech translation

2006-10-15 22:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed a typo in workspace query
  (Stupid dynamic typing.)

2006-10-15 18:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20061015

2006-10-15 17:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc fix

2006-10-15 17:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some final release note tuning

2006-10-15 17:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use the faster direct url in predist.sh

2006-10-15 17:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * predist.sh update

2006-10-15 16:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Do not enforce floating style for transient frames..

2006-10-15 15:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved layout backwards compatibility hack

2006-10-15 14:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Doc fix

2006-10-15 14:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WFrame@WTiling bindmap and menu was actually redundant now.

2006-10-14 23:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some release notes

2006-10-14 23:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Actually, disable tab-bar by deafult for FRAME_MODE_TILED_ALT.

2006-10-14 22:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use "@" instead of "-on-" for bindings and menus dependent on manager
  (for more consistency with "." for mode-dependent stuff).

2006-10-14 22:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Context menus also support modes now.
  - The context menu "Class.mode" is included, if Class:mode exists and
    returns "mode".

2006-10-14 22:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improvements to mode stuff

2006-10-14 22:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed superfluous frame drawing routine dynamism.

2006-10-14 22:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mkbottom

2006-10-14 22:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Groups and tilings now enforce frame mode.

2006-10-14 22:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added frame mode-switching code.
  - Frames without a tab bar can be obtained with
  
          frame:set_mode('frame-tiled-alt') 
  
    in the default styles (or by entirely disabling the tabbar with
    `bar = 'none'` in the 'frame-tiled' style).

2006-10-14 21:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed WFloatFrame
  - Frame modes are used instead.
  - Tabbar-toggling is also gone, and must be reproduced with 
    modes (TODO).

2006-10-14 17:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Replace frame style parameter with mode parameter.

2006-10-10 22:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added guards for _rawsub and renamed it _chld.

2006-10-07 21:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed stdisp unmanage

2006-10-07 16:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added detach entries into menus

2006-10-07 16:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added 'append' option for menus.

2006-10-07 14:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added support for WFoo-on-WBar context menus.

2006-10-07 14:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Manual page binding listing generation improvements etc.

2006-10-06 15:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added context menu for screens.
  - Entries to create workspace with default template or an empty one, and
    close current workspace (if permitted).
  - Mod1+M bound at WMPlex level now, to display this menu on empty
    workspaces.

2006-10-05 18:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated (English and Finnish) man pages.

2006-10-05 17:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Floatframe shading fixes.

2006-10-04 18:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Float placement code ignore group bottom now.

2006-10-04 17:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed and cleaned up bitrot in region binding registration code.

2006-10-03 16:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mod_query.show_clientwin by expanding it into mod_query.show_tree.

2006-10-03 15:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Simplified group attach stuff with separate WFramedPHolder

2006-10-02 11:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * README update

2006-09-30 20:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_menu was still referring to WMPlex.llist

2006-09-30 20:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Group attach size fix (quick&dirty version).

2006-09-30 12:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Reparent/weave were in wrong order in group_fitrep.

2006-09-29 19:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Put floating client windows as well in groups (for now).
  - Also use frames with special style for floating transients as well.

2006-09-29 19:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroupedPHolder and other fixes.

2006-09-29 17:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Hacks to ignore size hints when in client-requested full screen mode.

2006-09-28 18:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed uninitialised structures.
  (Stupid C...)

2006-09-28 09:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Restored NotifyPointer focus event ignorance.

2006-09-27 09:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed email in convirus script to nobody@nowhere.invalid
  (Stupid piece of shit telling users to report its own idiocy to 
  that address.)

2006-09-27 09:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use NGROUPS_MAX if NGROUPS is not defined.

2006-09-24 16:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed useless rescue code.

2006-09-24 16:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops.

2006-09-24 15:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use WGroupedPHolder for grouped attach of client windows to frames.

2006-09-24 15:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mplex placeholder rearrangements.

2006-09-23 15:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed completed #warning TODO

2006-09-23 15:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Lowering a stacked-above object (transient) lowers the o'parent' object as well now.

2006-09-22 18:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed group prepare_manage policy.

2006-09-19 17:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in EnterWindow event handling.

2006-09-19 07:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added zero size check to Xinerama sanity check.

2006-09-17 16:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Transient etc. size fixes

2006-09-16 19:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Sizehint code tuning for requirements of WGroupCW.

2006-09-16 19:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, statusbar attach stuff hadn't been brought up-to-date.

2006-09-16 17:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed redundant size hint correction wrapper code.

2006-09-16 15:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroupWS.attach_framed supports arbitrary regions (and not just WClientWins).

2006-09-16 15:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use just "frame-floating" style instead of "frame-floating-groupws".

2006-09-16 15:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WFloatFrame wasn't using region_displayname yet.

2006-09-16 14:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Cleaned up SPLIT_NONE/ANY

2006-09-16 11:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Marked some entries as 'done' on the TODO list.

2006-09-15 12:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed superfluous ion-completeman code

2006-09-15 16:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Focus fixes

2006-09-10 19:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed focusing when focus gets restored to root window and we want to focus something else.

2006-09-10 12:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Transient initial positioning fixed

2006-09-03 13:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes to activity propagation code

2006-09-03 12:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops, forgot to update bindings earlier.

2006-09-03 11:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops.

2006-09-03 10:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Replaced region_activity_hook with generic region_notify_hook, which
  is also used to notify of name, tag and other changes, with a string
  parameter indicating the actual change that has taken place.

2006-09-03 08:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The activity notification window is now managed normally.

2006-08-31 19:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added basic detach/mkbottom code.
  TODO: placeholders for reattach, etc. Maybe put into separate 
  module (instead of mod_tiling)?

2006-08-31 19:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Various minor fixes and clean-up.

2006-08-31 17:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some attach mechanism improvements.

2006-08-25 02:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved commented-out transpose_words as Control+K T.

2006-08-24 20:52 UTC  Tibor Csögör <tibi@tiborius.net>
  * Added transpose_chars and transpose_words to mod_query.

2006-08-21 17:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Navigation code fixes

2006-08-21 16:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex attach code always uses WMPlexPHolders.
  - The attach callbacks should then be able to safely remove stuff
    from the mplex, for detach stuff etc.

2006-08-19 17:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed initial window order in frame.

2006-08-19 17:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improvements related to navigation and stacking
  - Added WRegion.rqorder as an abstract raise/lower request.

2006-08-19 16:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused stacking code

2006-08-18 17:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More navigation stuff.
  - In particular, rebound configuration files to use ioncore.goto_next 
    with appropriate parametrisation.

2006-08-18 17:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some improvements in binding handler compilation code

2006-08-17 17:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added no_ascend/no_descend parameters to the navi functions.

2006-08-17 16:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some fixes binding graph hacks for windowless regions.

2006-08-16 18:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Generic navigation code improvements.
  - Also removed some redundant tiling code.

2006-08-14 18:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed some undefined references in mod_dock.

2006-08-11 16:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed an assert trigger

2006-08-11 16:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some drawing engine code tuning

2006-08-14 15:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added a missing check for nil table.

2006-08-09 17:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use redblack tree for reg->stacking lookup.

2006-08-07 16:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some documentation updates.

2006-08-07 16:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in WMPlex structure.
  - l1/l2 lists are gone, and instead there just a single list of all
    managed regions using WStacking nodes, and another list of the
    “layer 1” or “mutually exclusive” regions.

2006-08-05 18:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed mplex_lcount stuff.

2006-08-03 15:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Simplifications in mplex/group focus code.

2006-08-02 20:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Combined WStacking and WLListNode.

2006-08-01 22:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some field renames for further changes.

2006-08-03 21:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated to predist.sh to reflect changed paths of *.mk.

2006-08-03 21:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in predist.sh to reflect _darcs/ having been changed.

2006-08-02 14:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Possible fixes to (initial) effect of stdisp on tiling llayout.

2006-07-16 15:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroupCW uses the bottom_last_close option now (instead of reinventing it).

2006-07-16 15:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added option to auto-destroy groups when 'bottom' is destroyed
  when nothing "essential" is left after it.

2006-07-16 15:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved handling of stdisp managed by destroyed 'bottom' of a group.

2006-07-15 19:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * PWM config updates.

2006-07-15 18:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added default_ws_params to ioncore.set.
  - cfg_tiling.lua sets a horizontally 1:1 splitted tiled layout as default

2006-07-15 18:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Renamed mod_ionws as mod_tiling and WIonWS as WTiling.

2006-07-14 12:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_floatws is no more.
  - WFloatWS was moved into ioncore as the WGroupWS base for all workspaces.
  - Backwards compatibility hack included for saved layouts, but not
    configuration files.

2006-07-14 11:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed remaining lua-side references to WGenWS to WGroupWS.

2006-07-12 11:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Temporarily disabled mod_panews.

2006-07-14 11:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved some region_register calls to safer places.

2006-07-14 10:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed redundant code by using weave for raise/lower.

2006-07-12 12:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed WGenWS entirely.

2006-07-07 18:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added beginnings of more generic navigation code.

2006-07-08 07:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * floatws redirects prepare_manage to 'bottom' if active.

2006-07-07 14:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Redirect stdisp to WGroup(WS) 'bottom'.

2006-07-12 05:00 UTC  Etan Reisner <deryni@gmail.com>
  * Remove an extra space in the Lua query prompt.

2006-07-10 20:25 UTC  pfeifer@wait.de
  * pass-table-fix
  This patch fixes a bug in mod_panes that would prevent a caller for successfully passing
  a table as template to the module

2006-07-08 10:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_dock was still referring to mplex_layer.

2006-07-08 08:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes in initial stacking of regions.

2006-07-07 17:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed 'bottom' initial stacking.

2006-07-05 15:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ugly Makefile hacks.

2006-07-02 17:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some improvements in mplex focusing code and policies.

2006-07-02 15:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some cleanup.

2006-07-02 15:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroupCW no longer loads if empty.

2006-07-01 19:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some mplex/group integration.

2006-07-01 18:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Further improvements in focus code.

2006-06-25 17:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor fixes to group stuff.

2006-06-25 16:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Reduced use of WGenWS.
  (Only WIonWS and WPaneWS still refer to it.)

2006-07-01 16:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * region_managed_goto improvements.

2006-06-27 22:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops.

2006-06-27 21:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some more changes, fixes, and damage done in key binding dispatch code.

2006-06-25 20:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes and simplifications to key handling code.

2006-06-25 09:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroupCW passes on region_managed_notify for the 'bottom'.

2006-06-25 09:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Stupid C and dependencies..

2006-06-24 18:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some more release notes.

2006-06-24 18:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Groups use minimum size hint from 'bottom'.

2006-06-24 17:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Check that WGenWS actually implements genws_manage_stdisp before calling it.

2006-06-24 17:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Full-screening code updates.

2006-06-24 17:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fix in group_fitrep.

2006-06-24 17:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ignore stuff in groups for primitive stacking code.

2006-06-24 17:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed stacking_weave.

2006-06-24 16:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added binding set for WClientWin.

2006-06-24 16:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * New mechanism for grabs of windowless regions' bindings.

2006-06-23 09:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added stuff to RELNOTES.

2006-06-23 09:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added region_displayname stuff.
  - Needed to display the main client window's name in the tab-bar for 
    client window groups (WGroupCW).

2006-06-23 09:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WGroupCW gets destroyed when empty.

2006-06-23 08:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Temporarily removed sticky floating frame support.
  - To be re-implemented in a completely different manner.

2006-06-23 08:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added group modality stuff.

2006-06-23 07:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some cleanup.

2006-06-22 23:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * First steps of client window groups.

2006-06-21 16:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed group attach geometry stuff.

2006-06-20 19:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Inherited WFloatWS from WGroup.

2006-06-20 18:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved part of WFloatWS as WGroup in ioncore.

2006-06-20 18:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused local variable.

2006-06-20 18:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved some more stuff.

2006-06-20 18:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved framed attach stuff from floatws.c to placement.c.

2006-06-20 17:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved floatws pholder.

2006-06-19 16:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added SIZEPOLICY_SHRUNK modifier.

2006-06-19 16:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added generic floatws attach routines.

2006-06-21 16:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some dates were wrong..

2006-06-21 16:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * There were unused fields in WClientWin.

2006-06-21 08:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Typo fixes.

2006-06-19 12:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Allow override of xterm with the XTERM Lua-side variable.

2006-06-18 01:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved and extended floatws sizepolicy usage.

2006-06-17 22:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * stacking_unweave/weave

2006-06-17 22:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops.

2006-06-17 18:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * FloatWS special-case stuff points to the stacking structures instead of the regions.

2006-06-17 17:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added manager specific list to WStacking.

2006-06-11 17:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improvements to floatws bottom support + use size policies.

2006-06-11 17:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added SIZEPOLICY_UNCONSTRAINED.

2006-06-10 21:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Preliminary floatws "bottom" support.

2006-05-29 16:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added levels to stacking code.

2006-05-28 20:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed some redundancy from stacking code.

2006-05-28 17:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some more stacking code changes.

2006-05-28 11:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some more stacking code cleanup etc.

2006-05-27 15:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some improvements/cleanup in floatws stacking code.

2006-06-17 10:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Cleaned up the top directory of building related files.
  - In particular, autovirus stuff is in build/ac now and must be run there.

2006-06-15 02:51 UTC  Etan Reisner <deryni@gmail.com>
  * Sun Xinerama support, also fix the --help text to accurately indicate whether we were built with xinerama support or not.

2006-06-13 15:08 UTC  Norbert Tretkowski <norbert@tretkowski.de>
  * Use META instead MOD1.

2006-06-07 11:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Missing assignment fixed.

2006-06-07 09:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Export ioncore.tags_first.

2006-06-09 14:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Exclude USECS_IN_SEC itself from valid values too..

2006-06-09 14:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ensure that tv_usec is less than 1000000 (usecs in sec).
  - Some kernels are a bit picky.

2006-05-29 21:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Size hints weren't being applied on client windows on Ion startup startup.
  (Now they're applied if we do not modify the old client window size.)

2006-05-19 21:36 UTC  Etan Reisner <deryni@gmail.com>
  * s/kpress_waitrel/kpress_wait/ and some s/waitrel/wait/ since I believe waitrel is the old name and this makes things a little cleaner.
  The switch_bindings.lua script currently has an ugly if/elseif section to do
  all the binding removal stuff, with this change that whole section can be
  replaced with one line.

2006-05-24 16:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20060524

2006-05-23 06:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * An assert had moved to the wrong place.

2006-05-20 09:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * One more gsub update...

2006-05-19 16:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More Lua 5.1 stuff: use # instead of table.getn.

2006-05-19 07:12 UTC  René van Bevern <rvb@debian.org>
  * take ioncore_bindings.lua of ion3 to lua 5.1

2006-05-19 06:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Few more backticks.

2006-05-18 23:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20060519

2006-05-18 23:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added new release notes.

2006-05-18 23:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated README.autoconf.

2006-05-18 23:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added a few more backticks to RELNOTES and README.

2006-05-19 02:19 UTC  Matthieu.Moy@imag.fr
  * Use -lm and -ldl in the test for -llua

2006-05-18 13:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Markdownized README as well.

2006-05-18 13:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Small changes in RELNOTES for markdown processing for web.

2006-05-17 15:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated TODO.riot.

2006-05-17 16:51 UTC  Matthieu.Moy@imag.fr
  * bugfix in lua 5.1 + other usefull checks
  The test for the liblua version was completely buggy. Sorry.
  
  Tests added for other headers:
  X11/SM/SMlib.h, X11/Xresource.h and libintl.h
  (with error messages pointing to the name of Debian packages)
  
  Test for xmessage (with a warning only, since ion can probably still
  work without xmessage)
  
  

2006-05-17 13:39 UTC  Matthieu.Moy@imag.fr
  * Update configure.ac for lua 5.1

2006-05-16 18:39 UTC  Sergej Pupykin <ps@lx-ltd.ru>
  * sigusr2
  
  Allows to create lua hook for SIGUSR2.
  Can be usefull (for example) for status line changing from media player...
  
  Usage example:
   ioncore.get_hook("ioncore_sigusr2_hook"):add(
       function(reg)
           mod_statusbar.inform("status_name", "SIGUSR2 catched")
           mod_statusbar.update()
       end
   )

2006-05-16 17:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * README etc. updates.

2006-05-16 17:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed string.gsub issues with Lua 5.1.
  
  Lua 5.0:
  "... If the value returned by this function is a string, then it is
  used as the replacement string; otherwise, the replacement string is the
  empty string."
  
  Lua 5.1:
  "If the value returned by the table query or by the function call is a string
  or a number, then it is used as the replacement string; otherwise, if it is
  false or nil, then there is no replacement (that is, the original match is
  kept in the string)."
  

2006-05-16 16:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Few more missing table-iteration changes.

2006-03-24 00:19 UTC  Etan Reisner <deryni@gmail.com>
  * lua5.1 incompatible changes
  The _LOADED variable became package.loaded.
  The contents of lualib were merged into lua itself, so remove -llualib from the build line.
  Debian now uses pkg-config for the lua stuff not lua-config.

2006-03-24 00:09 UTC  Etan Reisner <deryni@gmail.com>
  * lua5.1 backwards compatible changes
  Whether intentional or not lua 5.1 no longer allows
  tab={}
  for k,v in tab do
      ...
  end
  and requires
  for k,v in pairs(tab) do
      ...
  end
  instead.

2006-05-06 21:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not spew out stack traces all the time when warn() is called.

2006-04-26 17:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * framed_transients is on by default now.

2006-04-26 17:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WFrame.toplevel and WMPlex.toplevel binding maps.
  - These are not used by frames for transients.
  - Changed the default bindings accordingly.

2006-04-22 16:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added toggle for showing tab numbers.
  - WFrame:set_numbers with the usual 'set'/'unset'/'toggle' parametrisation.

2006-04-20 19:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed obsolete references to -i18n flag.

2006-04-13 22:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The frame_add_last option had been broken.
  - Since switching to use of placeholders for initial management 
    setup, the flag was no longer checked.

2006-04-02 19:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added stuff for accessing regions with activity/urgency bit set.

2006-04-02 19:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Extended Mod1+K K binding.
  - Go to first region demanding attention or previously active region:
    "ioncore.activity_goto() or ioncore.goto_previous()".

2006-04-01 14:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Separated and cleaned up some stacking code from mod_floatws.

2006-03-31 18:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in default_ws_type lookup.

2006-03-28 20:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use SIZEPOLICY_FULL_BOUNDS for client windows in mplexes.
  - Needed to communicate available area for transients.

2006-03-26 09:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20060326

2006-03-23 16:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Included a TODO list. 
  
  The TODO.riot file has been created with the riot outliner available from
  <http://iki.fi/tuomov/riot/>. The file is, however, just an mbox file, so
  you can read it with your favourite threading mail user agent. For example:
  mutt -f TODO.riot

2006-03-20 23:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Enforce win_gravity=NorthWestGravity for client windows.
  - Fixes issues with OO.org's transients in framed mode.

2006-03-18 22:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in default appmenu.
  - Removed firefox (won't promote gtk shit).
  - Added opera, konqueror, dillo, w3m, links, rxvt.

2006-03-18 12:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ah, -Wl,-whole-archive is a better hack.

2006-03-18 12:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Link PWM also with the -u ptrlist_iter gcc lameness hack.

2006-03-17 20:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some more winprop/sizepolicy changes.

2006-03-17 19:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20060317

2006-03-17 10:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Previous change incomplete.

2006-03-17 10:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * default_ws_type is no longer set by config files and could confuse things. Fixed.

2006-03-15 23:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in look file fonts.
  - Refer directly to -*-fixed-medium-r-normal-*-13-*-*-*-*-*-*-* as
    the 'fixed' alias has problems with encodings.

2006-03-15 18:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Timer signal object passing to Lua side was broken.
  (Weak typing...) 

2006-03-15 18:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in the set of configuration files.
  - cfg_ion.lua now simply load cfg_ioncore.lua and cfg_modules.lua
    with the default set of modules, and includes some of the most
    commonly changed options commented-out. This deprecates cfg_user.lua
  - cfg_menus.lua and cfg_bindings.lua are now cfg_ioncore.lua. This 
    better matches how things for different modules are in their own
    files.

2006-03-12 12:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Embedded dock initilisation code had been broken. Fixed.

2006-03-11 09:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. The stretch size policy used wrong variables.

2006-03-11 08:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Different query-menus use different history context.

2006-03-08 20:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. The new client window code used wrong "llist" iterator.
  This could cause segfaults.

2006-03-08 19:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Closing a transient had started warping to remaining transient(s).

2006-03-07 10:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed binding lookup code to be able to deal with zero keycodes.
  - This may happen if X keycode to keysym mapping is changed 
    while Ion is running.

2006-03-06 23:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. If there were winprops set, SIZEPOLICY_DEFAULT was used for transients.

2006-03-05 13:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20060305

2006-03-05 13:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * 'ru' was missing from list of translations in po/Makefile.

2006-03-05 13:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * frame_rqgeom_clientwin passes rqflags as-is.

2006-03-05 13:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * SIZE_POLICY_FREE_GLUE is now properly used for transients.

2006-03-05 13:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added -u ptrlist_iter linking hack to gcc/ld.
  - Otherwise ptrlist.o from libtu won't get linked as it will no longer
    used by the main binary, and thus the modules won't have access to it.

2006-03-05 10:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved free_glue and stretch size policies.

2006-03-02 18:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added SIZEPOLICY_FREE_GLUE and other size policy code changes.
  (TODO: client windows need to store state for this for transients.)

2006-02-26 16:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Client windows use the same (mplex) size policies for transients now.

2006-02-26 00:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. MPlex attach code changes had broken mgd. region ordering on load.

2006-02-25 17:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some size policies with gravity.

2006-02-24 19:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Separated mplex size policy in new file, and independent of mplex.

2006-02-22 13:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Append '/' to submenu entries in query_menu.

2006-02-19 16:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some mplex attach code cleanup.

2006-02-19 16:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Reduced usage of REGION_FIT_BOUNDS a little.

2006-02-19 00:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated dock to reflect previous mplex size policy changes.

2006-02-18 20:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed the WScratchpad class.
  - Scratchpads are now simply normal WFrames with MPLEX_SIZEPOLICY_FREE.

2006-02-18 20:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WMPlex managed region size policy support.

2006-02-18 18:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed "./" being included in completed file name in query_exec.
  - Also brought mod_query.popen_completions documentation up-to-date.

2006-02-15 07:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed load_hint.
  - Stupid unsafe dynamically-typed languages...

2006-02-12 16:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Let's call it statusbar_ instead of status_ after all...

2006-02-12 15:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Should check for sb meter value being null when shortening it.

2006-02-12 15:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_statusbar tries to load scripts before falling back to statusd.
  - If status_foobar(.lua|.lc) is found on the search path, -m foobar
    is not passed to ion-statusd.

2006-02-12 15:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added region_activity_hook.
  - Called when the activity flag of a region is changed with the 
    region as parameter.

2006-02-12 15:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Framed transients' size requests get handled now.

2006-02-11 15:35 UTC  dev@triphoenix.de
  * completefile-groupexec
  
  Although ion-completefile does check if any matching executable is
  world-executable or user-executable, it doesn't check for
  group-executable. This is problematic for example on systems, where
  games are installed with r-xr-x--- and root:games (which seems to be a
  common method). This introduces a check for the group id, basically it
  gets all groups for the current user and checks if any of them is
  applicable. This is only done when the user and world checks already
  have failed and the group-executable bit is set.
  

2006-02-08 07:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ion-statusd catches SIGCHLD.

2006-02-07 21:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved comments in cfg_statusbar.lua.

2006-02-06 20:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed query_menu title transformation.
  * Lua's regexp routines don't understand utf-8 or other multibyte encodings.
  * TODO: conversion to lower case of non-ascii letters.

2006-02-01 18:05 UTC  Vassily Leushin <basileus@kirov.lug.ru>
  * russian_locale

2006-01-29 15:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Statusbar meter template is respected as maximum size for meter.

2006-01-25 23:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added dummy gettext hack for those labels.

2006-01-25 23:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added context menu label support.

2006-01-25 16:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not try to resize the statusbar unnecessarily.

2006-01-21 23:47 UTC  ludal@logilab.fr
  * fixes random segfaults
  With ion-3ds-20060107 I see random segfaults I can reproduce navigating
  some website with galeon. This patch seems to fix the problem (and the
  original code looked wrong)

2006-01-21 21:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. A function wasn't marked local.

2006-01-21 20:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Counter wasn't incremented in statusbar list building.

2006-01-20 21:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated/fixed PWM bindings configuration.

2006-01-20 17:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Statusbar uses PtrLists instead of ObjLists.
  (Stuff gets removed from ObjLists before the manager's removal handler 
  is called.)

2006-01-19 19:24 UTC  Etan Reisner <deryni@eden.rutgers.edu>
  * Use the table values we are iterating over.

2006-01-14 20:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Previous completion behaviour change broke something..

2006-01-11 17:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed a problem in statusbar winprop usage.

2006-01-07 21:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20060107

2006-01-07 21:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added systray window height limiting.

2006-01-07 19:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added support for multiple systray items in statusbar.
  Use %systray_whatever in the template, and set the 'statusbar' winprop
  to "systray_whatever" to put any window at that point the template.

2006-01-01 01:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Year changed.

2006-01-01 01:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mod_menu.grabmenu documentation.

2005-12-31 23:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Display transients of systray icons somewhere else.

2005-12-29 22:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The statusbar supports system tray windows now.
  These are windows that have the _KDE_NET_WM_SYSTEM_TRAY_WINDOW_FOR
  property set.

2005-12-26 19:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved some statusbar code to the C side and removed old (backcompat) kludges.

2005-12-25 17:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added noautoexpand option for mod_query.query_menu.
  This option should be used to suppress automatic expansion
  of huge menus e.g. as follows:
  
      submenu("Debian",           "Debian", {noautoexpand=true}),
  

2005-12-23 18:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some improvements and fixes in style files.

2005-12-21 22:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed status display mapping on destroyal of ws and switch fs cwin.

2005-12-19 18:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * frame_brushes_updated wasn't in the WFrame dynfuntab.

2005-12-18 16:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Redefine 'print' in query_lua execution environment,
  and display the printed strings, if there are any, after execution 
  in a message box.

2005-12-18 16:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved fullscreen winprop handling to default clientwin_do_manage_alt handler.
  Other handlers may now override it, but return-from-fs spaceholder is now
  obtained. Also, setting the property to false will override initial
  fullscreen request from the application.

2005-12-18 14:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mod_query.query_menu failing if a submenu could not be found.

2005-12-17 23:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't warp to newly opened transient, only focus it.

2005-12-17 14:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in transient geometry change request handling.

2005-12-16 23:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Forced new completion run (Control+Tab) in auto-show-completions mode doesn't cycle to first alternative.

2005-12-16 23:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Meter names etc. may be enclosed in braces in statusbar template.

2005-12-14 16:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Documented mod_query.query low-level query routine.

2005-12-13 16:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated documentation comment.

2005-12-12 21:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed space deletion in query_exec completion.

2005-12-10 20:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20051210

2005-12-10 20:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed kludges from client window resize code.

2005-12-10 20:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in transient window management setup code.

2005-12-08 15:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Floatws config file was out-of-date.

2005-12-05 23:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added a metatable kludge for MOD1/MOD2 vs. META/ALTMETA compatibility.
  - All mixes of old and new configuration files should work correctly.

2005-12-05 23:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Renamed MOD1/MOD2 to META/ALTMETA.
  - Too many newbies are confused between the MOD1/MOD2 variables and the
    Mod1/Mod2 X modifiers.

2005-12-03 17:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_query.query_attachclient (Mod1+A) now activates client already in target mplex.

2005-12-03 17:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Empty dock uses (w, h)=tile_size instead of (1, 1).

2005-12-02 07:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_statusbar.create should pass fullsize option to WMPlex.set_stdisp.

2005-11-13 22:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Experimental: keybindings open query-menus instead of normal menus.

2005-11-26 11:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Failing to open error log file could cause extra trouble..

2005-11-26 11:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Sigh. The default FD_CLOEXEC setting of false is brain-damaged.

2005-11-25 19:54 UTC  Miroslav Kure <kurem@debian.cz>
  * Updated Czech translation

2005-11-20 13:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved previous active region tracking.
  - Replaced explicit and cumbersome previous active object saving
    at particular points of the code with a simple activity history
    list/stack.

2005-11-20 12:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Hmm.. active_screen was still in ioncore_g.

2005-11-15 17:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Another temporary clientwin resize hack.

2005-11-15 07:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed a typo; wairel -> waitrel.

2005-11-13 22:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Forgot to set FRAME_SZH_USEMINMAX on floatframes now.

2005-11-13 22:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Small improvement in date monitor.

2005-11-13 22:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in floatframe size hint adjustment.

2005-11-13 21:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in mod_query.query_menu name conversion.

2005-11-13 21:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mod_query.query_menu submenu support.

2005-11-10 19:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed active screen tracking.
  - Focused region tracking does the job.

2005-11-10 19:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added ioncore.current().
  - Can be used to find the currently focused region.

2005-11-06 15:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed stray debug print statement.

2005-11-03 19:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Command line completor understands pipes now.

2005-11-02 19:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed empty frame minimum size hint.
  - Stupid C ! vs. & operator precedence.

2005-11-01 17:59 UTC  Tom Payne <ion@tompayne.org>
  * Include <locale.h> in mod_statusbar/ion-statusd/ion-statusd.c for call to setlocale.
  Gentoo bug https://bugs.gentoo.org/show_bug.cgi?id=110860

2005-11-01 21:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed PWM from restart menu.
  - Because the default menu file is shared by PWM and Ion.

2005-11-01 21:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed floatframe size hints' base height.
  - For resize indicator to display the current client window's size
    instead of something else.

2005-10-31 20:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ion-statusd init code checks CF_NO_LOCALE.

2005-10-29 12:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20051029

2005-10-25 18:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed (unframed) nested transient size issue.

2005-10-24 20:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. %filler update had removed stretching space constant part.

2005-10-24 15:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. mod_statusbar was also lagging behind the mplex_get_stdisp parametrisation change.

2005-10-23 16:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20051023

2005-10-23 16:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Experimental: added option to turn framed transients on/off.
  - Use ioncore.set{framed_transients=true} to turn them on (off by default).

2005-10-23 16:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Experimental: framed transients.

2005-10-23 15:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed dummy size hint setup.

2005-10-15 18:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in frame autodestroy code.

2005-10-18 16:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. mod_dock hadn't been updated to reflect changes in mplex_set/get_stdisp.

2005-10-13 20:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed -sessionname to -session in manual pages.

2005-10-07 21:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed 180 degree rotation.

2005-10-07 18:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in ionws rotation support code.

2005-10-05 22:23 UTC  Sadrul H Chowdhury <imadil@gmail.com>
  * attach_transient crash fix

2005-10-05 03:55 UTC  Sadrul H Chowdhury <imadil@gmail.com>
  * introduce ioncore.tagged_list() to get a list of tagged regions

2005-09-20 18:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes related to removal of region from an mplex.

2005-09-18 16:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Exported WClientWin.attach_transient.

2005-09-18 16:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved cfg files from module directories to etc/.

2005-09-18 16:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved some common look settings to lookcommon_*.lua from look_*.lua.

2005-09-18 15:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Documentation comment fixes.

2005-09-13 18:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some de cleanup.

2005-09-08 18:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some clean-up.

2005-09-06 16:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added fullsize option for space-wasting status displays.

2005-09-06 15:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed -c from msgfmt arguments.

2005-09-05 20:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed mail monitor from default statusbar template.

2005-08-31 10:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed unused parameter of ioncore.x_get_atom_name.

2005-08-29 05:43 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed floatws_backcirculate (copy-paste bug..)

2005-08-27 23:01 UTC  Per Olofsson <pelle@dsv.su.se>
  * Some updates to README.dock.

2005-08-27 22:56 UTC  Per Olofsson <pelle@dsv.su.se>
  * README.dock updates from Debian (removing references to ion-devel etc.)

2005-08-28 12:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * (Probably) fixed move/resize indicator positioning on xinerama screens not at (0, 0).

2005-08-27 16:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Replaced stray \a0's with spaces.

2005-08-27 16:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added %filler statusbar element.

2005-08-26 17:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added oneshot winprop option.

2005-08-22 11:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added missing #include.

2005-08-21 08:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed splitting an ancestor of the stdisp.

2005-08-21 07:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_query.query_menu improvements.

2005-08-20 14:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Pane handle style name change wasn't supposed to be recorded.
  - frame-tiled-pane breaks handle drawing completely.

2005-08-20 11:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050820

2005-08-20 11:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. ionws_current_nostdisp was never added after all...

2005-08-19 12:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. ioncore_efbb was still referenced as ioncore-efbb.

2005-08-09 08:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed statusbar filler drawing.

2005-08-09 08:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * statusd_load interval parameter should be update_interval.

2005-08-03 08:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed indentation in cfg_statusbar.lua.

2005-08-15 16:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Keep track of non-fs placement of initially fullscreen windows.
  - region_manage_clientwin was replaced with region_prepare_manage that
    instead of starting to manage the client window should return a placeholder
    for it. If the window is not put in fs mode, this placeholder is then used 
    to do the placement. Otherwise the placeholder is stored as the fs return 
    placeholder.

2005-08-14 18:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added a basic placeholder for transients and the dock.

2005-08-11 21:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved transpose stdisp handling.

2005-08-11 18:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improvements for better Xrandr support.

2005-08-11 16:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * README updates.

2005-08-11 15:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Initialise new splits' current field point to the splitted split.

2005-08-11 15:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed stdisp focusing on switch to fresh ionws's.
  - Initialise stdisp's parent split's 'current' field point to the
    other child.

2005-08-08 21:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed a few compiler warnings...

2005-08-08 21:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved menu database stuff from mod_menu to ioncore.
  - Configuration files for other modules can now safely define menus without
    checking for or loading mod_menu, and 
  - mod_query.query_menu doesn't depend on mod_menu having been loaded.

2005-08-07 12:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WDock.attach.

2005-08-07 11:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Windows can now be added last in frames.
  - Enable with ioncore.set{frame_add_last=true}.

2005-08-07 11:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Encoding check only warns if no encoding is given at all in LC_CTYPE.
  - If wrong encoding is given (vs. nl_langinfo), localisation is still refused.
  - UTF-8 check is also case-insensitive now.

2005-07-28 18:53 UTC  Norbert Tretkowski <norbert@tretkowski.de>
  * Use WCOREDUMP() only if it's available

2005-07-28 17:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050728

2005-07-28 17:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Small fix in set_text_property.

2005-07-22 09:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed transient EnterWindow focus.

2005-07-22 08:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed autoshowcompl mode tab behaviour.
  - If hitting tab triggers a new list of completions, the first 
    entry is selected, as would happen when hitting tab after a 
    delayed modification-triggered completion already finished.

2005-07-21 16:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added "Failed to load fallback font" error message.

2005-07-21 16:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed segfault if no font could be loaded.

2005-07-20 21:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed screen_managed_changed_hook calling when fs clientwin is closed.

2005-07-20 22:51 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed next/prev screen bindings.
  - They are now consistently with next/prev workspace bindings
     MOD1+Shift+comma/period.

2005-07-20 21:06 UTC  fshahriar@gmail.com
  * ion-completeman -- Compatibility issue with FreeBSD's sed
  
  Originally, after tab complete wasn't working I tried to do
  ion-completeman -mkusercache but it was generating an empty file.
  Tracked down the problem to the sed regex. FreeBSD doesn't like the
  "\+". Example:
  $ echo /usr/share/man/man1/ls.1.gz|sed 's:^.*/\([^/]\+\.[0-9].*\)$:\1:p; d'
  $
  (No output)
  
  Not sure if it will break if used with GNU sed.
  

2005-07-20 20:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved(?) size selection of docked non-dockapps and enabled d&d to dock.

2005-07-17 19:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improvements to statusd launch error logging code.

2005-07-17 19:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Control could reach end of non-void function.

2005-07-15 20:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ion-statusd startup errors are reported in ion startup errorlog now.

2005-07-15 20:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some changes in libmainloop popen routines.

2005-07-12 16:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * statusd_load should work on fbsd now.

2005-07-10 19:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed some variables to be local (on the Lua side).

2005-07-10 09:40 UTC  kurem@debian.cz
  * Updated Czech translation of Ion3

2005-07-09 20:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved started program stderr catching hack.
   - If the program terminates with an error code under 10s, 
     stderr is displayed.
   - If the program terminates under 2s, stderr is displayed despite
     errorcode or signal.

2005-07-09 19:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in menu opening function parametrisation.
   - mod_menu.bigmenu should no longer be used, but remains for
     compatibility at least for a while. Instead, set big=true
     in the extra parameter to mod_menu.menu.

2005-07-04 20:14 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added optional directory checking for 'cd'.
   * If the Lua POSIX library can be loaded, parameters to 'cd' in the
     run query are checked to be directories. (cd is interpreted as a
     special case to change workspace working dir.)

2005-07-03 20:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Scratchpad toggle now creates a new one on screens if none is found.

2005-07-03 20:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Updated statusd.popen_bgread.

2005-07-02 20:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved statusd_mail error message.

2005-07-02 20:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added stderr handler parameter to ioncore.popen_bgread.

2005-06-29 09:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixes to goto-when-scratchpad-is-active patch.

2005-06-25 15:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050625

2005-06-25 15:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updates to Finnish translation.

2005-06-24 19:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The scratchpad can now be hidden automatically when going to another region.

2005-06-24 10:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed mplex layer1 initial stacking while there were regions visible on layer2.

2005-06-22 10:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't set template in default cfg_statusbar.lua so that translated version gets used from mod_statusbar.lua.

2005-06-22 10:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Set up locale in ion-statusd.

2005-06-20 18:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Man-page completion script optimisation for full list.

2005-06-20 17:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Invalidate old completion list when timed completion is set up.

2005-06-18 09:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved encoding check error message.

2005-06-16 09:37 UTC  Stephan Wendt <stephanwendt@freenet.de>
  * Replacement of indenting tabs by spaces in the ssh-hostnickname-completion-patch

2005-06-14 05:35 UTC  Stephan Wendt <stephanwendt@freenet.de>
  * Hostnickname-completion for ssh
  
  Adds the feature to get hostnicknames, defined in ~/.ssh/config, presented
  as possible completions for the ion-ssh-functionality.
  

2005-06-15 10:01 UTC  Norbert Tretkowski <tretkowski@inittab.de>
  * Fixes for german po file from Jens Seidel.

2005-06-14 19:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Initially show first instead of last completions of first column of them.

2005-06-14 19:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Scroll completion list as selected entry is changed.

2005-06-14 18:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved manual completion in auto-show-completions mode.

2005-06-10 16:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Better tracking of multiple pending completions.
  Completor routines now get a WComplProxy object as first parameter and
  should use WComplProxy.set_completions instead of WEdln.set_completions
  to set list of completions. Much of old code should be compatible since
  completors were called in protected mode and only WEdln.set_completions
  was callable.

2005-06-09 22:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Size hints are now ignored in client-requested full screen mode.

2005-06-09 22:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in fullscreen focus policy.
  - Inactive screens may switch to showing a client window when it requests
    full screen mode even the window isn't focused (which is required of
    client windows on the active screen).

2005-06-07 13:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050607

2005-06-07 13:05 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some release notes.

2005-06-06 20:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ioncore_goto_previous related fix.
  - clientwin_managed_goto was calling ioncore_protect_previous instead
    of ioncore_set_previous_of.

2005-06-05 19:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed _NET_SUPPORTING_WM_CHECK and _NET_SUPPORTED property setup.

2005-06-05 19:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Call region_notify_change in ioncore_clear_tags.

2005-05-31 16:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Do not automatically run autoconf in predist.sh.
  (Maybe one or two more people will RTF README now.)

2005-05-27 13:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ignore _NET_ACTIVE_WINDOW request by default.
  - Can be enabled by setting the ignore_net_active_window winprop to false.

2005-05-27 13:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Exec-in-xterm (::) and command line completion had been broken by auto-show changes.

2005-05-27 11:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Experimental auto-show-completions support.

2005-05-27 11:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Minor improvement to binding compilation code.

2005-05-19 14:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added object parameter support to C-side timers.

2005-05-19 13:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated mod_statusbar.set_sb to not use set_date.

2005-05-19 10:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Encoding sanity check ignores dashes and case.

2005-05-18 13:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved date monitor to ion-statusd.

2005-05-15 19:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed floatws iteration code.

2005-05-14 11:46 UTC  imadil@gmail.com
  * mod_statusbar.get/set_sb()

2005-05-13 07:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Miscellaneous fixes to recent changes.

2005-05-12 22:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added zeropad to WStatusBar.get_template.

2005-05-12 19:29 UTC  imadil@gmail.com
  * WStatusBar:get_template()

2005-05-12 18:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed message box wrapping.

2005-05-12 17:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Trap SIGCHLD earlier in startup.

2005-05-12 17:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed dummy implementation of mbrlen...

2005-05-12 17:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some focusing improvements.

2005-05-12 15:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added load_1min, load_5min and load_15min meters to the ion-statusd load script.

2005-05-12 15:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Mblen did something else...
  - Added str_len to ioncore/strings.c

2005-05-12 14:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The statusbar support zero-padding of meters now.
  The syntax is %[alignment][0count]<meter name>.
  For example: %02mail_total

2005-05-12 14:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Organised WIonWS context menu possibly better.

2005-05-11 21:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Select events earlier in client window init code.

2005-05-10 18:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WIonWS.split_at and transpose_at for easier binding.

2005-05-10 17:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Save state on SIGTERM if not running under a session manager.

2005-05-10 16:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Load mod_sp by default.

2005-05-09 19:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Don't shell-escape arguments to man-page viewer.

2005-05-06 20:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  UNDO: The CF_DE_USE_XUTF8 option is now on by default. 
  This will cause Xutf8 routines to be used instead Xmb routines for UTF-8.
  As of XFree86 4.3.0.1, the Xmb routines only use the iso10646-1 font in
  a fontset and thus can't well display international text, while the Xutf8
  routines inconsitently use the iso10646 font only as a fallback. The 
  setting was differently previously because the Xutf8 routines were having
  other problems that seem to be gone now...

2005-05-08 16:14 UTC  Jeremy Hankins <nowan@nowan.org>
  * Don't break old user configs in statusd_mail.lua

2005-05-08 14:12 UTC  Jeremy Hankins <nowan@nowan.org>
  * Fixed the logic triggering the retry interval in statusd_mail.lua

2005-05-07 21:30 UTC  nowan@nowan.org
  * Oops, fix statusd_mail.lua

2005-05-07 21:24 UTC  nowan@nowan.org
  * Added support for multiple mailboxes to statusd_mail.lua

2005-05-08 15:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved ioncore_set_previous_of calls to region_managed_goto.

2005-05-07 15:39 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Possibly better submenu placement in in-frame mode.

2005-05-06 20:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The CF_DE_USE_XUTF8 option is now on by default. 
  This will cause Xutf8 routines to be used instead Xmb routines for UTF-8.
  As of XFree86 4.3.0.1, the Xmb routines only use the iso10646-1 font in
  a fontset and thus can't well display international text, while the Xutf8
  routines inconsitently use the iso10646 font only as a fallback. The 
  setting was differently previously because the Xutf8 routines were having
  other problems that seem to be gone now...

2005-05-06 20:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Faster fontset kludge for UTF-8 locales.
  - Try to substitute only with -misc-fixed-... This works in some common
    cases just like a more comprehensive but slower pattern would, but some
    users will have to provide extra fonts to the fontset manually.

2005-05-04 20:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Dock initial height (temporary) height was uninitialised.

2005-05-02 14:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050502

2005-05-01 20:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some changes in stock style files.

2005-05-01 18:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some node-on-ws checks.

2005-05-01 08:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved/fixed/updated WRegion.rqclose* documentation.

2005-05-01 08:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WFloatWS client window rescue code ignores the status display.

2005-04-30 14:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Bound left/right arrows in menus.

2005-04-29 16:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Execution and file viewing queries catch stderr.

2005-04-29 16:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added stderr piping support to spawning routines.

2005-04-29 13:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Maybe fixed activity notification.

2005-04-29 10:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in ionws context menu.
  - Replaced floating split menu with floating toggle menu.

2005-04-29 10:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added routines for toggling floating of splits.
  - WIonWS.set_floating for splits directly, and
  - WIonWS.set_floating_at for frames. Takes a direction parameter.

2005-04-23 12:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added popen_bgread and exec to ion-statusd.

2005-04-23 12:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved exec code to libmainloop.

2005-04-22 18:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Oops. Oops.

2005-04-22 18:23 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. mainloop_defer was no longer being exported due to prefix re-export change.

2005-04-21 22:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More maintainable re-exporting of libmainloop routines to Lua side.

2005-04-21 14:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ion-statusd no longer quits if no meters are loaded with -q.

2005-04-20 13:51 UTC  imadil@gmail.com
  * cwin namelist

2005-04-10 23:37 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops.

2005-04-10 23:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added clientwin_property_change_hook.
  
  - On the Lua side, the parameters to hook handlers are (WClientWin, atomid).
  

2005-04-06 11:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050406

2005-04-06 10:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use maximum seen value width for statusbar field width.

2005-04-05 12:19 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Frame maximize fixes and improvements.

2005-04-03 12:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes (crash fix?) in name allocation code.

2005-04-02 15:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Menu scrolling improvements.

2005-04-02 14:33 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved menu positioning patch etc.

2005-04-02 12:36 UTC  imadil@gmail.com
  * repositioning pmenus that appear at the bottom of the screen

2005-04-01 22:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed new transients being attempted to be stacked over themselves.

2005-04-01 17:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed table.join to check for 'entry==nil' instead of 'not entry'.

2005-04-01 17:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed a typo.

2005-03-29 22:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Example in cfg_sp.lua was missing a comma.

2005-03-29 14:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed remainig statusd_load debug message.

2005-03-28 20:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. New regions within screens were added after current instead of at end.

2005-03-27 18:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some statusbar and line editor flicker reduction (?).

2005-03-27 13:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Drawing engine api improvements.

2005-03-26 13:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Brush drawing routines are no longer passed the window.

2005-03-26 12:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some WIonWS routines now accept "any" as direction.

2005-03-26 09:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WFrame.set_tabbar parameters were inverted.

2005-03-25 19:20 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Display again ?? when statusbar meter is unset.

2005-03-25 16:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added WMPlex.l2_is/set_passive routines.

2005-03-25 11:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Menu entry for tagging hadn't been updated.

2005-03-22 14:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050322

2005-03-22 14:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Prepared release notes for a release.

2005-03-21 10:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some release notes.

2005-03-21 08:52 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use input-menu-pmenu and tab-menuentry-pmenu styles for drop-down menus.

2005-03-21 08:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Lessened string length recalculation in query listing code.

2005-03-20 15:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added ::cmd syntax for running commands with ion-runinxterm -w.

2005-03-20 14:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ion-runinxterm script improvements.

2005-03-20 13:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Statusbar substyle background colour gets used now.

2005-03-20 13:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Also changed region activity exports.
  
  - WRegion.clear_activity and WRegion.notify_activity were replaced with
    WRegion.set_activity with a set/unset/toggle parameter.

2005-03-20 09:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some release notes (on the toggle export changes).

2005-03-19 22:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More changes/fixes in layer2 focus policy.

2005-03-19 21:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Many exported toggle functions were changed and renamed.
    
  The following functions now take a string parameter indicating
  whether to toggle, set, or unset the property.
  
  - WClientwin.set_fullsreen (replaces WClientWin.toggle_fullscreen)
  - WRegion.set_tagged (replaces WRegion.tag/untag/toggle_tag)
  - WFrame.set_tabbar (replaces WFrame.toggle_tabbar)
  - WFrame.set_shaded (replaces WFrame.toggle_shade)
  - WFloatFrame.set_sticky (replaces WFloatFrame.toggle_sticky)
  - WMPlex.l2_set_hidden (replaces WMPlex.l2_hide/show)
  - mod_sp.set_shown(_on) (replaces mod_sp.toggle(_on))
  - mod_dock.set_floating_shown_on (replaces mod_dock.toggle_floating_on)
    
  Many missing is_<property> exports corresponding to the above were also 
  added.

2005-03-19 20:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. CLIENTWIN_IS_FULLSCREEN macro didn't work anymore.

2005-03-19 19:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. exports.c didn't have dependencies anymore.

2005-03-19 19:13 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Use exports.h generated by libextl-mkexports.

2005-03-19 18:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Client windows can now be un-fullscreened without prior frame.

2005-03-19 00:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ioncore.popen_bgread also returns pid.

2005-03-18 18:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added ioncore_sigchld_hook.

2005-03-18 18:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Exec routines return PID (or -1 on error).

2005-03-18 18:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Moved hook code to libmainloop.

2005-03-17 08:57 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Attempts to fix problems with gcc/ld export-dynamic option varying.
  
  - Configurable in system.mk as the EXPORT_DYNAMIC variable
  
  - Defaults to '-Xlinker --export-dynamic' now instead of '-export-dynamic'

2005-03-16 22:56 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed coding style in contribution.
  
  * Contributors _please_ follow my coding style in the future!!

2005-03-16 22:20 UTC  Edwin Steiner <edwin.steiner@gmx.net>
  * winprop_gravity
  add 'gravity' and 'transient_gravity' winprops

2005-03-16 19:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Modules should be built before ioncore for PRELOAD_MODULES.

2005-03-16 18:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some more layer list scanning optimisations.

2005-03-16 18:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Split out some code from mplex.c to llist.c.

2005-03-15 23:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Some WMPlex switch code optimisations/simplifications.

2005-03-15 22:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex layer2 visiblity synchronisation fixes and focus policy changes.

2005-03-15 21:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Ionws flip/transpose fixes.

2005-03-15 14:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * mod_query.query_menu can now display context menus.

2005-03-14 18:27 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Dummy regions are no longer given name/registered.
  
  - WPaneHandles, WInfoWins and such are not accessible to the scripter
    (from ioncore.region_list).

2005-03-14 16:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed goto_previous and tab switch (pointer) interaction.

2005-03-13 21:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Alternative fix to bindmap precedence.
  
  - "owned" bindmaps are added last on list, while region's own bindmaps 
    are listed first.

2005-03-13 20:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  UNDO: Changed region bindmap linking order.
  
  - Frame bindmaps should now take precedence over workspace bindmaps
    (that are grabbed on frames as workspaces don't have normal windows
    associated to them).

2005-03-13 21:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Panehandles (floating splits) are now reparented correctly.

2005-03-13 20:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed region bindmap linking order.
  
  - Frame bindmaps should now take precedence over workspace bindmaps
    (that are grabbed on frames as workspaces don't have normal windows
    associated to them).

2005-03-13 20:41 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed #warnings (and fixed a few).

2005-03-13 13:18 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed ioncore.root_windows export.
  
  - ioncore.region_list("WRootWin") does the task.

2005-03-13 13:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * ion-runinxterm uses the whole command as title now.

2005-03-13 13:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * PWM menu definition updates and fixes.

2005-03-13 13:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed the ion-man script.
  
  - ioncore.exec_on now interprets the ':cmd' ion-runinxterm syntax.
  
  - mod_query.query_man accepts the man command to use as parameter,
    defaulting to ':man'.
  
  - The default for query_ssh is also ':ssh' now.

2005-03-11 14:44 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * clientwin_unmapped_hook parameter was wrong.
  (Stupid semi-weakly typed languages...)

2005-03-10 08:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed ion-ssh wrapper script.
  
  - mod_query.query_ssh defaults to running ssh with ion-runinxterm, but
    accepts additional parameter specifying another program.

2005-03-09 21:58 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added field alignment code to statusbar module.

2005-03-09 12:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated README information on F5/F6 keys.

2005-03-09 12:06 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes in mod_query.query_editfile/viewfile.
  
  - These functions take the script (and prompt) as optional parameter now,
    defaulting to run-mailcap.
  
  - Removed the ion-edit and ion-view scripts.

2005-03-09 11:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More mplex region indexing fixes.
  After the changes in layer list code recently and following attach index fix,
  regions were now loaded in wrong order at startup.

2005-03-02 12:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  UNDO: Removed WScreen.set_managed_offset.
  It seems unncessary now that there's the statusbar, and it's just an ugly
  kludge for dubious uses anyway.

2005-03-08 14:32 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Scratchpad and dock default toggle bindings changed.
  
  - Mod1+space now toggles the scratchpad, and
  
  - Mod1+D toggles the dock.

2005-03-08 14:10 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The dock is floating by default now.
  
  - New users shouldn't at firs try be bewildered by the dock not being able
    to coexist with the statusbar.
  

2005-03-08 08:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Exported classes are now marked with EXTL_EXPORT.

2005-03-08 07:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Stdisp was being destroyed along with floatws.

2005-03-07 17:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed open quote handling in cmdline completion improvements.

2005-03-07 17:04 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Default attach index was wrong for WMPlex.attach*.
  
  - Should be after current instead of last.
  

2005-03-07 08:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed focusingn of non-passive mplex layer2 regions.

2005-03-06 10:35 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Check that reparenting can be done before trying to use a placeholder.
  
  - Added pholder_(do_)target and pholder_(do_)check_reparent
  

2005-03-06 10:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * More helper routines from attach.c are globally available.

2005-03-05 16:25 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed pholder_stale as useless given placeholder redirection.

2005-03-05 12:42 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changed how query and menu cancel and finish routines destroy the region.

2005-03-05 09:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Paths in mod_statusbar file headers were wrong.

2005-03-04 08:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050304-1

2005-03-04 08:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * predist.sh improvements.

2005-03-04 08:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Completion improvements had been broken by further improvements.

2005-03-04 08:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050304

2005-03-04 08:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added some release notes.

2005-03-04 08:24 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Floating split load routine now adds handle widths to given sizes by default.
  
  - Override by setting tls_brs_incl_handles to true.
  

2005-03-03 21:00 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Improved mod_query.query_exec completion.
  
  - Arguments are now parsed, completed and escaped.
  

2005-03-03 10:15 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed reference to svn from version.h.

2005-03-02 11:55 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Call region_do_warp_alt also in protected mode.

2005-03-02 11:48 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes to ionws_placement_alt hook to make it callable in protected mode.

2005-03-01 23:53 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * New export: ioncore.defer.

2005-03-01 22:59 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Many hook calls are now made in protected mode.

2005-03-02 12:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed WScreen.set_managed_offset.
  It seems unncessary now that there's the statusbar, and it's just an ugly
  kludge for dubious uses anyway.

2005-03-01 22:54 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WIonWS.current and WFloatWS.current were unnecessarily exported.
  
  - WRegion.current is already exported.

2005-02-28 21:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Rescue code simplification/clean-up.

2005-02-28 19:36 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated Finnish translation.

2005-02-28 19:26 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes and unification in rqclose code.

2005-02-28 17:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * The statusd_mail handles missing mailbox more gracefully.
  - The retry_interval  parameter (default: 10min) controls for how long 
    it waits for next update attempt on error condition.

2005-02-28 06:50 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed a stupid omission in new client window rescue code.

2005-02-28 06:08 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Fixed floatws drag&drop segfault.
  - There was a leftover floatws_add_managed call in floatws_handle_drop after
    creation of floatws_create_frame.

2005-02-28 06:07 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. Removed a leftover debug printf.

2005-02-27 13:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3ds-20050227

2005-02-27 13:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated release notes.

2005-02-27 11:47 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Session management module now uses placeholders.
  - Order of windows in mplexes is now remembered under SM.

2005-02-27 11:46 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlexPHolder reorganisation fixes.

2005-02-27 08:38 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added routine to go to placeholder location.
  - Active client window being closed in full screen mode now returns
    to original position.

2005-02-27 07:17 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Most source files don't need region-iter.h anymore.

2005-02-27 07:16 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. WMPlex layer list code changes were incomplete.

2005-02-26 23:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex layer list code clean-up.

2005-02-26 21:11 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Changes to work with new libtu list routines.

2005-02-26 19:01 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Placeholder code improvements.
  - Client window rescue code now uses placeholders.
  - Added client window rescue placeholders; returning from full screen mode
    now works on floatws.

2005-02-26 12:02 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added simple floatws pholder.

2005-02-26 13:30 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added file mtime/ctime checking to ion-statusd.
  - Mailboxes can be checked a bit more often now without significant load.
  

2005-02-26 09:03 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Client window fullscreen toggle uses placeholders now.
  The code does not yet do anything if the target of the initial placeholder 
  dies, and thus does not work on floatws's that also do not yet provide
  placeholders.
  

2005-02-26 08:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added a routine for checking whether a placeholder is stale.

2005-02-26 08:31 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added region_managed_get_pholder for acquiring a placeholder.

2005-02-26 08:21 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Added basic placeholder support.
  - Basic placeholder class WPHolder.
  - WMPlexPHolder for holding place in mplexes.

2005-02-24 09:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Removed traces of old managed lists.
  Regions no longer contain link pointers for those lists etc. The
  region_rescue_clientwins stuff is currently disabled and needs to be
  rewritten when placeholder stuff is implemented.

2005-02-24 09:22 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WRootWin no longer uses a screen_list.

2005-02-24 09:09 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WIonWS now uses symlist for managed list.

2005-02-24 08:49 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WDock no longer uses managed_list.

2005-02-24 08:45 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WFloatWS doesn't use a special managed_list.
  The stacking list is enough.

2005-02-24 08:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WClientWin uses symlist for transient_list.

2005-02-24 08:34 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Oops. All mplex stuff was being now saved on layer 2.

2005-02-23 19:40 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * WMPlex managed list changed to use proxy nodes.
  This should help implementing placeholders.

2005-02-23 06:29 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Updated predist.sh for darcs.

2005-02-23 06:28 UTC  Tuomo Valkonen <tuomov@iki.fi>
  * Set install script to "sh install-sh"

2005-02-23 06:12 UTC  Tuomo Valkonen <tuomov@iki.fi>
  tagged ion-3-svn2darcs

2005-02-22 21:30 UTC  tuomov
  * trunk: changeset 1974
  Another autoconf hack.

2005-02-20 14:42 UTC  tuomov
  * trunk: changeset 1973
  WMPlex layer 2 region geometry is now remembered.

2005-02-20 14:38 UTC  tuomov
  * trunk: changeset 1972
  Added missing include.

2005-02-20 12:09 UTC  tuomov
  * trunk: changeset 1970
  Autoconf script fixes (by matthieu moy).

2005-02-20 09:59 UTC  tuomov
  * trunk: changeset 1969
  Fixed names of workspace-specific frame bindmaps.

2005-02-20 08:43 UTC  tuomov
  * trunk: changeset 1968
  Updated cfg_ionws.lua.

2005-02-19 08:09 UTC  tuomov
  * trunk: changeset 1967
  Fixed tab switch focus change when a non-passive layer2 region was
  being displayed.

2005-02-18 21:45 UTC  tuomov
  * trunk: changeset 1966
  Fixed a typo (?) that could cause floatws stacking code to lock up.

2005-02-16 05:04 UTC  tuomov
  * trunk: changeset 1965
  Update WMPlex.l2_hide/show docs.

2005-02-15 06:06 UTC  tuomov
  * trunk: changeset 1963
  Added null checks in mplex_l2_hide/show.

2005-02-14 18:34 UTC  tuomov
  * trunk: changeset 1962
  removed redundant ionws stacking code, and fixed a possible problem.

2005-02-14 18:08 UTC  tuomov
  * trunk: changeset 1961
  Added -lintl comment in system.mk

2005-02-14 13:59 UTC  tuomov
  * trunk: changeset 1960
  Added null check; not a member function.

2005-02-14 09:07 UTC  tuomov
  * trunk: changeset 1959
  kludgeconf sun f1x remap detection fix.

2005-02-14 00:04 UTC  tuomov
  * trunk: changeset 1958
  Oops.

2005-02-13 23:36 UTC  tuomov
  * trunk: changeset 1957
  Oops. pwm3.de.in wasn't svn add'ed.

2005-02-13 22:59 UTC  tuomov
  * trunk: changeset 1956
  Added mod_sp.toggle.

2005-02-13 21:32 UTC  tuomov
  * trunk: changeset 1955
  Added German translation by Schott Robert.

2005-02-12 18:23 UTC  tuomov
  * trunk: changeset 1951
  Event mask is now stored for WWindows.

2005-02-11 18:10 UTC  tuomov
  * trunk: changeset 1950
  ion-statusd now communicates width templates to mod_statusbar.

2005-02-11 13:35 UTC  tuomov
  * trunk: changeset 1949
  - Parameters can now be passed ion-statusd.
  
  - Some cfg_statusbar usage changes.

2005-02-06 10:13 UTC  tuomov
  * trunk: changeset 1947
  Added WRegion.is_activity.

2005-02-03 21:44 UTC  tuomov
  * trunk: changeset 1946
  Some info window fixes.

2005-02-01 12:01 UTC  tuomov
  * trunk: changeset 1945
  Fixed loading of small frames with hidden tab-bar.

2005-01-31 17:45 UTC  tuomov
  * trunk: changeset 1944
  Only use resize increment and base size from current client window
  size hints when deciding frame size hints.

2005-01-31 11:32 UTC  tuomov
  * trunk: changeset 1941
  Added support for coloured statusbar elements.

2005-01-31 09:17 UTC  tuomov
  * trunk: changeset 1940
  - Moved some infowin code to mod_statusbar.
  
  - mod_statusbar template processing/passing status to c side changes.

2005-01-29 23:43 UTC  tuomov
  * trunk: changeset 1939
  - Fixed docked window resize handling.
  
  - WDock needs to implement region_rqgeom_clientwin, as otherwise the
    WClientWin configure request code uses the previously available
    space and makes no request.

2005-01-27 19:00 UTC  tuomov
  * trunk: changeset 1938
  Fixed WMPlex.l2_hidden segfault when called with nil region.

2005-01-24 21:59 UTC  tuomov
  * trunk: changeset 1937
  Fixed hook copy-paste bug.

2005-01-24 20:58 UTC  tuomov
  * trunk: changeset 1936
  Added DL_LIBS to ion-statusd linking flags (although it doesn't itself
  depend on it) thanks to broken lua installs.

2005-01-16 11:52 UTC  tuomov
  tagged ion-3ds-20050116

2005-01-16 11:07 UTC  tuomov
  * trunk: changeset 1929
  Added documentation for X property access exports.

2005-01-15 21:22 UTC  tuomov
  * trunk: changeset 1927
  Oops. Broken rename.

2005-01-15 21:20 UTC  tuomov
  * trunk: changeset 1925
  tabularx header changes.

2005-01-15 16:28 UTC  tuomov
  * trunk: changeset 1921
  Fixed table in doc. comment.

2005-01-14 14:28 UTC  tuomov
  * trunk: changeset 1919
  Fixed doc comment.

2005-01-13 15:02 UTC  tuomov
  * trunk: changeset 1916
  Fixed clientwin_unmapped_hook.

2005-01-03 22:24 UTC  tuomov
  * trunk: changeset 1911
  Added experimental dock (drag&)drop support. It must be enabled by
  defining CF_EXPERIMENTAL_DOCK_DROP.

2005-01-02 13:59 UTC  tuomov
  * trunk: changeset 1905
  Year changed.

2004-12-27 21:30 UTC  tuomov
  * trunk: changeset 1903
  Made complete_name available in mod_query.

2004-12-27 21:30 UTC  tuomov
  * trunk: changeset 1902
  Fixed mod_statusbar Makefile to rm before ln.

2005-02-23 00:41 UTC  tuomov
  * trunk: changeset 1901
  Made ext_statusbar into a partially C-side module containing a
  WStatusBar class that can have a bindmap.

2004-12-17 00:02 UTC  tuomov
  * trunk: changeset 1898
  oops.

2004-12-16 23:56 UTC  tuomov
  * trunk: changeset 1897
  Created directory for ion-knewt branch.

2004-12-11 20:06 UTC  tuomov
  * trunk: changeset 1896
  Added mod_mgmtmode management mode module.

2004-12-07 15:42 UTC  tuomov
  * trunk: changeset 1895
  Fixed (?) tabdrag focus.

2004-11-26 17:41 UTC  tuomov
  * trunk: changeset 1894
  Do not show activity/urgency notification for docked and other client
  windows that can not be easily focused.

2004-11-26 08:18 UTC  tuomov
  * trunk: changeset 1893
  PWM bindings setup script now simply loads Ion bindings and unbinds
  stuff that would use mod_query.

2004-11-25 08:40 UTC  tuomov
  * trunk: changeset 1892
  Control modifier now is required for N/P in menus to not interfere
  with typeahead.

2004-11-17 18:46 UTC  tuomov
  * trunk: changeset 1891
  Applied patch with some minor menu improvements.

2004-11-17 18:45 UTC  tuomov
  * trunk: changeset 1890
  Typo fixes.

2004-11-16 23:01 UTC  tuomov
  * trunk: changeset 1888
  Removed another dupe call.

2004-11-16 12:51 UTC  tuomov
  * trunk: changeset 1887
  Menu definition code and documentation fixes.

2004-11-15 21:32 UTC  tuomov
  * trunk: changeset 1886
  Removed duplicate mod_ionws_register_exports call.

2004-11-13 12:40 UTC  tuomov
  * trunk: changeset 1884
  mod_query runfile and viewfile use workspace working directory.

2004-11-13 00:52 UTC  tuomov
  * trunk: changeset 1883
  Oops.

2004-11-12 20:34 UTC  tuomov
  * trunk: changeset 1881
  Oops.

2004-11-12 20:12 UTC  tuomov
  * trunk: changeset 1880
  Changed - to _ in ioncore-*.(lua|lc).

2004-11-12 20:12 UTC  tuomov
  * trunk: changeset 1879
  Fixed floatws reparent.

2004-11-10 14:41 UTC  tuomov
  * trunk: changeset 1878
  Added support for workspace-specific working directories. These can be
  changed and viewed with the internally overridden commands 'cd' and
  'pwd' in the F3 execution query.

2004-11-10 01:48 UTC  tuomov
  * trunk: changeset 1877
  Set REGION_SKIP_FOCUS on pane handles.

2004-11-07 18:18 UTC  tuomov
  * trunk: changeset 1876
  More misc. fixes.

2004-11-07 18:00 UTC  tuomov
  * trunk: changeset 1875
  Oops. Fixed a potential segfault.

2004-11-05 17:35 UTC  tuomov
  * trunk: changeset 1874
  Winprop name matching now available as ioncore.match_winprop_name.

2004-11-05 16:38 UTC  tuomov
  * trunk: changeset 1873
  %% works in statusbar template.

2004-11-05 16:22 UTC  tuomov
  * trunk: changeset 1872
  ion-statusd parameters are now automatically deduced by ext_statusbar
  from the template.

2004-11-04 21:34 UTC  tuomov
  * trunk: changeset 1870
  Load cfg_user.lua at end of cfg_ion.lua.

2004-11-04 21:30 UTC  tuomov
  * trunk: changeset 1869
  Documented ext_statusbar.update.

2004-11-04 21:20 UTC  tuomov
  * trunk: changeset 1868
  Fixed winprop name matching.

2004-11-04 14:59 UTC  tuomov
  tagged ion-3ds-20041104

2004-11-04 14:56 UTC  tuomov
  * trunk: changeset 1866
  OOps.

2004-11-04 14:38 UTC  tuomov
  * trunk: changeset 1865
  Removed changelog files.

2004-11-04 14:32 UTC  tuomov
  * trunk: changeset 1864
  Remove autom4te.cache in predist.sh

2004-11-04 14:30 UTC  tuomov
  * trunk: changeset 1863
  Added some new release notes.

2004-11-04 14:19 UTC  tuomov
  * trunk: changeset 1862
  Some more minor statusbar improvements.

2004-11-04 12:05 UTC  tuomov
  * trunk: changeset 1861
  Some clean-up.

2004-11-04 11:23 UTC  tuomov
  * trunk: changeset 1860
  Added type of menus that grab input and allow cycling through the menu
  with a given key until all modifiers are released.

2004-11-04 04:16 UTC  tuomov
  * trunk: changeset 1859
  Still problems with timers being gc'd in statusd; the local timer
  references need to be used instead of the timer parameter to the
  handler.

2004-11-04 04:02 UTC  tuomov
  * trunk: changeset 1858
  Some more statusbar/statusd improvements.

2004-11-03 22:10 UTC  tuomov
  * trunk: changeset 1857
  Status meters should retain a local reference to their timers or it
  can be collected as garbage.

2004-11-03 19:56 UTC  tuomov
  * trunk: changeset 1856
  Moved potentially blocking statusbar meters to ion-statusd.

2005-02-23 00:39 UTC  tuomov
  * trunk: changeset 1855
  Moved some mainloop stuff to libmainloop.

2004-10-30 14:58 UTC  tuomov
  * trunk: changeset 1853
  Some README updates.

2004-10-30 14:50 UTC  tuomov
  * trunk: changeset 1852
  Added WIonWS.split for splitting at a node instead of just frame/root.

2004-10-23 11:05 UTC  kurem
  * trunk: changeset 1851
  Update Czech translation

2004-10-23 10:39 UTC  tuomov
  * trunk: changeset 1850
  Arbitrary winprop matching criteria can now be used by setting the
  'match' field to a matching function with parameters: (winprop, cwin)
  and a boolean return value.

2004-10-23 00:39 UTC  tuomov
  * trunk: changeset 1849
  Removed _ION_KLUDGES property support as the Lua side now has direct
  access to window properties.

2004-10-23 00:33 UTC  tuomov
  * trunk: changeset 1848
  Added exports to access window properties from Lua side.

2004-10-23 00:14 UTC  tuomov
  * trunk: changeset 1847
  Added table.map to lua table library extensions.

2004-10-19 16:04 UTC  tuomov
  * trunk: changeset 1846
  Changed order of some libs linking commands due to gcc's brain-damaged
  handling of .a files. (-llib only loads those parts of liblib.a
  required by objects that have appeared before it on the command line.)

2004-10-19 15:08 UTC  tuomov
  * trunk: changeset 1845
  Added raise delay to help with an occasional slight annoyance of
  floating splits.

2004-10-16 10:35 UTC  tuomov
  * trunk: changeset 1841
  predist.sh wasn't making modifications to system.mk

2004-10-16 08:43 UTC  tuomov
  * trunk: changeset 1840
  Stdisp parallel movement size calculations were reversed and an old
  size swap had not been removed.

2004-10-15 16:50 UTC  tuomov
  * trunk: changeset 1839
  Updated cs.po.

2004-10-15 08:45 UTC  tuomov
  * trunk: changeset 1838
  ion-completefile Makefile had not been updated for new lib build
  dependency handling.

2004-10-15 08:41 UTC  tuomov
  * trunk: changeset 1837
  ...

2004-10-15 08:34 UTC  tuomov
  * trunk: changeset 1836
  libs.mk.dist fix.

2004-10-14 12:21 UTC  tuomov
  * trunk: changeset 1835
  Removed the file distdep.

2004-10-14 10:55 UTC  tuomov
  * trunk: changeset 1834
  Added -snapshot option to predist.sh.

2004-10-11 15:34 UTC  tuomov
  * trunk: changeset 1827
  Added new ionws context menu entries for splitting.

2004-10-11 13:44 UTC  tuomov
  * trunk: changeset 1820
  Floating splits can now be had on WIonWSs as well.

2004-10-11 13:44 UTC  tuomov
  * trunk: changeset 1819
  Parallel stdisp rotations had not been updated to calculate geometries
  properly now that we switch the places of the splits.

2004-10-11 11:39 UTC  tuomov
  * trunk: changeset 1818
  Indentation fix.

2004-10-09 16:27 UTC  tuomov
  * trunk: changeset 1817
  Added history search to line editor. (Scrolling through history
  entries the beginnings of which match bol-point.)

2004-10-09 16:00 UTC  tuomov
  * trunk: changeset 1816
  Moved WSplitFloat to another file from the other panews split
  extensions.

2004-10-09 15:51 UTC  tuomov
  * trunk: changeset 1815
  - Added some strings from mkman.lua to be translated for improved
    translation of manual page bindings reference.
  
  - Finnish translation updates.

2004-10-09 12:54 UTC  tuomov
  * trunk: changeset 1812
  Minor libextl-related rename.

2004-10-09 11:02 UTC  tuomov
  * trunk: changeset 1808
  libextl-related 'make pot' fix.

2004-10-09 06:13 UTC  tuomov
  * trunk: changeset 1803
  Moved also mkexports.lua to libextl.

2004-10-09 05:33 UTC  tuomov
  * trunk: changeset 1797
  Added predist.sh.

2004-10-09 05:05 UTC  tuomov
  * trunk: changeset 1795
  Separated libextl from the Ion source tree.

2004-10-09 04:37 UTC  tuomov
  * trunk: changeset 1792
  Workspaces no longer propagate close requests.

2004-10-09 04:30 UTC  tuomov
  * trunk: changeset 1791
  Removed obsolete autoconf note from README.

2004-10-06 16:27 UTC  tuomov
  * trunk: changeset 1790
  Moved part of ioncore/ to libextl/.

2004-10-06 14:33 UTC  tuomov
  * trunk: changeset 1788
  Fixed line editor display update on history selection.

2004-10-06 10:58 UTC  tuomov
  * trunk: changeset 1787
  Some WIonWS fields were not being initialised.

2004-10-06 10:17 UTC  tuomov
  * trunk: changeset 1786
  ion-completeman now understands manual sections.

2004-10-06 09:39 UTC  tuomov
  * trunk: changeset 1785
  ioncore_g.screen_notify was not being initialised.

2004-10-06 09:35 UTC  tuomov
  * trunk: changeset 1784
  Don't complain if no charset is given in LC_CTYPE if it is "C" or
  "POSIX".

2004-10-06 01:34 UTC  tuomov
  * trunk: changeset 1783
  Fixed floatws restack.

2004-10-05 09:03 UTC  tuomov
  * trunk: changeset 1782
  comma and period were reversed inworkspace cycling.

2004-10-05 07:38 UTC  tuomov
  * trunk: changeset 1781
  Changed some set_focus calls to warp calls.

2004-10-05 07:30 UTC  tuomov
  * trunk: changeset 1780
  -V and -h options were not being supported after libtu optparser
  simplifications. Fixed that.

2004-10-05 05:07 UTC  tuomov
  tagged ion-3ds-20041005

2004-10-05 05:04 UTC  tuomov
  * trunk: changeset 1778
  Minor history fix.

2004-10-05 04:47 UTC  tuomov
  * trunk: changeset 1777
  - Added _NET_ACTIVE_WINDOW (request and property) support.
  
  - Moved netwm atoms away from ioncore_g.

2004-10-05 03:54 UTC  tuomov
  * trunk: changeset 1776
  Opening a new window on a panews focuses it if an unused area had the
  focus.

2004-10-05 00:41 UTC  tuomov
  * trunk: changeset 1775
  Moved region_set_await_focus call from xwindow_do_set_focus to where
  it is called.

2004-10-04 22:50 UTC  tuomov
  * trunk: changeset 1774
  Minor goto_previous fix. (It had been broken at some point.)

2004-10-03 14:11 UTC  tuomov
  * trunk: changeset 1773
  Warp propagation improvements.

2004-10-02 02:29 UTC  tuomov
  * trunk: changeset 1772
  Translation updates.

2004-10-02 02:22 UTC  tuomov
  * trunk: changeset 1771
  Oops, history.h was missing.

2004-10-02 02:13 UTC  tuomov
  * trunk: changeset 1770
  Added split and transpose bindings to WIonWS context menu.

2004-10-02 02:07 UTC  tuomov
  * trunk: changeset 1769
  - Added WSplitSplit.flip.
  
  - WSplitFloat should properly transpose now.

2004-09-30 17:24 UTC  tuomov
  * trunk: changeset 1768
  Added context-specific query histories.

2004-09-28 16:42 UTC  tuomov
  * trunk: changeset 1767
  Added ioncore.set_selection and ioncore.request_selection (with a
  continuation function as parameter to the latter) to deal with
  selections from Lua code.

2004-09-28 15:11 UTC  tuomov
  * trunk: changeset 1763
  Binding changes: Mod1+K comma/period moves tab left/right.
  Mod1+comma/period switches to previous/next workspace. Corresponding
  bindings for Left/Right keys were removed.

2004-09-28 14:58 UTC  tuomov
  * trunk: changeset 1762
  Improved support for context menus.

2004-09-17 20:17 UTC  tuomov
  * trunk: changeset 1761
  Renamed clientwin_added_hook to clientwin_mapped_hook and added
  clientwin_unmapped_hook with the X window id as parameter.

2004-09-17 20:09 UTC  tuomov
  * trunk: changeset 1760
  Replaced frame_activated_hook (and frame_inactivated_hook) with
  region_activated_hook (region_inactivated_hook) called when the region
  is get focus (loses focus).

2004-09-17 19:55 UTC  tuomov
  * trunk: changeset 1759
  Some eventmask macro changes/cleanup.

2004-09-17 19:43 UTC  tuomov
  * trunk: changeset 1758
  Moved hook parameter structures from source to header files and added
  notes of parameters of all hooks to headers.

2004-09-16 23:42 UTC  tuomov
  * trunk: changeset 1757
  Oops. Workspaces were being destroyed when stdisp was removed.

2004-09-16 23:39 UTC  tuomov
  * trunk: changeset 1756
  REGION_PARENT macro changes.

2004-09-16 23:09 UTC  tuomov
  * trunk: changeset 1755
  Improved handling of small unused spaces in panews.

2004-09-16 19:32 UTC  tuomov
  * trunk: changeset 1753
  Some minor clean-up.

2004-09-16 18:44 UTC  tuomov
  * trunk: changeset 1752
  Some region_set/unset/detach_manager/parent code simplifications.

2004-09-16 17:06 UTC  tuomov
  * trunk: changeset 1751
  Use 'default' layout by default.

2004-09-16 17:05 UTC  tuomov
  * trunk: changeset 1750
  - Added mod_panews.set/get
  
  - Moved loading of module configuration file to end of Lua code if the
    module has such, as otherwise not everything may be available to the
    configuration file.

2004-09-16 16:27 UTC  tuomov
  * trunk: changeset 1749
  WSplitPane should now update markers on transpose.

2004-09-07 18:45 UTC  tuomov
  * trunk: changeset 1748
  Changed some exec calls to exec_on calls in mod_query.

2004-09-07 01:15 UTC  tuomov
  * trunk: changeset 1747
  Oops, warp setting was no longer used.

2004-09-06 18:29 UTC  tuomov
  tagged ion-3ds-20040906

2004-09-06 18:28 UTC  tuomov
  * trunk: changeset 1745
  Fixed a typo in release notes.

2004-09-06 18:25 UTC  tuomov
  * trunk: changeset 1744
  Removed POSIX_SOURCE setting from system-ac.mk.in

2004-09-06 18:21 UTC  tuomov
  * trunk: changeset 1743
  Added release notes for a new release.

2004-09-06 17:58 UTC  tuomov
  * trunk: changeset 1742
  Status display node loading fixes.

2004-09-06 17:44 UTC  tuomov
  * trunk: changeset 1741
  - WPaneWS:s can be closed now.
  
  - Pane initial size calculation fix.

2005-02-23 00:34 UTC  tuomov
  * trunk: changeset 1740
  Renamed autows to panews.

2004-09-05 22:26 UTC  tuomov
  * trunk: changeset 1739
  Added compatibility conversion from old frame style names.

2004-09-05 21:55 UTC  tuomov
  * trunk: changeset 1738
  Some focusing code simplifications/fixes/new bugs.

2004-09-05 15:58 UTC  tuomov
  * trunk: changeset 1737
  Fixed an mplex layer2 focus issue.

2004-09-05 15:30 UTC  tuomov
  * trunk: changeset 1736
  Fixed split tree ws_if_root pointer management bug.

2004-09-05 15:12 UTC  tuomov
  * trunk: changeset 1735
  Added 'save' option for dock.

2004-09-05 13:53 UTC  tuomov
  * trunk: changeset 1734
  Added frame_managed_changed_hook (improved from
  frame_content_switched_hook).

2004-09-02 15:20 UTC  tuomov
  * trunk: changeset 1733
  Border line drawing fix.

2004-09-01 21:26 UTC  tuomov
  * trunk: changeset 1732
  WSplitPanes should now when appropriate recreate a WSplitUnused when
  emptied.

2004-09-01 18:45 UTC  tuomov
  * trunk: changeset 1731
  AutoWS now supports dropping stuff on unused areas.

2004-09-01 13:31 UTC  tuomov
  * trunk: changeset 1730
  - Autows unused region focusing improvements.
  
  - Install cfg_autows.lua.

2004-08-31 18:51 UTC  tuomov
  * trunk: changeset 1729
  Fixes to previous changes (coded without a monitor to test the code
  on).

2004-08-31 11:26 UTC  tuomov
  * trunk: changeset 1728
  Fixed a potential minor memory leak.

2004-08-29 15:33 UTC  tuomov
  * trunk: changeset 1727
  Autoconf should work again. (Applied patch to move from
  libtool/libltdl to plain libdl.)

2004-08-29 07:18 UTC  tuomov
  * trunk: changeset 1726
  Some pane handle changes.

2004-08-27 14:54 UTC  tuomov
  * trunk: changeset 1725
  Tiled workspace navigation code changes.

2004-08-26 16:23 UTC  tuomov
  * trunk: changeset 1724
  - Moved resize code so that WUnusedWin can use it.
  
  - Added resize bindings for WUnusedWin.

2004-08-26 14:16 UTC  tuomov
  * trunk: changeset 1723
  Added WUnusedWin for WSplitUnused.

2004-08-23 03:27 UTC  tuomov
  * trunk: changeset 1722
  WAutoWS layout is now initialised when the workspace is created
  instead of when the first frame is created.

2004-08-21 15:54 UTC  tuomov
  * trunk: changeset 1721
  Added Czech translations of Ion messages.

2004-08-19 15:16 UTC  tuomov
  * trunk: changeset 1720
  Added bindmap for WPaneWins.

2004-08-18 14:12 UTC  tuomov
  * trunk: changeset 1719
  - AutoWS pane window handling improvements.
  
  - Changes in frame style names.

2004-08-17 01:24 UTC  tuomov
  * trunk: changeset 1718
  Changed stdisp adaptation code to be more destructive on the split
  tree to preserve special nodes for autows.

2004-08-15 01:40 UTC  tuomov
  * trunk: changeset 1717
  Fixed a reference to mod_menu.

2004-08-09 23:58 UTC  tuomov
  * trunk: changeset 1716
  Added beginnings of a Czech translation (by Miroslav Kure).

2004-08-09 23:57 UTC  tuomov
  * trunk: changeset 1715
  Simplified regexp for 'uptime' load average method as some locales
  show it differently.

2004-08-06 02:55 UTC  tuomov
  * trunk: changeset 1714
  Some more makefile fixes.

2004-08-06 00:05 UTC  tuomov
  * trunk: changeset 1713
  $(INTALLDIR) wasn't being called for translated manual page
  directories.

2004-08-03 18:40 UTC  tuomov
  * trunk: changeset 1712
  Added routine to drawing engine to draw just a borderline and not a
  full border.

2004-08-03 16:37 UTC  tuomov
  * trunk: changeset 1711
  updated cfgfile too.

2004-08-02 19:35 UTC  tuomov
  * trunk: changeset 1710
  Submaps now default to AnyModifier.

2004-08-02 16:01 UTC  tuomov
  * trunk: changeset 1709
  nroff instead of groff.

2004-08-02 14:51 UTC  tuomov
  * trunk: changeset 1708
  Oops, calcmail was global.

2004-08-02 14:49 UTC  tuomov
  * trunk: changeset 1707
  - Some more binding documentation and translation improvements.
  
  - Use proper welcome.lang.txt.

2004-08-02 05:16 UTC  tuomov
  * trunk: changeset 1706
  Oops.

2004-08-02 03:31 UTC  tuomov
  * trunk: changeset 1705
  - Removed share directory from the source tree and moved stuff therein
    to ioncore and utils directories.
  
  - Some rules.mk improvements.

2004-08-02 00:51 UTC  tuomov
  * trunk: changeset 1704
  - Improved the 'basic concepts' section of the manual page.
  
  - Added a Finnish translation of the manual page and welcome message.
    (Correct version of the welcome message is not yet used.)

2004-08-01 21:51 UTC  tuomov
  * trunk: changeset 1703
  ... and also gettext menuentry and submenu.

2004-08-01 21:46 UTC  tuomov
  * trunk: changeset 1702
  Removed 'TR' from menu configuration files; include 'submenu' and
  'menuentry' in keywords to lxgettext instead.

2004-08-01 21:44 UTC  tuomov
  * trunk: changeset 1701
  Fixed type in documentation string.

2004-08-01 21:43 UTC  tuomov
  * trunk: changeset 1700
  Added translations for binding documentation.

2004-08-01 19:48 UTC  tuomov
  * trunk: changeset 1699
  Oops, previous commit was a bit broken.

2004-08-01 19:06 UTC  tuomov
  * trunk: changeset 1698
  Binding documentation is now included in the configuration files and
  the documentation for manual pages is generated from there.

2004-07-31 22:00 UTC  tuomov
  * trunk: changeset 1696
  Minor fixes to previous error reporting and other changes.

2004-07-31 20:55 UTC  tuomov
  * trunk: changeset 1695
  Added Finnish translation.

2004-07-31 20:53 UTC  tuomov
  * trunk: changeset 1694
  - Some more error and other reporting changes for easier and better
    translations.
  
  - Added menu configuration files to be translated.

2004-07-31 20:12 UTC  tuomov
  * trunk: changeset 1693
  s/corner/pos/g in statusbar creation code.

2004-07-31 19:11 UTC  tuomov
  * trunk: changeset 1691
  - Removed some redundant error reporting that is of no help to the
    user.
  
  - Changes in error reporting policy: trust the source of the problem
    do it, if it is our code.

2005-02-23 00:02 UTC  tuomov
  * trunk: changeset 1690
  Added basic framework for localisation/language translations.

2004-07-30 00:08 UTC  tuomov
  tagged ion-3ds-20040730

2004-07-29 23:32 UTC  tuomov
  * trunk: changeset 1687
  Oops DIST: PREFIX line was broken.

2004-07-29 23:30 UTC  tuomov
  * trunk: changeset 1686
  Added new release notes and other preparation for the release of ion-
  3ds-20040730.

2004-07-29 23:24 UTC  tuomov
  * trunk: changeset 1685
  - Changes in default installation paths and binary names: ion->ion3,
    etc.
  
  - Added ioncore.progname so that scripts that want to show the manual
    page don't need to know if we're running as ion or pwm.

2004-07-29 23:19 UTC  tuomov
  * trunk: changeset 1684
  Manual page updates.

2004-07-29 19:58 UTC  tuomov
  * trunk: changeset 1683
  Added old release notes to the package.

2004-07-29 19:47 UTC  tuomov
  * trunk: changeset 1682
  WIonWS: don't load WSplitST, because we don't save position and
  orientation and thus think the saved stdispnode was bl/horizontal.

2004-07-29 19:41 UTC  tuomov
  * trunk: changeset 1681
  Drawing engine configuration files now also use the underscored
  "look_" prefix instead of "look-".

2004-07-29 19:36 UTC  tuomov
  * trunk: changeset 1680
  Added styles for status displays.

2004-07-29 18:52 UTC  tuomov
  * trunk: changeset 1679
  - Changed WFloatWS.circulate and backcirculate to be stacking based.
  
  - Fixes to previous stacking code changes.

2004-07-29 18:27 UTC  tuomov
  * trunk: changeset 1678
  Floatws stacking code improvements.

2004-07-29 02:18 UTC  tuomov
  * trunk: changeset 1672
  All savefiles are now also prefixed with "saved_".

2004-07-29 02:02 UTC  tuomov
  * trunk: changeset 1671
  Removed WIonWS.resize_tree and added WSplit.rqgeom.

2004-07-29 01:52 UTC  tuomov
  * trunk: changeset 1670
  Renamed redundantly named ioncore.create_new_ws to ioncore.create_ws.

2004-07-29 01:50 UTC  tuomov
  * trunk: changeset 1669
  Added WWindow.xid export.

2004-07-29 01:47 UTC  tuomov
  * trunk: changeset 1668
  Statically linking modules had been broken with the module stub loader
  change, and make depend had never worked in this case.

2004-07-29 01:32 UTC  tuomov
  * trunk: changeset 1667
  - Removed generic stacking code; stacking is now handled fully by
    managers, making it simpler and better-working.
  
  - Some fixes to WMPlex layer2 new focus policy.

2004-07-28 21:58 UTC  tuomov
  * trunk: changeset 1666
  Reorganisation autows code to match the new lua/c division and stub
  loaders.

2004-07-28 20:57 UTC  tuomov
  * trunk: changeset 1665
  Changes in WMPlex passive layer 2 object focus policy.

2004-07-28 02:02 UTC  tuomov
  * trunk: changeset 1664
  Oops. Search path order had been reversed.

2004-07-28 01:57 UTC  tuomov
  * trunk: changeset 1663
  Style file lookup was broken.

2004-07-28 01:46 UTC  tuomov
  * trunk: changeset 1662
  The status display is now skipped by WIonWS navigational routines.

2004-07-28 01:30 UTC  tuomov
  * trunk: changeset 1661
  Forgot to update resize_delay->kbresize_delay to config files.

2004-07-28 01:25 UTC  tuomov
  * trunk: changeset 1660
  Oops. Forgot to remove references to DEFAULT_WS_TYPE.

2004-07-28 01:17 UTC  tuomov
  * trunk: changeset 1659
  - Changes in functions to set some basic settings of ioncore and some
    modules: for the most part, a single 'set' function now. Also added
    the 'get' counterpart.
  
  - Removed extl_globals as DEFAULT_WS_TYPE is part of ioncore.set/get
    now.

2004-07-27 21:06 UTC  tuomov
  * trunk: changeset 1658
  Added WSplitInner.current dynfun.

2004-07-27 21:01 UTC  tuomov
  * trunk: changeset 1657
  Restore extl_loadstring as mod_ionflux needs it.

2004-07-27 19:23 UTC  tuomov
  * trunk: changeset 1656
  - Statusbar mail checker died if $MAIL didn't exist.
  
  - Added mailbox file setting.

2004-07-27 18:03 UTC  tuomov
  * trunk: changeset 1655
  Some statusbar config tuning

2004-07-27 17:49 UTC  tuomov
  * trunk: changeset 1654
  - Better cfg_dock.lua; moved code to mod_dock.
  
  - Status display is now _not_ saved to layout savefile, for easier
    switching between different status displays.
  
  - Some mplex layer2 access improvements.

2004-07-27 13:48 UTC  tuomov
  * trunk: changeset 1653
  Fixed some typos etc.

2004-07-27 13:42 UTC  tuomov
  * trunk: changeset 1652
  - Improved ext_statusbar update time calculation.
  
  - Added ext_statusbar to list of subdirectories to build in the top-
    level Makefile.

2004-07-27 04:11 UTC  tuomov
  * trunk: changeset 1651
  Oops, mail_last_check wasn't being update.

2004-07-27 04:10 UTC  tuomov
  * trunk: changeset 1650
  Added ext_statusbar statusbar script.

2004-07-27 00:43 UTC  tuomov
  * trunk: changeset 1649
  - Put ext_misc stuff in ioncore anyway; removed close_current_ws.
  
  - Fixed some PWM stuff.

2004-07-27 00:26 UTC  tuomov
  * trunk: changeset 1648
  Status display removal is now properly notified by the screen to
  workspaces over restarts.

2004-07-26 22:03 UTC  tuomov
  * trunk: changeset 1647
  Oops, welcome message was no longer installed.

2004-07-26 21:57 UTC  tuomov
  * trunk: changeset 1645
  Some documentation fixes and documentation generation changes.

2004-07-26 21:57 UTC  tuomov
  * trunk: changeset 1644
  Oops, there was still a reference to draw.lua

2004-07-26 21:48 UTC  tuomov
  * trunk: changeset 1643
  ioncore-extras.lua was still lying around after barfed commit.

2004-07-26 21:29 UTC  tuomov
  * trunk: changeset 1642
  Fixed a sed vomit in ion-completeman (around sed's brain-damaged
  refusal to support escaping of square brackets) after GNU sed stopped
  accepting the previous vomit.

2004-07-26 20:50 UTC  tuomov
  * trunk: changeset 1641
  Fixes to previous failed commit.

2004-07-26 20:46 UTC  tuomov
  * trunk: changeset 1640
  - United ioncore and ioncorelib; mod_query and querylib; and mod_menu
    and menulib routines into the single namespace of the first of each
    to present the user with less different code units.
  
  - Changed all configuration files the user might want to edit to be
    prefixed with 'cfg_'.

2004-07-26 19:17 UTC  tuomov
  * trunk: changeset 1639
  Renamed 'include' 'dopath' (to look similar to Lua's 'dofile' that
  expects complete file name).

2004-07-26 18:58 UTC  tuomov
  * trunk: changeset 1638
  Added stub loaders for modules, so users only need a single command to
  load scripts or modules.

2004-07-26 17:43 UTC  tuomov
  * trunk: changeset 1637
  Some minor infowin, stdisp and timer fixes and changes.

2004-07-26 16:13 UTC  tuomov
  * trunk: changeset 1636
  Exported timers to Lua side and some other changes in timer code.

2004-07-26 14:38 UTC  tuomov
  * trunk: changeset 1633
  Added some code to WInfoWin to eventually allow it to be used as an
  stdisp.

2004-07-25 19:18 UTC  tuomov
  * trunk: changeset 1632
  Some autows overlap and new OO split code fixes.

2004-07-24 14:09 UTC  tuomov
  * trunk: changeset 1631
  Some fixes to previous changes in name allocation.

2004-07-24 11:58 UTC  tuomov
  * trunk: changeset 1630
  Added still incomplete support for partial floating of WSplitPanes on
  WAutoWS:s.

2004-07-23 22:27 UTC  tuomov
  * trunk: changeset 1629
  Resizing code fixes and simplifications.

2004-07-23 20:50 UTC  tuomov
  * trunk: changeset 1628
  Some more name allocation improvements and simplifications.

2004-07-23 19:34 UTC  tuomov
  * trunk: changeset 1627
  Fixed problem allocating names that already contain something that
  looks like an instance number.

2004-07-22 22:31 UTC  tuomov
  * trunk: changeset 1626
  - Moved WSplitUnused code to mod_autows from mod_ionws.
  
  - Added initial version of WSplitPane split tree node for better
    organisation of different application classes in WAutoWS split tree.

2004-07-18 18:59 UTC  tuomov
  * trunk: changeset 1625
  The split tree now uses inheritance within the Ion object system, so
  it is easier to add special inner nodes to it.

2004-07-18 02:25 UTC  tuomov
  * trunk: changeset 1624
  Some dock changes+fixes.

2004-07-17 00:48 UTC  tuomov
  * trunk: changeset 1623
  Autows template code is now aware of stdisp.

2004-07-16 23:54 UTC  tuomov
  * trunk: changeset 1622
  Autows classification heuristics improvements.

2004-07-15 15:29 UTC  tuomov
  * trunk: changeset 1621
  SM segfault fix.

2004-07-15 13:21 UTC  tuomov
  * trunk: changeset 1620
  Fixed config file help.

2004-07-15 01:59 UTC  tuomov
  * trunk: changeset 1619
  Removed stdisp from lists of normal managed objects on workspaces.

2004-07-13 16:05 UTC  tuomov
  * trunk: changeset 1618
  Fixed WRegion.size_hints export.

2004-07-13 16:04 UTC  tuomov
  * trunk: changeset 1617
  Always leave a SPLIT_UNUSED when stacking.

2004-07-13 16:03 UTC  tuomov
  * trunk: changeset 1616
  Changes in split tree resize code to better handle SPLIT_UNUSED.

2004-07-12 20:11 UTC  tuomov
  * trunk: changeset 1615
  AutoWS layout initialisation code improvements.

2004-07-11 22:57 UTC  tuomov
  * trunk: changeset 1614
  Beginnings of a new template-based autows implementation.

2004-07-08 00:18 UTC  tuomov
  * trunk: changeset 1613
  Some frame->style handling changes.

2004-07-08 00:17 UTC  tuomov
  * trunk: changeset 1612
  Possibly fixed scratchpad focusing (again).

2004-07-03 18:04 UTC  tuomov
  tagged ion-3ds-20040703

2004-07-03 18:01 UTC  tuomov
  * trunk: changeset 1610
  Added a note on ./configure being broken in README.

2004-07-03 17:57 UTC  tuomov
  * trunk: changeset 1609
  Default to no dock.

2004-07-03 17:56 UTC  tuomov
  * trunk: changeset 1608
  Added code in dock.lua to create dock of either flavour.

2004-07-03 17:56 UTC  tuomov
  * trunk: changeset 1607
  Do not automagically redirect region_manage_clientwin requests to
  passive layer 2 objects.

2004-07-03 17:55 UTC  tuomov
  * trunk: changeset 1606
  Added table.join.

2004-07-03 17:54 UTC  tuomov
  * trunk: changeset 1605
  Changes in menu stacking.

2004-07-03 17:25 UTC  tuomov
  * trunk: changeset 1604
  Implemented WRegion.rqclose for WDock (and removed WDock.destroy), so
  that empty docks can now be closed in a consistent manner.

2004-07-03 17:21 UTC  tuomov
  * trunk: changeset 1603
  Added some region dynfuns.

2004-06-27 17:43 UTC  tuomov
  * trunk: changeset 1602
  Dock supports bindings now.

2004-06-27 17:12 UTC  tuomov
  * trunk: changeset 1601
  - Removed orientation from stdisp parameters; it is got from the
    region itself through region_orientation.
  
  - WDock.set can now properly request changes when working as WMPlex
    stdisp.

2004-06-26 20:13 UTC  tuomov
  * trunk: changeset 1600
  floatws fix: don't save stdisp configuration.

2004-06-26 20:05 UTC  tuomov
  * trunk: changeset 1599
  Ensure FD_CLOEXEC is set.

2004-06-26 19:53 UTC  tuomov
  * trunk: changeset 1598
  - Removed generic stacking exports. Raise/lower is only available
    through WFloatWS.raise/lower now.
  
  - Removed WRegion.active_sub export.

2004-06-26 19:35 UTC  tuomov
  * trunk: changeset 1597
  Renamed 'reference' field in load/info tables to 'reg'.

2004-06-26 18:40 UTC  tuomov
  * trunk: changeset 1596
  Guarantee maximum size to be set in region_size_hints along with base
  and minimum size.

2004-06-26 18:37 UTC  tuomov
  * trunk: changeset 1595
  Removed relw and relh from region_size_hints; use
  XSizeHints.base_width/height instead.

2004-06-26 16:07 UTC  tuomov
  * trunk: changeset 1594
  - Added support for passive mplex layer 2 objects.
  
  - Unified generic stdisp and floating dock position parametrisation.

2004-06-23 15:56 UTC  tuomov
  * trunk: changeset 1593
  Improved mplex managed object attribute storage.

2004-06-22 00:16 UTC  tuomov
  * trunk: changeset 1592
  Added XID to querylib.show_clientwin.

2004-06-21 15:02 UTC  tuomov
  * trunk: changeset 1591
  Fixed drawing engine style loading code when neither font nor based_on
  was set.

2004-06-21 08:18 UTC  tuomov
  * trunk: changeset 1590
  Previous "fixes" broken dock resize on workspace change if previous
  docknode geometry was a good fit.

2004-06-21 07:37 UTC  tuomov
  * trunk: changeset 1589
  Some status display/dock support code fixes and improvements.

2004-06-21 00:30 UTC  tuomov
  * trunk: changeset 1588
  Support dragging tab of current window by clicking anywhere in a
  frame.

2004-06-20 16:45 UTC  tuomov
  * trunk: changeset 1587
  Initial conversion of mod_dock to work with WMPlex sticky auto-sizing
  status display mechanisms.

2004-06-20 11:47 UTC  tuomov
  * trunk: changeset 1586
  Don't register WRegionSimpleCreateFn as it is not actually needed.
  Thus only register WRegionLoadCreateFn.

2004-06-20 11:45 UTC  tuomov
  * trunk: changeset 1584
  Don't duplicate libtu/stringintmap_key as value2str.

2004-06-20 11:10 UTC  tuomov
  * trunk: changeset 1582
  Fixed folds.

2004-06-19 16:39 UTC  tuomov
  * trunk: changeset 1581
  - Use of block auto-indentation had broken indentation after some
    EXTL_EXPORT statements.
  
  - Added documentation for WMPlex.set_stdisp and WMPlex.get_stdisp.

2004-06-19 16:26 UTC  tuomov
  * trunk: changeset 1580
  Improved support for auto-sizing status display/dock.

2004-06-19 13:26 UTC  tuomov
  * trunk: changeset 1579
  Export WScreen.set_managed_offset.

2004-06-18 22:14 UTC  tuomov
  * trunk: changeset 1576
  Use libtu's new stringstore for storing frame style names.

2004-06-17 20:42 UTC  tuomov
  * trunk: changeset 1573
  Fixed handling of requested geometry in floatws_attach_clientwin.

2004-06-17 17:14 UTC  tuomov
  * trunk: changeset 1572
  Added some split-tree manipulation algorithms needed to eventually
  support an automagically properly sized dock.

2004-06-17 13:58 UTC  tuomov
  * trunk: changeset 1571
  Resize primary node fix.

2004-06-14 15:09 UTC  tuomov
  * trunk: changeset 1570
  Finished converting (still crappy) autows penalty code to Lua and some
  tuning.

2004-06-12 20:51 UTC  tuomov
  * trunk: changeset 1569
  Moved autows penalty calculation code to Lua side for easier
  customisation.

2004-06-12 18:10 UTC  tuomov
  * trunk: changeset 1568
  - Added WRegion.size_hints to exports
  
  - ... and renamed region_resize_hints to region_size_hints.

2004-06-12 14:16 UTC  tuomov
  * trunk: changeset 1567
  Fixed querylib.query_exit and renamed it to querylib.query_shutdown.

2004-06-11 19:03 UTC  tuomov
  * trunk: changeset 1566
  Changed penalties to be based on proportional shrinkage/growth/free
  space after split and other autows placement code changes.

2004-06-11 11:03 UTC  tuomov
  * trunk: changeset 1565
  Put back WIonWS.create_frame_fn.

2004-06-10 22:48 UTC  tuomov
  * trunk: changeset 1564
  - Session saving is no longer disabled on exit if there was an error
    loading layout. Instead a backup of the layout savefile is made.
  
  - The behaviour of ioncore.resign was changed not to save session, but
    instead just quit and, when running under a session manager,
    instruct the session manager to not restart the WM again.

2004-06-10 21:13 UTC  tuomov
  * trunk: changeset 1563
  Fixed focusing on frame destroy.

2004-06-10 21:01 UTC  tuomov
  * trunk: changeset 1562
  Bracing error caused split unused fusing not to work in all cases.

2004-06-10 15:33 UTC  tuomov
  * trunk: changeset 1561
  Changes in the set of exported WSplit methods and WIonWS:split_tree().

2004-06-10 15:15 UTC  tuomov
  * trunk: changeset 1560
  Added code to fuse adjacent SPLIT_UNUSED nodes.

2004-06-09 16:12 UTC  tuomov
  * trunk: changeset 1559
  Removed WIonFrame and WAutoFrame. There's just WFrame and WFloatFrame
  (also to be unified?) now.

2004-06-08 20:52 UTC  tuomov
  * trunk: changeset 1558
  Some minor autows placement tuning.

2004-06-08 20:26 UTC  tuomov
  * trunk: changeset 1557
  Moved p_move from WFloatFrame to WFrame.

2004-06-08 17:23 UTC  tuomov
  * trunk: changeset 1556
  Binding to nil should again remove the binding.

2004-06-08 17:21 UTC  tuomov
  * trunk: changeset 1555
  Fixes in navigation code handling of SPLIT_UNUSED.

2004-06-07 13:41 UTC  tuomov
  * trunk: changeset 1554
  Some more unused space information storage changes.

2004-06-07 11:09 UTC  tuomov
  * trunk: changeset 1553
  load_autows hand't been updated to new ionws_load_node parameters.

2004-06-06 19:39 UTC  tuomov
  * trunk: changeset 1552
  Added querylib.show_clientwin to display information on a client
  window and put it in the context menu.

2004-06-06 19:27 UTC  tuomov
  * trunk: changeset 1551
  Documentation fixes.

2004-06-06 18:32 UTC  tuomov
  * trunk: changeset 1550
  Some fixes in split tree load code changes.

2004-06-06 17:58 UTC  tuomov
  * trunk: changeset 1549
  Added penalties to attach to an existing frame.

2004-06-06 17:09 UTC  tuomov
  * trunk: changeset 1548
  Added querylib.query_menu that can be used to create a query of a
  menu.

2004-06-06 16:16 UTC  tuomov
  * trunk: changeset 1547
  Moved Fx queries to WMPlex level so they're available on empty
  workspaces and full screen client windows as well.

2004-06-06 16:08 UTC  tuomov
  * trunk: changeset 1546
  Added 'lazy' split attribute. If a horizontal/vertical split is
  "lazy", and a direct child is removed, the split won't be collapsed
  unless the other child is SPLIT_UNUSED.

2004-06-06 15:47 UTC  tuomov
  * trunk: changeset 1545
  Few minor fixes.

2004-06-05 19:24 UTC  tuomov
  * trunk: changeset 1543
  - Moved workspace dummy window code from WFloatWS to WGenWS to be
    available to WAutoWS as well.
  
  - Removed unused managed_splits field from WIonWS.

2004-06-05 15:14 UTC  tuomov
  * trunk: changeset 1542
  WAutoWS placement code clean-up.

2004-06-05 09:42 UTC  tuomov
  * trunk: changeset 1541
  Oops. Fixed sanity check.

2004-06-04 23:15 UTC  tuomov
  * trunk: changeset 1539
  Added Xinerama sanity check.

2004-06-04 17:55 UTC  tuomov
  * trunk: changeset 1537
  Changed WAutoWS placement code to use new unused space storage and
  added framework code to handle calculating penalties based on
  "immediate" available unused space.

2004-06-04 17:29 UTC  tuomov
  * trunk: changeset 1536
  Changed storage of used/unused space within
  SPLIT_VERTICAL/SPLIT_HORIZONTAL.

2004-06-04 15:49 UTC  tuomov
  * trunk: changeset 1535
  Fixed WMPlex.l2_show focus.

2004-06-03 11:25 UTC  tuomov
  * trunk: changeset 1534
  Added very preliminary WAutoWS layout code.

2004-06-03 11:23 UTC  tuomov
  * trunk: changeset 1533
  Code that creates regions from tables now supports a 'reference' to
  use existing regions.

2004-06-03 11:21 UTC  tuomov
  * trunk: changeset 1532
  Fixed some indentation.

2004-06-02 19:15 UTC  tuomov
  * trunk: changeset 1531
  Added support for "static" splits.

2004-05-31 10:40 UTC  tuomov
  * trunk: changeset 1526
  Splitting fixes.

2004-05-31 10:39 UTC  tuomov
  * trunk: changeset 1525
  Added nil check to hook_add_extl.

2004-05-30 16:01 UTC  tuomov
  * trunk: changeset 1524
  Fixed a serious brainfart in region name allocation. (Temporary hack;
  need to do this more efficiently.)

2004-05-30 14:13 UTC  tuomov
  * trunk: changeset 1523
  Oops. Alloc one byte too small.

2004-05-29 19:13 UTC  tuomov
  * trunk: changeset 1522
  Check that client window is not already managed when loading saved
  configuration (on restart).

2004-05-29 19:12 UTC  tuomov
  * trunk: changeset 1521
  Added -noerrorlog startup option.

2004-05-29 12:03 UTC  tuomov
  * trunk: changeset 1520
  Fixed dec/inc_index bindings.

2004-05-29 11:26 UTC  tuomov
  * trunk: changeset 1519
  Bindmap binding count was not maintained correctly if a key/button was
  re-bound.

2004-05-28 14:41 UTC  tuomov
  * trunk: changeset 1518
  Added SPLIT_UNUSED nodes and stopped allowing frames that do not use
  full space of their SPLIT_REGNODE:

2004-05-26 19:26 UTC  tuomov
  * trunk: changeset 1517
  querylib.query_renameworkspace had been broken at some point.

2004-05-26 19:24 UTC  tuomov
  * trunk: changeset 1516
  Unified module and script search paths. There's only one search path
  now.

2004-05-26 19:17 UTC  tuomov
  * trunk: changeset 1515
  *sigh* install-sh seems to require -c to copy.

2004-05-26 17:24 UTC  tuomov
  * trunk: changeset 1514
  Changed INSTALL to install-sh

2004-05-26 17:10 UTC  tuomov
  * trunk: changeset 1513
  Build rules fixes.

2004-05-26 16:57 UTC  tuomov
  * trunk: changeset 1512
  Libtool is no longer used: problems with one module depending on
  another.

2004-05-26 14:13 UTC  tuomov
  * trunk: changeset 1511
  Added unviewable check in mplex init.

2004-05-26 13:57 UTC  tuomov
  * trunk: changeset 1510
  - WMPlex layer2 object hide improved.
  
  - Unified WMPlex layer list access functions.

2004-05-21 21:04 UTC  tuomov
  * trunk: changeset 1509
  Removed 'exec' from /bin/sh call to execute command so that more
  complex commands can be entered.

2004-05-21 19:46 UTC  tuomov
  * trunk: changeset 1507
  Removed os.execute block.

2004-05-21 18:49 UTC  tuomov
  * trunk: changeset 1506
  Improved querylib.query_exec completion to break at spaces.

2004-05-21 18:33 UTC  tuomov
  * trunk: changeset 1505
  SSH host completion now understands usernames. (Code taken from the
  Ion Wiki.)

2004-05-21 18:26 UTC  tuomov
  * trunk: changeset 1504
  - Improved integration of exit/restart/save state with session
    management.
  
  - Removed ioncore.exit(); in most cases use ioncore.shutdown() instead
    (and ioncore.resign() in others).

2004-05-20 21:48 UTC  tuomov
  * trunk: changeset 1503
  Added comment headers to the files.

2004-05-20 21:35 UTC  tuomov
  * trunk: changeset 1502
  - Added mod_sm.request_save.
  
  - Removed support for whatever (older?) session management system
    defines the macro "XSM".

2004-05-20 18:26 UTC  tuomov
  * trunk: changeset 1501
  - Automatically load mod_sm of the SESSION_MANAGER environment
    variable is set.
  
  - Moved session directory setup code to mod_sm.

2004-05-20 16:03 UTC  tuomov
  * trunk: changeset 1500
  Added WClientWin.xid export to get X window id.

2004-05-20 15:04 UTC  tuomov
  * trunk: changeset 1499
  Improved WAutoFrame "lazy" move/resize behaviour.

2004-05-20 14:38 UTC  tuomov
  * trunk: changeset 1498
  Split resizing code now first tries to use any unused space before
  shrinking a region.

2004-05-19 08:35 UTC  tuomov
  * trunk: changeset 1497
  - Do not clear client window activity status when receiving focus if
    the urgency hint is still set.
  
  - Exported WRegion.notify_activity and WRegion.clear_activity.

2004-05-18 20:02 UTC  tuomov
  * trunk: changeset 1496
  Fixed exec bindings to correctly set the root window and changed
  ioncore.exec_on to accept any region as parameter.

2004-05-18 17:55 UTC  tuomov
  * trunk: changeset 1495
  Changes in save directory under a session manager; use ~/.ion3/gnome-
  session-$GNOME_DESKTOP_SESSION_ID (with potentially unallowed
  characters replaced) if this environment variable is set.

2004-05-17 22:52 UTC  tuomov
  * trunk: changeset 1494
  Merged dock kde systray support patch and fixes from stable branch.

2004-05-17 22:41 UTC  tuomov
  * trunk: changeset 1491
  Added missing include.

2004-05-15 17:45 UTC  tuomov
  * trunk: changeset 1490
  Removed extl_call_named as it is no longer needed and useless bloat.

2004-05-15 17:43 UTC  tuomov
  * trunk: changeset 1489
  Converted ionws_placement_method to ionws_placement_alt hook. Removed
  the hook from WAutoWS code temporarily.

2004-05-15 09:47 UTC  tuomov
  * trunk: changeset 1488
  Fixed attempt to free memory at middle of allocated area in menu
  typeahead find.

2004-05-14 14:14 UTC  tuomov
  * trunk: changeset 1487
  - Changed mplex l2 hide/show to warp (if enabled) to new active
    region.
  
  - Some other focus handling fixes/changes.

2004-05-14 13:13 UTC  tuomov
  * trunk: changeset 1486
  WMPlex contents are unmapped when either width or height of client
  managed area becomes at most 1 instead of resizing them. Previously
  this was only done vertically for frames (shade).

2004-05-14 10:14 UTC  tuomov
  * trunk: changeset 1483
  Fixed shade on WIonWS.

2004-05-13 12:01 UTC  tuomov
  * trunk: changeset 1482
  Minor cleanup.

2004-05-13 09:02 UTC  tuomov
  * trunk: changeset 1481
  Removed some scratch code.

2004-05-12 15:39 UTC  tuomov
  * trunk: changeset 1480
  Oops. There was a typo that was causing region flags to be cleared
  when children were being rescued.

2004-05-12 13:49 UTC  tuomov
  * trunk: changeset 1479
  hook_add_extl was missing extl_ref_fn.

2004-05-12 13:30 UTC  tuomov
  * trunk: changeset 1478
  Documented hook exports.

2004-05-12 12:56 UTC  tuomov
  * trunk: changeset 1477
  Removed deprecated references to defcmd.

2004-05-12 12:50 UTC  tuomov
  * trunk: changeset 1476
  New hook system. Both Lua and C-side now have the same hooks except
  for ioncore_handle_event_alt.

2004-05-12 10:31 UTC  tuomov
  * trunk: changeset 1475
  Added functions to test ExtlTab:s and ExtlFn:s for equality.

2004-05-08 23:38 UTC  tuomov
  * trunk: changeset 1474
  WM_COLORMAP_WINDOWS handling fixes. (Does something still use
  this/bother supporting indexed colour models at all?)

2004-05-06 21:01 UTC  tuomov
  * trunk: changeset 1472
  Oops. nodecor wan't being initialised if mwm hints are not set.

2004-05-06 09:35 UTC  tuomov
  * trunk: changeset 1470
  Space wasn't being reclaimed when unsplitting.

2004-05-03 15:22 UTC  tuomov
  * trunk: changeset 1469
  Added extra check. Fixed indentation.

2004-05-03 15:21 UTC  tuomov
  * trunk: changeset 1468
  Fixed dynamic function call.

2004-05-03 14:18 UTC  tuomov
  * trunk: changeset 1466
  Fixed stippled tab font when -i18n was not set.

2004-05-02 15:57 UTC  tuomov
  * trunk: changeset 1464
  Path fixes in file headings.

2004-05-02 15:46 UTC  tuomov
  * trunk: changeset 1463
  Added some basic framework for autows. No functionality essentially
  different from ionws yet.

2004-05-01 11:32 UTC  tuomov
  * trunk: changeset 1460
  Transparency configuration reading fix.

2004-04-30 19:45 UTC  tuomov
  * trunk: changeset 1459
  Minor session management support improvements; should work with gnome-
  session now.

2004-04-28 11:34 UTC  tuomov
  * trunk: changeset 1458
  Only kill active grab when esc is pressed, not released.

2004-04-24 22:45 UTC  tuomov
  * trunk: changeset 1456
  WIonWS supports alternative frame creation routine (for inheritance).

2004-04-20 18:01 UTC  tuomov
  * trunk: changeset 1455
  Split size calculation TODOs handled.

2004-04-20 15:03 UTC  tuomov
  * trunk: changeset 1454
  Some fixes to new split tree code.

2004-04-17 17:44 UTC  tuomov
  * trunk: changeset 1453
  - Added the WARN_FUNC macros.
  
  - WIonWS code checks that split_tree!=NULL more often so that it
    should be possible to inherit it by a workspace class that doesn't
    always have such a tree.

2004-04-17 16:45 UTC  tuomov
  * trunk: changeset 1452
  Fixed split bindings to attach currently displayed region of old frame
  to new frame.

2004-04-17 15:03 UTC  tuomov
  * trunk: changeset 1451
  Added code to transpose splits.

2004-04-16 22:34 UTC  tuomov
  * trunk: changeset 1450
  Slightly improved splitting code.

2004-04-11 10:15 UTC  tuomov
  * trunk: changeset 1448
  Oops, there was an off-by-one bug in _NET_VIRTUAL_ROOTS setting.

2004-04-05 12:33 UTC  tuomov
  * trunk: changeset 1444
  Added a kludge to deal with waitrelease when the modifiers has already
  been released.

2004-04-05 07:39 UTC  tuomov
  * trunk: changeset 1442
  Oops, LCDIR and SHAREDIR were on path in wrong order.

2004-04-04 11:48 UTC  tuomov
  * trunk: changeset 1441
  Improved split data structures.

2004-04-02 19:59 UTC  tuomov
  * trunk: changeset 1440
  WMPlex is now a proper non-virtual class and objects of this type can
  be created and nested like any others.

2004-04-02 08:19 UTC  tuomov
  * trunk: changeset 1439
  Also put querylib.lc and menulib.lc in LCDIR.

2004-04-02 08:04 UTC  tuomov
  * trunk: changeset 1437
  Changed compiled .lc files' path to LIBDIR/ion/lc.

2004-03-27 09:01 UTC  tuomov
  * trunk: changeset 1435
  Fixed floatframe client window size issue when shaded.

2004-03-26 22:51 UTC  tuomov
  * trunk: changeset 1434
  Split brush and style code in separate files.

2004-03-26 22:37 UTC  tuomov
  * trunk: changeset 1433
  Removed object abstraction from drawing engine brushes to help
  creating drawing engines with other font routines.

2004-03-26 22:12 UTC  tuomov
  * trunk: changeset 1432
  Stacking fix(?).

2004-03-24 20:45 UTC  tuomov
  * trunk: changeset 1431
  Moved some root position notification code from WRegion to WWindow.

2004-03-24 20:37 UTC  tuomov
  * trunk: changeset 1430
  Removed duplicate fitrep code.

2004-03-24 18:55 UTC  tuomov
  * trunk: changeset 1429
  Some WIonWS and split tree code reorganisation.

2004-03-24 17:33 UTC  tuomov
  * trunk: changeset 1428
  Don't put input method failure complaints in startup error log.

2004-03-23 11:28 UTC  tuomov
  * trunk: changeset 1426
  querylib.query_restart and query_exit were not yet converted to the
  Ion3 scheme of things.

2004-03-23 02:15 UTC  tuomov
  * trunk: changeset 1424
  Client window unmap handling fixes (?).

2004-03-22 12:29 UTC  tuomov
  * trunk: changeset 1423
  String freeing fix.

2004-03-21 16:58 UTC  tuomov
  * trunk: changeset 1422
  Fixed a colourmap update crash.

2004-03-21 16:43 UTC  tuomov
  * trunk: changeset 1421
  Binaries were still being stripped.

2004-03-20 21:31 UTC  tuomov
  * trunk: changeset 1420
  mod_sm wasn't registering exported functions.

2004-03-20 21:23 UTC  tuomov
  * trunk: changeset 1419
  Added very preliminary (and partially broken) session management
  support based on the 'sm' module for Ion1.

2004-03-20 14:39 UTC  tuomov
  * trunk: changeset 1418
  Moved activity notification window code from scratchpad to screen;
  also works for normal workspaces now.

2004-03-18 21:11 UTC  tuomov
  * trunk: changeset 1416
  Improvements and fixes in keyboard mapping changes handling.

2004-03-18 09:39 UTC  tuomov
  * trunk: changeset 1413
  Made drawing engine objects inheritable and initialisation code
  reusable.

2004-03-17 20:17 UTC  tuomov
  * trunk: changeset 1412
  Some scratchpad activity notification window changes/fixes.

2004-03-16 17:24 UTC  tuomov
  tagged ion-3ds-20040316

2004-03-16 17:23 UTC  tuomov
  * trunk: changeset 1406
  Added commented-out line to load mod_sp.

2004-03-16 16:42 UTC  tuomov
  * trunk: changeset 1405
  Fixed typo Wegion->WRegion.

2004-03-16 16:40 UTC  tuomov
  * trunk: changeset 1404
  - Added rectangle_constrain and changed code that did the same thing
    to use the function.
  
  - Some clientwin WFitParams usage improvements and fixes.

2004-03-16 16:09 UTC  tuomov
  * trunk: changeset 1403
  Indentation fixes.

2004-03-15 16:32 UTC  tuomov
  * trunk: changeset 1401
  Renamed module directories.

2004-03-15 16:02 UTC  tuomov
  * trunk: changeset 1399
  Added scratchpad activity notification bubble.

2004-03-15 08:34 UTC  tuomov
  * trunk: changeset 1397
  Documentation generation fixes and improvements.

2004-03-15 08:10 UTC  tuomov
  * trunk: changeset 1396
  Some function name shortenings and other changes.

2004-03-14 23:40 UTC  tuomov
  * trunk: changeset 1395
  Fixed some exec calls to ioncore.exec.

2004-03-14 23:29 UTC  tuomov
  * trunk: changeset 1394
  Fixed getbindings for buttons.

2004-03-14 22:53 UTC  tuomov
  * trunk: changeset 1393
  Made some more minor changes to binding configuration and added
  ioncore.getbindings and ioncorelib.getbindings that can be used to get
  a table of made bindings for all contexts.

2004-03-14 19:04 UTC  tuomov
  * trunk: changeset 1392
  Minor glitch introduced by previous changes fixed.

2004-03-14 18:59 UTC  tuomov
  * trunk: changeset 1391
  Multiplexers now save layer2 objects in layout savefile.

2004-03-13 21:37 UTC  tuomov
  * trunk: changeset 1390
  Removed superfluous region_same_rootwin check.

2004-03-13 21:27 UTC  tuomov
  * trunk: changeset 1389
  Added tentative mod_sp scratchpad module.

2004-03-13 18:47 UTC  tuomov
  * trunk: changeset 1388
  Region fitting, reparting and creating routines now receive a
  bounds/exact specification along with geometry to allow managers to
  specify whether managed regions should take full space available or
  are they allowed to use only part of it.

2004-03-12 19:06 UTC  tuomov
  * trunk: changeset 1387
  Added functions to hide/show mplex layer 2 objects.

2004-03-12 17:58 UTC  tuomov
  * trunk: changeset 1386
  Region closing method unifications.

2004-03-12 16:27 UTC  tuomov
  * trunk: changeset 1385
  Exported functions can now accept nil objects as parameters except for
  the first parameter. (Most exported functions have just that first
  object parameter.)

2004-03-11 17:20 UTC  tuomov
  * trunk: changeset 1384
  Unnamed regions can now also bee seen on lists of regions.

2004-03-10 21:12 UTC  tuomov
  * trunk: changeset 1381
  GCC linking order brain-damagedness workaround fixes.

2004-03-10 21:03 UTC  tuomov
  * trunk: changeset 1379
  Slightly simpler and faster Lua object cache.

2004-03-10 20:41 UTC  tuomov
  * trunk: changeset 1378
  - Moved X window code to xwindow.c.
  
  - Some other minor clean-up operations.

2004-03-10 18:12 UTC  tuomov
  * trunk: changeset 1376
  Slightly reduce flicker with apps that update title too often by
  removing a redundant change notify call.

2004-03-10 18:01 UTC  tuomov
  * trunk: changeset 1375
  Handle bindmaps using red-black trees for simpler code (before
  bindings were in arrays sorted and searched with qsort and bsearch).

2004-03-10 16:49 UTC  tuomov
  * trunk: changeset 1372
  Also handle name allocation using red-black trees instead of Lua
  tables now that such are available in libtu.

2004-03-10 16:48 UTC  tuomov
  * trunk: changeset 1371
  Use red-black trees added to libtu instead of a Lua tables to store
  split_of pointers of frames on WIonWS:s to avoid problems with object
  cache clean-up on frame deletion.

2004-03-10 10:47 UTC  tuomov
  * trunk: changeset 1367
  names.h wasn't being included.

2004-03-07 21:46 UTC  tuomov
  * trunk: changeset 1364
  Bound backspace in menus to clear typeahead buffer.

2004-03-07 21:45 UTC  tuomov
  * trunk: changeset 1363
  Moved strcasestr to libtu.

2004-03-07 21:45 UTC  tuomov
  * trunk: changeset 1361
  Menus now support typeahead find.

2004-03-07 17:37 UTC  tuomov
  * trunk: changeset 1359
  Removed ioncore_g.cwin_list.

2004-03-07 17:29 UTC  tuomov
  * trunk: changeset 1358
  Removed completion functions from ioncore, moving them to querylib and
  replacing with listing functions (ioncore.clientwin_list,
  ioncore.region_list).

2004-03-07 17:28 UTC  tuomov
  * trunk: changeset 1357
  Restored missing workspacelist menu entry.

2004-03-07 15:35 UTC  tuomov
  * trunk: changeset 1356
  Fixed pmenu stacking.

2004-03-07 11:13 UTC  tuomov
  * trunk: changeset 1355
  Added ioncore_post_layout_setup_hook.

2004-03-07 10:41 UTC  tuomov
  * trunk: changeset 1354
  All modules are now 'mod_something'.

2004-03-07 10:39 UTC  tuomov
  * trunk: changeset 1353
  Oops, some NULL checks were missing from new stacking code.

2004-03-07 00:26 UTC  tuomov
  * trunk: changeset 1352
  Merged recent changes from the stable branch (WFloatWS.attach, better
  gravity handling, goto_* routines return target).

2004-03-07 00:24 UTC  tuomov
  * trunk: changeset 1351
  Brought PWM binding and menu configuration files up to date.

2004-03-06 23:59 UTC  tuomov
  * trunk: changeset 1350
  - WMPlex now supports a full "second layer" of objects in addition to
    a single input.
  
  - A lot of WIonFrame code was removed and moved to WFrame.
  
  - New rescue and initial management handling code.

2004-03-06 23:53 UTC  tuomov
  * trunk: changeset 1349
  region_stack_above wasn't working.

2004-03-06 23:12 UTC  tuomov
  * trunk: changeset 1348
  Stacking code relies on XQueryTree instead of maintaining our internal
  state that might not agree with X.

2004-03-06 23:08 UTC  tuomov
  * trunk: changeset 1347
  Fixed dock configuration file for new binding system.

2004-02-18 03:00 UTC  tuomov
  * trunk: changeset 1336
  Merged tab drag&drop fixes and size guard additions from the stable
  branch.

2004-02-17 23:16 UTC  tuomov
  * trunk: changeset 1330
  Oops, some old class names were used in the merge.

2004-02-17 18:40 UTC  tuomov
  * trunk: changeset 1329
  Merged fixes from the stable branch.

2004-02-17 01:32 UTC  tuomov
  * trunk: changeset 1326
  Autosave disabling was missing.

2004-02-16 23:27 UTC  tuomov
  * trunk: changeset 1324
  - Changed layout save mechanism to construct configuration tables
    instead of directly writing data to files.
  
  - Some more mainloop changes.

2004-02-16 20:33 UTC  tuomov
  * trunk: changeset 1322
  Documentation and documentation generation updates.

2004-02-16 19:22 UTC  tuomov
  * trunk: changeset 1321
  Moved SunOS F11->SunF36, F12->SunF37 kludge to build time.

2004-02-16 19:02 UTC  tuomov
  * trunk: changeset 1320
  Mainloop X flushing fix.

2004-02-16 17:50 UTC  tuomov
  * trunk: changeset 1317
  Switched to using spaces only for indentation. Simple automatic "\t"
  -> " " conversion; may need more tuning.

2004-02-16 17:08 UTC  tuomov
  * trunk: changeset 1315
  Oops. errorlog code was still here.

2004-02-16 17:05 UTC  tuomov
  * trunk: changeset 1314
  - Moved object system and other generic code to libtu.
  
  - Changed the mainloop to only handle file descriptors with the X
    connection just a case among other inputfd:s.

2004-02-16 04:42 UTC  tuomov
  * trunk: changeset 1311
  Moved stuff to the C side.

2004-02-16 04:29 UTC  tuomov
  * trunk: changeset 1310
  Some minor fixes to stuff broken by namespace change.

2004-02-16 04:14 UTC  tuomov
  * trunk: changeset 1309
  classes.h was missing from previous commmit.

2004-02-16 04:13 UTC  tuomov
  * trunk: changeset 1308
  - Major namespace clean-up, both C and Lua-side.
  
  - Yet another binding configuration scheme.

2004-02-15 19:06 UTC  tuomov
  * trunk: changeset 1300
  Added function to return line editor "mark".

2004-02-14 23:31 UTC  tuomov
  * trunk: changeset 1299
  - Removed gr_get_brush_values and the possibility obtain brush
    parameters before creating a window.
  
  - Added "above" and "below" as supported directions with some ionws
    functions.

2004-02-14 22:11 UTC  tuomov
  * trunk: changeset 1298
  Merged floatframe tab toggle and man page fixes from the stable
  branch.

2004-02-14 22:11 UTC  tuomov
  * trunk: changeset 1297
  Removed delib.lua and moved the stuff on the C side.

2004-02-12 12:40 UTC  tuomov
  * trunk: changeset 1294
  Added manual page caching setup help in README.

2004-02-12 11:42 UTC  tuomov
  * trunk: changeset 1293
  Removed superfluous navigation functions from WIonWS.

2004-02-11 21:12 UTC  tuomov
  * trunk: changeset 1292
  Lua interface improvements.

2004-02-11 09:56 UTC  tuomov
  * trunk: changeset 1290
  - Portability fixes merged from stable branch.
  
  - Fixed ion-completeman to use = insteaf == with 'test'.
  
  - Minor binding changes.

2004-02-11 03:02 UTC  tuomov
  * trunk: changeset 1288
  Slightly better pipe stall check.

2004-02-11 02:48 UTC  tuomov
  * trunk: changeset 1287
  Added line counter reset.

2004-02-11 02:45 UTC  tuomov
  * trunk: changeset 1286
  Querylib tries to waste a little less memory when reading completions
  from a pipe.

2004-02-11 01:50 UTC  tuomov
  * trunk: changeset 1285
  Makefile sed fix.

2004-02-11 01:41 UTC  tuomov
  * trunk: changeset 1284
  Merged fixes from the "stable" Ion2 branch.

2004-02-11 01:28 UTC  tuomov
  * trunk: changeset 1282
  Forgot to upgrade querylib to new script parameters.

2004-02-11 01:25 UTC  tuomov
  * trunk: changeset 1281
  Man-page completion is now implemented with the external script 'ion-
  completeman'. The script supports cacheng names of known manual pages
  (as a cronjob) for much faster completion. It can also use the
  'manpath' program in addition to the MANPATH or ION_MC_MANPATH
  environment variables to figure out the paths containing man pages.

2004-02-11 00:59 UTC  tuomov
  * trunk: changeset 1280
  Completion display wasn't being refreshed, if its size didn't change
  between completions.

2004-02-10 23:12 UTC  tuomov
  * trunk: changeset 1277
  - New binding configuration scheme based on strings instead of direct
    passing of Lua functions.
  
  - Some WMPlex managed object indexing function changes.

2004-02-10 19:47 UTC  tuomov
  * trunk: changeset 1276
  Move/resize mode is common to all types of frames.

2004-02-10 19:35 UTC  tuomov
  * trunk: changeset 1274
  There were still some WGENFRAME macros.

2004-02-10 18:29 UTC  tuomov
  * trunk: changeset 1273
  Changed version and API version.

2004-02-10 10:42 UTC  tuomov
  * trunk: changeset 1271
  File name changes and a couple of fixes to the WGenFrame -> WFrame
  change.

2004-02-10 10:36 UTC  tuomov
  * trunk: changeset 1270
  Renamed WGenFrame to WFrame.

2004-02-10 10:35 UTC  tuomov
  * trunk: changeset 1269
  Changed default installation path to /usr/local/ion-3 and user
  configuration file path to ~/.ion3.

2004-02-07 01:56 UTC  tuomov
  * trunk: changeset 1256
  Brought WClientWin.get_ident documentation up-to-date.

2004-02-05 22:09 UTC  tuomov
  * trunk: changeset 1252
  Implemented a kludge to track "awaiting focus" state. This will allow,
  for example, windows changing to full screen mode immediately after
  mapping (instead of doing it right and setting the properties before
  mapping) to be switched to.

2004-02-05 16:30 UTC  tuomov
  * trunk: changeset 1250
  Added extra include for dock.

2004-02-05 16:29 UTC  tuomov
  * trunk: changeset 1249
  WIonWS.newframe wasn't adjusting sizes of existing frames nicely.

2004-02-05 09:10 UTC  tuomov
  * trunk: changeset 1248
  Removed 'const' from 'spec' entry.

2004-02-03 18:45 UTC  tuomov
  * trunk: changeset 1246
  - Minor memory leak removed: drawing engine colour group name.
  
  - Some extra safety checks added in line editor.

2004-02-02 20:10 UTC  tuomov
  * trunk: changeset 1245
  Changed the autoconf script not to use \" that not all shells
  apparently support.

2004-02-01 20:58 UTC  tuomov
  * trunk: changeset 1244
  Fixed line breaking in really narrow listings.

2004-02-01 11:54 UTC  tuomov
  * trunk: changeset 1243
  Man page fixes.

2004-01-30 15:34 UTC  tuomov
  * trunk: changeset 1241
  - Unblock signals at startup as GDM in its great wisdom initially
    blocks the window manager from receiving SIGCHLD resulting in
    zombies.
  
  - More changes to (floatws) stacking policy.

2004-01-29 20:07 UTC  tuomov
  * trunk: changeset 1240
  - Transient size calculation fixed.
  
  - Creating frame for a transient on a floatws will raise the frame
    containing the transient_for window.
  
  - Added notes on Lua 5.0 in README.

2004-01-28 16:02 UTC  tuomov
  * trunk: changeset 1238
  - Minor man page improvements.
  
  - Typo fix in system.mk.

2004-01-28 06:41 UTC  tuomov
  * trunk: changeset 1237
  Changed libtool minimum version requirement back to safe 1.4.3.

2004-01-27 22:38 UTC  tuomov
  * trunk: changeset 1236
  Documentation comment for ioncore_userdir was broken.

2004-01-27 18:10 UTC  tuomov
  * trunk: changeset 1233
  Ooops, testing changes were left in development install path.

2004-01-27 18:09 UTC  tuomov
  * trunk: changeset 1232
  Removed superfluous call to wedln_draw_completions.

2004-01-27 13:49 UTC  tuomov
  * trunk: changeset 1229
  Install documentation and manual pages under $PREFIX/share as per the
  FHS.

2004-01-26 14:49 UTC  tuomov
  * trunk: changeset 1228
  - Added autoconf script support for -DCF_NO_MB_SUPPORT
  
  - Remove system-ac.mk in 'make realclean'.

2004-01-26 14:48 UTC  tuomov
  * trunk: changeset 1227
  Fixed an 'err' variable to be local.

2004-01-25 23:35 UTC  tuomov
  * trunk: changeset 1226
  Trap signals at an earlier stage so that processes forked at startup
  don't become temporarily defunct.

2004-01-25 18:19 UTC  tuomov
  * trunk: changeset 1224
  There was still a reference to ~/.ion/

2004-01-25 18:12 UTC  tuomov
  * trunk: changeset 1223
  Class lookup is no longer case-insensitive. (There's no need for that
  since the workspace creation query was changed.)

2004-01-25 18:05 UTC  tuomov
  * trunk: changeset 1221
  Typo and spelling fixes.

2004-01-25 11:07 UTC  tuomov
  * trunk: changeset 1219
  Some XX_SOURCE flag changes.

2004-01-24 21:54 UTC  tuomov
  * trunk: changeset 1218
  Renames.

2004-01-24 21:49 UTC  tuomov
  * trunk: changeset 1217
  - Added dummy multibyte/widechar routines for retarded platforms
    without even such dummy support.
  
  - Some Cygwin note modifications.

2004-01-24 20:28 UTC  tuomov
  * trunk: changeset 1216
  Some extra safety checks added.

2004-01-22 21:25 UTC  tuomov
  * trunk: changeset 1214
  Fixed LaTeX in dock documentation comments.

2004-01-21 19:32 UTC  tuomov
  * trunk: changeset 1212
  Some more polish on floatws focus policy.

2004-01-21 17:32 UTC  tuomov
  * trunk: changeset 1211
  - Moved session directory creation to a proper place, so that the
    directory will exist for the style menu save feature.
  
  - Fill _NET_SUPPORTED root window property with the supported features
    (_NET_WM_FULLSCREEN, _NET_WM_NAME, _NET_VIRTUAL_ROOTS).

2004-01-20 21:11 UTC  tuomov
  * trunk: changeset 1209
  Module preloading support was broken.

2004-01-20 19:50 UTC  tuomov
  * trunk: changeset 1208
  Message cleaned up.

2004-01-20 18:37 UTC  tuomov
  * trunk: changeset 1207
  Binaries are now again stripped when installed.

2004-01-20 18:35 UTC  tuomov
  * trunk: changeset 1206
  Fixed a man page typo.

2004-01-19 18:26 UTC  tuomov
  * trunk: changeset 1205
  Fixed tab drop on a floatws.

2004-01-19 16:03 UTC  tuomov
  * trunk: changeset 1204
  Old submaps were ignored when new entries were added.

2004-01-19 12:22 UTC  tuomov
  * trunk: changeset 1203
  Fixed libtool version requirements.

2004-01-19 12:22 UTC  tuomov
  * trunk: changeset 1202
  - Autoconf script Xinerama check fixed.
  
  - README.autoconf simplified.

2004-01-19 12:20 UTC  tuomov
  * trunk: changeset 1201
  Fixed references to ioncore-*.lua.

2004-01-16 18:39 UTC  tuomov
  * trunk: changeset 1200
  There were still some references to frame-tab (how tab-frame), causing
  initial frame sizes on floatws:s to be miscalculated.

2004-01-16 18:38 UTC  tuomov
  * trunk: changeset 1199
  Oops. Removed some important code earlier.

2004-01-16 16:58 UTC  tuomov
  * trunk: changeset 1198
  - Minor client window management set up fixes.
  
  - Pass _ION_KLUDGES (XA_STRING) property in WClientwin.get_ident as
    .kludges.

2004-01-16 15:35 UTC  tuomov
  * trunk: changeset 1197
  - Fixed goto_previous after switching between windows in the same
    frame with a query.
  
  - The dock no longer gets focused when the pointer enters it.

2004-01-15 18:34 UTC  tuomov
  * trunk: changeset 1196
  Changed order of mplex old/new selected object map/unmap to reduce
  flicker.

2004-01-15 16:10 UTC  tuomov
  * trunk: changeset 1195
  - A couple manual page and README bugs were fixed.
  
  - Removed Mod1+K T rebinding in ionframe_bindings to
    toggle_transients_pos (it is supposed to be clear_tags).

2004-01-14 22:43 UTC  tuomov
  * trunk: changeset 1194
  Style selection saving wasn't working.

2004-01-14 19:37 UTC  tuomov
  * trunk: changeset 1191
  Removed extra character in comment header.

2004-01-14 18:03 UTC  tuomov
  * trunk: changeset 1190
  - Floating workspace now give focus to highest-stacked frame when the
    active one is destroyed.
  
  - Mod1+N/P were bound to raise/lower on floating workspaces.

2004-01-14 16:55 UTC  tuomov
  * trunk: changeset 1189
  Changed version string to ION_VERSION.

2004-01-14 16:39 UTC  tuomov
  * trunk: changeset 1188
  - Added optional autoconf script.
  
  - Fixed etc/Makefile.

2004-01-13 23:52 UTC  tuomov
  * trunk: changeset 1187
  - Renamed do_move_pointer_to do_warp and made redefinable through the
    do_warp_alt hook.
  
  - Fixed reparent_region->region_reparent.
  
  - Added some missing includes.

2004-01-13 16:31 UTC  tuomov
  * trunk: changeset 1186
  Frame maximize takes active client window size limits into account.

2004-01-13 16:12 UTC  tuomov
  * trunk: changeset 1185
  Keyboard move/resize warps (if enabled) pointer back to manipulated
  frame after finishing.

2004-01-08 23:16 UTC  tuomov
  * trunk: changeset 1184
  Fixed some typos in documentation.

2004-01-08 22:05 UTC  tuomov
  * trunk: changeset 1182
  Changed winprop selection by title to longest match.

2004-01-08 21:51 UTC  tuomov
  * trunk: changeset 1181
  - Support changes in X keyboard map.
  
  - Some keymap deinitialisation fixes and bindmap clean-up.

2004-01-06 19:48 UTC  tuomov
  * trunk: changeset 1180
  Minor man page fixes.

2004-01-06 12:30 UTC  tuomov
  * trunk: changeset 1179
  Removed introduction of a non-existent function.

2004-01-03 00:27 UTC  tuomov
  * trunk: changeset 1178
  Updated most of the copyright notices to 2004.

2003-12-29 20:26 UTC  tuomov
  * trunk: changeset 1177
  - stylemenu properly saves draw.lua if querylib is not installed.
  
  - Separate binding configuration file for PWM.

2003-12-29 20:14 UTC  tuomov
  * trunk: changeset 1176
  - Some default menu configuration changes. PWM no longer uses the same
    menu configuration file.
  
  - Removed client window check code mismatch complaint on startup.
  
  - PWM startup errorlog was incorrectly referring to Ion.

2003-12-29 20:01 UTC  tuomov
  * trunk: changeset 1175
  Removed debug message.

2003-12-29 18:42 UTC  tuomov
  * trunk: changeset 1174
  Workspace query asks for type of workspace when creating new.

2003-12-29 15:53 UTC  tuomov
  * trunk: changeset 1173
  Previous frame geometry (for maximize and shade) is saved in the
  workspaces save file.

2003-12-23 21:14 UTC  tuomov
  * trunk: changeset 1172
  Added a note on the dock module authors to README.

2003-12-23 21:13 UTC  tuomov
  * trunk: changeset 1171
  - Added dock to list of modules to build.
  
  - Updated to newer version of dock.
  
  - Dock position and growing direction was changed to old PWM defaults.
  
  - PWM stock configuration files load the dock module by default.

2003-12-23 20:55 UTC  tuomov
  * trunk: changeset 1169
  - Included the dock module with Ion.
  
  - Fixed dock_get_tile_size and modified dock module Makefile for
    inclusion in Ion.

2003-12-22 20:45 UTC  tuomov
  * trunk: changeset 1100
  Use also C99_SOURCE where XOPEN_SOURCE is used.

2003-12-22 20:11 UTC  tuomov
  * trunk: changeset 1099
  include stdio.h

2003-12-20 13:08 UTC  tuomov
  * trunk: changeset 1098
  XFreeGC(xor_gc) on deinit.

2003-12-18 18:08 UTC  tuomov
  * trunk: changeset 1097
  Focusing on return from submenu had been broken by previous changes.

2003-12-18 17:57 UTC  tuomov
  * trunk: changeset 1096
  look-clean "bigmenu" font changed.

2003-12-18 17:52 UTC  tuomov
  * trunk: changeset 1095
  WScreens no longer accept tab drag&drop.

2003-12-18 17:48 UTC  tuomov
  * trunk: changeset 1094
  Better error message in querylib.query_workspace.

2003-12-18 17:45 UTC  tuomov
  * trunk: changeset 1093
  Message line counting fix.

2003-12-18 17:42 UTC  tuomov
  * trunk: changeset 1092
  Class lookup is now case-insensitive.

2003-12-18 17:28 UTC  tuomov
  * trunk: changeset 1091
  Added some object destroy safety checks.

2003-12-18 17:22 UTC  tuomov
  * trunk: changeset 1090
  Fixed winprop lookup when window name is nil.

2003-12-18 12:08 UTC  tuomov
  * trunk: changeset 1089
  Use lua-config50 in Debian settings.

2003-12-16 20:54 UTC  tuomov
  * trunk: changeset 1088
  Re-created the file.

2003-12-16 20:52 UTC  tuomov
  * trunk: changeset 1087
  Less verbosity.

2003-12-16 18:29 UTC  tuomov
  * trunk: changeset 1086
  Another old reference.

2003-12-14 11:52 UTC  tuomov
  * trunk: changeset 1085
  Fixed (?) grab release focusing when warping is disabled.

2003-12-11 22:16 UTC  tuomov
  * trunk: changeset 1084
  Man pages still had references to old user configuration file
  directory.

2003-12-11 21:31 UTC  tuomov
  * trunk: changeset 1083
  Fixed querylib.query_man default value.

2003-12-11 18:03 UTC  tuomov
  * trunk: changeset 1082
  Fixed .welcome_msg_displayed permissions.

2003-12-23 20:17 UTC  unknown
  tagged ion-devel-20031211

2003-12-11 17:11 UTC  tuomov
  * trunk: changeset 1081
  Fixed a potential segfault when window disappears while being set up
  to be managed.

2003-12-23 20:17 UTC  unknown
  tagged ion-devel-20031210

2003-12-10 09:17 UTC  tuomov
  * trunk: changeset 1080
  Updates.

2003-12-09 20:39 UTC  tuomov
  * trunk: changeset 1079
  Removed compat.lua

2003-12-09 19:48 UTC  tuomov
  * trunk: changeset 1078
  Removed mention of development branch.

2003-12-09 19:48 UTC  tuomov
  * trunk: changeset 1077
  Minor size calculation fix.

2003-12-23 20:17 UTC  unknown
  tagged ion-devel-20031209

2003-12-09 19:28 UTC  tuomov
  * trunk: changeset 1076
  Module compatibility is checked against ION_API_VERSION (2) instead of
  ION_VERSION.

2003-12-09 19:13 UTC  tuomov
  * trunk: changeset 1075
  Refer to ~/.ion2/.

2003-12-09 19:07 UTC  tuomov
  * trunk: changeset 1074
  Removed configuration file conversion utilities; people following the
  development branch should already have converted their files.

2003-12-09 19:05 UTC  tuomov
  * trunk: changeset 1073
  - Removed '-devel' from path names.
  
  - Changed user configuration file directories to ~/.ion2/ and
    ~/.pwm2/.
  
  - Renamed all ioncore*.lua configuration files to ion*.lua.
  
  - The main configuration file for Ion is ion.lua and for PWM pwm.lua.

2003-12-09 00:32 UTC  tuomov
  * trunk: changeset 1072
  Changed LUA_PATH to LUA_DIR to avoid conflicts with Lua itself.

2003-12-07 22:05 UTC  tuomov
  * trunk: changeset 1071
  Oops.

2003-12-07 22:01 UTC  tuomov
  * trunk: changeset 1070
  Use string.shell_safe to encapsulate file names.

2003-12-07 22:01 UTC  tuomov
  * trunk: changeset 1069
  Added string.shell_safe function.

2003-12-06 22:20 UTC  tuomov
  * trunk: changeset 1068
  Insert new bindmaps at beginning of region bindmap list.

2003-12-06 20:43 UTC  tuomov
  * trunk: changeset 1067
  Initial workspace creation code checks default_ws_type.

2003-12-06 20:36 UTC  tuomov
  * trunk: changeset 1066
  Changed ion-completefile path.

2003-12-06 17:45 UTC  tuomov
  * trunk: changeset 1065
  Added WClientWin.toggle_transients_pos export and transients_at_top
  winprop.

2003-12-06 17:44 UTC  tuomov
  * trunk: changeset 1064
  Bound WClientWin.toggle_transients_pos to DEFAULT_MOD+K T.

2003-12-06 17:43 UTC  tuomov
  * trunk: changeset 1063
  Require Lua 5.0.1.

2003-12-06 17:43 UTC  tuomov
  * trunk: changeset 1062
  Removed extra whitespace at ends of some lines.

2003-12-06 16:17 UTC  tuomov
  * trunk: changeset 1061
  Fixed previous change.

2003-12-06 12:25 UTC  tuomov
  * trunk: changeset 1060
  Some transient initial size calculation changes.

2003-12-06 11:44 UTC  tuomov
  * trunk: changeset 1059
  Changed export names and added one more.

2003-12-06 11:42 UTC  tuomov
  * trunk: changeset 1058
  Added "stylemenu" that displays all look-*.lua files on search path.

2003-12-06 11:42 UTC  tuomov
  * trunk: changeset 1057
  Added some search path exports.

2003-12-06 11:15 UTC  tuomov
  * trunk: changeset 1056
  ion-completefile directory changed and extended to support multiple
  paths.

2003-12-05 00:46 UTC  tuomov
  * trunk: changeset 1055
  - Submenus can now be generated by functions when needed.
  
  - Added "windowlist" and "workspacelist" default menus.

2003-12-04 22:10 UTC  tuomov
  * trunk: changeset 1054
  Removed a tab.

2003-12-04 21:56 UTC  tuomov
  * trunk: changeset 1053
  In-mplex menus that do not fully fit within the space available now
  scroll the visible entries.

2003-12-03 23:43 UTC  tuomov
  * trunk: changeset 1052
  aboutmsg was missing.

2003-12-03 23:43 UTC  tuomov
  * trunk: changeset 1051
  Comment change.

2003-12-03 22:27 UTC  tuomov
  * trunk: changeset 1050
  Closing a frame initially contaning transient window will switch focus
  to the frame that contained the transient_for window.

2003-12-23 20:17 UTC  unknown
  tagged ion-devel-20031203

2003-12-03 20:33 UTC  tuomov
  * trunk: changeset 1049
  Removed mentions of ion-devel in the release tarball; default
  installation target is now /usr/local with configuration files in
  /usr/local/etc/ion and ~/.ion. (CVS snapshots will still use
  /usr/local/ion-devel.)

2003-12-03 20:31 UTC  tuomov
  * trunk: changeset 1048
  Just ditch old $ETCDIR/draw.lua.

2003-12-03 20:29 UTC  tuomov
  * trunk: changeset 1047
  Added pwm.1 man page.

2003-12-03 20:22 UTC  tuomov
  * trunk: changeset 1046
  Use PWM_ETCDIR if set.

2003-12-03 20:14 UTC  tuomov
  * trunk: changeset 1045
  Load the query module.

2003-12-03 20:06 UTC  tuomov
  * trunk: changeset 1044
  - The ion and pwm scripts were removed and are instead now binaries
    linked against ioncore.a.
  
  - The 'ion' binary uses ~/.ion (no longer ~/.ion-devel) for user's
    configuration files and the 'pwm' binary uses ~/.pwm for user's
    configuration files.

2003-12-03 17:59 UTC  tuomov
  * trunk: changeset 1043
  Script search path changes; calling file's directly is now only
  considered if explicitly indicated in the file name. (So now normally
  "included" files in user's directories will always be preferred over
  those in system directories.)

2003-12-03 11:37 UTC  tuomov
  * trunk: changeset 1042
  etc/ make install changes; ioncore.lua is now always overwritten and
  draw.lua link restored to a working file.

2003-12-02 23:23 UTC  tuomov
  * trunk: changeset 1041
  Display a welcome message and manual page to new users.

2003-12-02 23:22 UTC  tuomov
  * trunk: changeset 1040
  - Display a welcome message and manual page to new users.
  
  - Some path setting function changes.

2003-12-02 23:20 UTC  tuomov
  * trunk: changeset 1039
  - Renamed manual page to ion.1.
  
  - Added ion.1.in.txt

2003-12-02 23:11 UTC  tuomov
  * trunk: changeset 1038
  Minor modification.

2003-12-02 23:01 UTC  tuomov
  * trunk: changeset 1037
  Removed mention of "messages" to reduce chance of confusion.

2003-12-02 18:31 UTC  tuomov
  * trunk: changeset 1036
  Added a "basic concepts" section in the manual page.

2003-12-02 18:05 UTC  tuomov
  * trunk: changeset 1035
  Fixed message display line copying bug.

2003-12-02 13:37 UTC  tuomov
  * trunk: changeset 1034
  Fixed -onescreen to -oneroot.

2003-12-01 20:18 UTC  tuomov
  * trunk: changeset 1033
  Button6 and Button7 might be recognised.

2003-12-01 20:18 UTC  tuomov
  * trunk: changeset 1032
  Ignore unknown bits in keypress event state.

2003-12-01 19:09 UTC  tuomov
  * trunk: changeset 1031
  Minor clean-up.

2003-12-01 18:23 UTC  tuomov
  * trunk: changeset 1030
  The line editor and region_set_name strip white space from the
  beginning and end of strings.

2003-12-01 01:34 UTC  tuomov
  * trunk: changeset 1029
  Some more acceleration changes.

2003-11-30 16:51 UTC  tuomov
  * trunk: changeset 1028
  - Implemented move/resize edge snapping.
  
  - Smoother square root based move/resize acceleration curve.

2003-11-30 16:49 UTC  tuomov
  * trunk: changeset 1027
  Uncommented CF_EDGE_RESISTANCE.

2003-11-30 00:51 UTC  tuomov
  * trunk: changeset 1026
  Save sticky state in session savefile.

2003-11-30 00:48 UTC  tuomov
  * trunk: changeset 1025
  Implemented sticky frames on WFloatWS:s.

2003-11-30 00:34 UTC  tuomov
  * trunk: changeset 1024
  Implemented WWatch-node based WObjList and changed tag list to that
  instead of wasting space in WRegion.

2003-11-29 22:46 UTC  tuomov
  * trunk: changeset 1023
  Only redraw menu entries that need redrawing when selected entry is
  changed.

2003-11-29 16:27 UTC  tuomov
  * trunk: changeset 1022
  Some focus handling changes, fixes and clean-up.

2003-11-29 15:35 UTC  tuomov
  * trunk: changeset 1021
  "Close" key and menu binding changes.

2003-11-29 15:34 UTC  tuomov
  * trunk: changeset 1019
  Minor clean-up.

2003-11-29 14:36 UTC  tuomov
  * trunk: changeset 1018
  Fixed selection request when multibyte support is not enabled.

2003-11-29 14:31 UTC  tuomov
  * trunk: changeset 1017
  Small documentation fix.

2003-11-29 14:29 UTC  tuomov
  * trunk: changeset 1016
  Do not display a query_message error when failing to open
  ~/.ssh/known_hosts.

2003-11-29 14:21 UTC  tuomov
  * trunk: changeset 1015
  Improved documentation.

2003-11-29 14:21 UTC  tuomov
  * trunk: changeset 1014
  Fixed underscore and tiled escapes.

2003-11-27 22:26 UTC  tuomov
  * trunk: changeset 1013
  Added note on known_hosts in documentation comment.

2003-11-27 22:26 UTC  tuomov
  * trunk: changeset 1012
  Keyboard is no longer grabbed in submap mode if normal bindmap is not
  grabed.

2003-11-27 19:58 UTC  tuomov
  * trunk: changeset 1011
  Oops.

2003-11-27 16:18 UTC  tuomov
  * trunk: changeset 1010
  Minor clean-up operations.

2003-11-27 15:56 UTC  tuomov
  * trunk: changeset 1009
  Added some stacking setup and mplex attach sanity checks.

2003-11-27 15:42 UTC  tuomov
  * trunk: changeset 1008
  Added clear_tags ctxmenu entry.

2003-11-27 15:38 UTC  tuomov
  * trunk: changeset 1007
  Region rescue code was cleaned up a little and the code is no longer
  called from deinit handlers.

2003-11-25 20:37 UTC  tuomov
  * trunk: changeset 1006
  Added WIonWS.farthest, next_to and goto_dir exports.

2003-11-25 19:44 UTC  tuomov
  * trunk: changeset 1005
  CF_STR_EMPTY added.

2003-11-24 16:52 UTC  tuomov
  * trunk: changeset 1004
  Oops, 16pt helvetica may not be available. Use 17pt, 18pt is bold even
  as medium.

2003-11-24 16:32 UTC  tuomov
  * trunk: changeset 1003
  Fonts are chosen more consistently in provided look-* style files.

2003-11-24 16:07 UTC  tuomov
  * trunk: changeset 1002
  look-cleanios was missing from Makefile.

2003-11-24 16:02 UTC  tuomov
  * trunk: changeset 1001
  Removed "for" from get_savefile_for, read_config_for, etc.

2003-11-24 16:02 UTC  tuomov
  * trunk: changeset 1000
  - Added 'jumpto' winprop and 'clientwin_added' hook.
  
  - 'switchto' is passed as parameter to fullscreen check functions.
  
  - Exported 'get_savefile'.
  
  - Removed "for" from get_savefile_for, read_config_for, etc.
  
  - Moved winprop lookup to the proper point in code after having again
    moved it where name is not available.

2003-11-24 01:14 UTC  tuomov
  * trunk: changeset 999
  Fixed -libdir to -moduledir.

2003-11-23 19:45 UTC  tuomov
  * trunk: changeset 998
  Changes in stipple pattern usage in drawing a dragged tab.

2003-11-23 18:37 UTC  tuomov
  * trunk: changeset 997
  Added WIonWS.resize_tree function that can be used to resize whole
  subtrees of the workspace split hierarchy.

2003-11-23 13:19 UTC  tuomov
  * trunk: changeset 996
  Removed the styles.

2003-11-23 13:18 UTC  tuomov
  * trunk: changeset 995
  Added new style look-cleanios.

2003-11-23 04:54 UTC  tuomov
  * trunk: changeset 994
  'pmenu' entry index could be too big by one. Fixed.

2003-11-23 04:53 UTC  tuomov
  * trunk: changeset 993
  Look configuration files properly ported the drawing engine model and
  proper menu styles added to those styles that need it.

2003-11-23 03:12 UTC  tuomov
  * trunk: changeset 992
  String shortening rules can now be specified always-on so that the
  rule is applied even when no shortening is necessary.

2003-11-23 03:10 UTC  tuomov
  * trunk: changeset 991
  The same region is not to be passed twice as a _key_ binding handler
  argument; two regions are only passed when e.g. a workspace is
  selecting keys on a frame.

2003-11-23 03:08 UTC  tuomov
  * trunk: changeset 990
  Changed make_mplex_sub_or_self_fn behaviour.

2003-11-23 02:45 UTC  tuomov
  * trunk: changeset 989
  Completable hosts for SSH query are parsed from ~/.ssh/known_hosts
  (instead of requiring the user to a list of them).

2003-11-22 15:44 UTC  tuomov
  * trunk: changeset 988
  Added Button3->rootmenu binding.

2003-11-21 16:45 UTC  tuomov
  * trunk: changeset 987
  Added mention of modulelist.mk.

2003-11-21 16:40 UTC  tuomov
  * trunk: changeset 986
  Modified the default drawing engine to be more usable as a basis for
  alternative drawing engines that need per-window data.

2003-11-21 15:09 UTC  tuomov
  * trunk: changeset 985
  Title shortening rules are now used always even if the title would fit
  in the available space without modification.

2003-12-23 20:17 UTC  unknown
  tagged ion-devel-20031121

2003-11-21 14:43 UTC  tuomov
  * trunk: changeset 984
  clean-up variable rename.

2003-11-21 09:11 UTC  tuomov
  * trunk: changeset 983
  Invalid multibyte strings could cause the line editor to go to an
  endless loop.

2003-11-21 09:00 UTC  tuomov
  * trunk: changeset 982
  Listing (completions, messages) line breaking wasn't yet multibyte-
  aware.

2003-12-23 20:17 UTC  unknown
  tagged ion-devel-20031119

2003-11-21 04:10 UTC  tuomov
  * trunk: changeset 981
  New string shortening code could segfault. Fixed it.

2003-11-19 21:39 UTC  tuomov
  * trunk: changeset 980
  Replaced UTF-8 support with (almost) general multibyte encoding
  support.

2003-11-17 21:03 UTC  tuomov
  * trunk: changeset 978
  mplex_fit didn't update region geometry data.

2003-11-17 21:03 UTC  tuomov
  * trunk: changeset 977
  A minor clean-up operation.

2003-11-16 21:40 UTC  tuomov
  * trunk: changeset 976
  Updated documentation.

2003-11-16 17:16 UTC  tuomov
  * trunk: changeset 975
  Load querylib.

2003-11-16 17:05 UTC  tuomov
  * trunk: changeset 974
  make_mplex_sub_or_self_fn was broken.

2003-11-16 17:05 UTC  tuomov
  * trunk: changeset 973
  A variable name was wrong.

2003-11-16 16:51 UTC  tuomov
  * trunk: changeset 972
  Added support for _NET_WM_STATE_FULLSCREEN request.

2003-11-16 15:19 UTC  tuomov
  * trunk: changeset 971
  Reset font to NULL on deinit.

2003-11-16 14:58 UTC  tuomov
  * trunk: changeset 970
  Bindings can now be removed on the fly by passing nil as callback
  function.

2003-11-16 13:56 UTC  tuomov
  * trunk: changeset 969
  Complain of invalid binding table.

2003-11-16 13:48 UTC  tuomov
  * trunk: changeset 968
  Updated the Makefile.

2003-11-16 13:48 UTC  tuomov
  * trunk: changeset 967
  Renamed ioncore-mplexfns.lua to ioncorelib-mplexfns.lua and moved all
  mplex-related functions from ioncorelib.lua there.

2003-11-16 01:44 UTC  tuomov
  * trunk: changeset 966
  Fixed GC font setup.

2003-11-16 01:43 UTC  tuomov
  * trunk: changeset 965
  Don't compiled some code if CF_UTF8 is not set.

2003-11-16 00:29 UTC  tuomov
  * trunk: changeset 964
  Updated the man page.

2003-11-15 23:51 UTC  tuomov
  * trunk: changeset 963
  UTF8 is not used if locale is C/POSIX (or broken) even if Ion was
  compiled with UTF8 support.

2003-11-15 23:49 UTC  tuomov
  * trunk: changeset 962
  Added font caching/ref.counting so that font loading would take little
  less time when pattern guessing is required to fullfill locale's
  requirements.

2003-11-14 20:35 UTC  tuomov
  * trunk: changeset 961
  Changed the order in which brushes are freed.

2003-11-14 20:31 UTC  tuomov
  * trunk: changeset 960
  The original source of the the fontset code was discovered.

2003-11-14 16:00 UTC  tuomov
  * trunk: changeset 959
  The functions to create binding wrappers to operate on WMPlexs'
  children were extended and given better names, although the old ones
  are still available.

2003-11-14 15:56 UTC  tuomov
  * trunk: changeset 958
  nothing special.

2003-11-14 15:49 UTC  tuomov
  * trunk: changeset 957
  Removed fallback font check.

2003-11-14 15:40 UTC  tuomov
  * trunk: changeset 956
  Added FontSet guessing code that should be able to figure out enough
  fonts for XCreateFontSet to fullfill locales' requirements so font
  loading shouldn't fail so often when UTF8 support is enabled.

2003-11-14 00:42 UTC  tuomov
  * trunk: changeset 955
  At least load "de" engine if no engine has been loaded while executing
  draw.lua.

2003-11-13 22:37 UTC  tuomov
  * trunk: changeset 954
  Added some _LOADED checks.

2003-11-13 18:45 UTC  tuomov
  * trunk: changeset 953
  Lua files in share/ (but not etc/) are precompiled.

2003-11-13 18:26 UTC  tuomov
  * trunk: changeset 952
  'ioncore-startup.lua' kludge was removed and replaced by the loading
  of 'ioncore-efbb.lua' in case of empty bindmaps from the C side.

2003-11-13 18:04 UTC  tuomov
  * trunk: changeset 951
  Changes in default configuration files to make them more legible and
  to add menu configuration.

2003-11-13 18:03 UTC  tuomov
  * trunk: changeset 950
  Call XClearWindow when toggling tab to avoid clutter.

2003-11-13 18:02 UTC  tuomov
  * trunk: changeset 949
  Added ioncore_aboutmsg export.

2003-11-13 12:07 UTC  tuomov
  * trunk: changeset 948
  Added disabled XMMS kludge.

2003-11-12 17:50 UTC  tuomov
  * trunk: changeset 947
  Extension definition changes.

2003-11-12 17:50 UTC  tuomov
  * trunk: changeset 946
  - C-side module configuration file loading function also look for
    compiled .lc files.
  
  - Lua-side include() automatically also looks for .lc and .lua files
    if neither extension nor path component is given.

2003-11-10 17:58 UTC  tuomov
  * trunk: changeset 945
  Made find_suitable_screen global.

2003-11-09 16:09 UTC  tuomov
  * trunk: changeset 944
  Added WRegion.is_active and is_mapped exports.

2003-11-06 17:50 UTC  tuomov
  * trunk: changeset 943
  Some mplex_managed_changed calls were wrong, causing trouble with
  transparency.

2003-11-05 22:45 UTC  tuomov
  * trunk: changeset 942
  include fixes.

2003-11-05 22:45 UTC  tuomov
  * trunk: changeset 941
  Stack management fixes.

2003-11-05 12:23 UTC  tuomov
  * trunk: changeset 940
  Removed mentions of xft.

2003-11-04 20:27 UTC  tuomov
  * trunk: changeset 939
  Fixed a potential segfault point.

2003-11-04 20:26 UTC  tuomov
  * trunk: changeset 938
  Quick&dirty stacking fix.

2003-10-30 10:00 UTC  tuomov
  * trunk: changeset 937
  Removed CURRENT_FILE kludge for include handling; use the Lua debug
  interface instead to get the file the calling function was defined in.

2003-10-30 08:34 UTC  tuomov
  * trunk: changeset 936
  Some changes in default menus.

2003-10-30 08:34 UTC  tuomov
  * trunk: changeset 935
  libtool 1.4.3->1.4.x.

2003-10-28 13:00 UTC  tuomov
  * trunk: changeset 934
  submenus weren't being handled correctly.

2003-10-27 16:59 UTC  tuomov
  * trunk: changeset 933
  about_msg should be local.

2003-10-27 16:58 UTC  tuomov
  * trunk: changeset 932
  Changed styles are automatically translated (and complained of).

2003-10-27 12:26 UTC  tuomov
  * trunk: changeset 931
  Fixed cursor and selection substyles.

2003-10-27 12:05 UTC  tuomov
  * trunk: changeset 930
  Updated the script to use the new style names.

2003-10-27 12:05 UTC  tuomov
  * trunk: changeset 929
  Some style name changes.

2003-10-27 12:05 UTC  tuomov
  * trunk: changeset 928
  Changes in menus.

2003-10-27 12:05 UTC  tuomov
  * trunk: changeset 927
  Updated the look-* files.

2003-10-27 12:05 UTC  tuomov
  * trunk: changeset 926
  look-cleanviolet is now the default style.

2003-10-25 20:23 UTC  tuomov
  * trunk: changeset 925
  Check fallback font at startup with XCreateFontSet instead of
  XLoadQueryFont.

2003-10-24 17:09 UTC  tuomov
  * trunk: changeset 924
  Moved list of modules to build from system.mk to modulelist.mk

2003-10-04 14:52 UTC  tuomov
  * trunk: changeset 923
  va_list usage changes due to problems on some architechtures.

2003-10-04 12:41 UTC  tuomov
  * trunk: changeset 922
  Added genframe_(in)activated hooks.

2003-09-15 18:15 UTC  tuomov
  * trunk: changeset 921
  Some target and fullscreen winprop handling fixes.

2003-09-15 18:15 UTC  tuomov
  * trunk: changeset 920
  Some fixes to client window rescuing.

2003-09-15 18:15 UTC  tuomov
  * trunk: changeset 919
  Some fixes to client window rescuing.

2003-09-15 18:14 UTC  tuomov
  * trunk: changeset 918
  Fixed a FALSE to NULL.

2003-09-09 20:07 UTC  tuomov
  * trunk: changeset 917
  Fixed an event-missing problem.

2003-09-04 08:22 UTC  tuomov
  * trunk: changeset 916
  Menu configuration changes.

2003-09-04 08:22 UTC  tuomov
  * trunk: changeset 915
  Ungrab keyboard before calling dispatch_binding (except with submap).

2003-08-31 16:15 UTC  tuomov
  * trunk: changeset 914
  Added a note on .xinitrc/.xsession to README.

2003-08-28 20:59 UTC  tuomov
  * trunk: changeset 913
  Some border drawing fixes.

2003-08-25 15:25 UTC  tuomov
  * trunk: changeset 912
  restart_other_wm fixes.

